init:

    transform scroll_left_med_a:
        xpos 0
        pause 0.035
        block:
            function scrolling_offset_lm
            pause 0.035
            repeat 127
        xpos 1024
        pause 0.035
        block:
            function scrolling_offset_lm
            pause 0.035
            repeat 255
        repeat
    transform scroll_left_med_b:
        xpos 512
        pause 0.035
        block:
            function scrolling_offset_lm
            pause 0.035
            repeat 255
        xpos 1024
        pause 0.035
        block:
            function scrolling_offset_lm
            pause 0.035
            repeat 127
        repeat
    transform scroll_left_med_c:
        xpos 1024
        pause 0.035
        block:
            function scrolling_offset_lm
            pause 0.035
            repeat 383
        repeat
    
    ###########################################
        
    transform scroll_right_med_a:
        xpos 512
        pause 0.035
        block:
            function scrolling_offset_rm
            pause 0.035
            repeat 127
        xpos -512
        pause 0.035
        block:
            function scrolling_offset_rm
            pause 0.035
            repeat 255
        repeat
    transform scroll_right_med_b:
        xpos 0
        pause 0.035
        block:
            function scrolling_offset_rm
            pause 0.035
            repeat 255
        xpos -512
        pause 0.035
        block:
            function scrolling_offset_rm
            pause 0.035
            repeat 127
        repeat
    transform scroll_right_med_c:
        xpos -512
        pause 0.035
        block:
            function scrolling_offset_rm
            pause 0.035
            repeat 383
        repeat

    ###########################################
        
    transform scroll_up_med_a:
        xpos 0 ypos 0
        pause 0.035
        block:
            function scrolling_offset_um
            pause 0.035
            repeat 127
        xpos 1024 ypos 600
        pause 0.035
        block:
            function scrolling_offset_um
            pause 0.035
            repeat 255
        repeat
    transform scroll_up_med_b:
        xpos 512 ypos 300
        pause 0.035
        block:
            function scrolling_offset_um
            pause 0.035
            repeat 255
        xpos 1024 ypos 600
        pause 0.035
        block:
            function scrolling_offset_um
            pause 0.035
            repeat 127
        repeat
    transform scroll_up_med_c:
        xpos 1024 ypos 600
        pause 0.035
        block:
            function scrolling_offset_um
            pause 0.035
            repeat 383
        repeat
    
    ###########################################

    transform scroll_left_fast_a:
        xpos 0.0
        linear 1.0 xpos -0.5
        xpos 1.0
        linear 2.0 xpos 0.0
        repeat
    transform scroll_left_fast_b:
        xpos 0.5
        linear 2.0 xpos -0.5
        xpos 1.0
        linear 1.0 xpos 0.5
        repeat
    transform scroll_left_fast_c:
        xpos 1.0
        linear 3.0 xpos -0.5
        repeat
    
    ###########################################
        
    transform scroll_right_fast_a:
        xpos 0.5
        linear 1.5 xpos 1.0
        xpos -0.5
        linear 3.0 xpos 0.5
        repeat
    transform scroll_right_fast_b:
        xpos 0.0
        linear 3.0 xpos 1.0
        xpos -0.5
        linear 1.5 xpos 0.0
        repeat
    transform scroll_right_fast_c:
        xpos -0.5
        linear 4.5 xpos 1.0
        repeat

    ###########################################
    
    transform scroll_upleft_fast_a:
        yzoom 1.4
        block:
            pos (0.0, -0.4)
            linear 1.0 pos (-0.5, -0.65)
            pos (1.0, 0.1)
            linear 2.0 pos (0.0, -0.4)
            repeat
    transform scroll_upleft_fast_b:
        yzoom 1.4
        block:
            pos (0.5, -0.15)
            linear 2.0 pos (-0.5, -0.65)
            pos (1.0, 0.1)
            linear 1.0 pos (0.5, -0.15)
            repeat
    transform scroll_upleft_fast_c:
        yzoom 1.4
        block:
            pos (1.0, 0.1)
            linear 3.0 pos (-0.5, -0.65)
            repeat
        
    ###########################################
        
init -1:
        
    ## functions for scrolling backgrounds across the screen
    
    python:
    
        def scrolling_offset_lm(trans, st, at):
            trans.xpos = trans.xpos - 4
            return None

        def scrolling_offset_rm(trans, st, at):
            trans.xpos = trans.xpos + 4
            return None
            
        def scrolling_offset_um(trans, st, at):
            trans.xpos = trans.ypos - 4
            return None
