screen extras:
    
    tag submenu
    
    imagemap:
        alpha False
        
        ground ExtrasImages.ground
        idle ExtrasImages.idle
        hover ExtrasImages.hover
        
        hotspot (187, 74, 230, 50):
            action Show("database", transition=dissolve)
            hovered Show("extras_info", topic="database")
        hotspot (187, 133, 230, 50):
            action Show("music_room", transition=dissolve)
            hovered Show("extras_info", topic="music_room")
        hotspot (187, 192, 230, 50):
            action Show("hc_select", transition=dissolve)
            hovered Show("extras_info", topic="hellcat_corner")
                                
    on "hide" action Hide("extras_info")
    on "replaced" action Hide("extras_info")
            
    text "*Some Extras are not unlocked until you":
            style "footnote_text"
            pos(480, 260)
    text "have progressed in the main story.":
            style "footnote_text"
            pos(480, 280)
    
screen extras_info:
    
    window background None:
        area (450, 59, 400, 270)
        xpadding 20 ypadding 63
        
        text extras_info_text[topic]:
            style "description_text"
            
init python:
    
    class ExtrasImages(object):
        """
        Filenames of images used in the chapter select screens.
        """
        prefix = "gui_images/extras/"
        
        ground = prefix + "extras_ground.png"
        idle = prefix + "extras_idle.png"
        hover = prefix + "extras_hovered.png"
    
    extras_info_text = dict(
        database = """The Touhou Mecha database.  Contains information on the various mecha, characters and other things in the Touhou Mecha world.""",
        music_room = """Listen to the Touhou Mecha soundtrack.""",
        hellcat_corner = """Author commentary on the world and creation of Touhou Mecha.""",
    )