init python:
    
    # This is called when the quick save button is clicked.
    def quicksave_handler():
        renpy.save('quicksave')
        
        # The following code is equivalent to renpy.notify("Saved. Use Quick Load to load.").  See renpy/export.py for the notify function.
        # But I'm using the "raw" code in case we want to customize the behavior a bit more.
        # (For example, to pass parameters specifying the text position)
        renpy.hide_screen('notify')
        renpy.show_screen('notify', message="Saved. Use Quick Load to load.")
        renpy.restart_interaction()
        
        return
        
    # This is called when the quick load button is clicked.
    def quickload_handler():
        renpy.load('quicksave')
        return
