init:
    
    # Contents: (Ctrl+F to find)
    
    ## --- Background definitions --- ##
    ## --- Character text definitions --- ##
    ## --- Event CG definitions --- ##
    ## --- Pilot cut-ins --- ##
    ## --- Scene Change definitions --- ##
    ## --- Sprite definitions --- ##
    ## --- Sprite positioning definitions --- ##   (Some are in atl_customize.rpy)
    # --- Mecha sprites have been moved to animation.rpy
    # --- Sprite Managers (sprite floods) are in animation.rpy
    
    # under init python:
    
    ## --- Custom audio channels --- ##
    ## --- Music definitions --- ## 
    ## --- Sound effect definitions --- ## 
    
    ## --- Transition definitions --- ##
    ## --- Image Matrices --- ##
    ## --- Random Shaking Module --- ##

    
    ## -------------------------------------- ##
    ## --- Background definitions --- ##    
    ## -------------------------------------- ##
    
    image bg solid black = Solid("#000000")
    image bg solid grey = Solid("#e6e6e6")
    image bg solid white = Solid("#fff")
    image bg darkblue = Solid("25343c")
    image bg darkscreen = Solid("#040806")
    image bg lightblue = Solid("#c8d2f6")
    image bg lightblue 2 = Solid("#8ef0ec")
    image bg red = Solid("#C73A28")
    image bg sky blue = Solid("#839192")
    
    image bg infirmary = "bg/bg_infirmary.png"
    image bg elevator inside = "bg/bg_elevator_inside.png"
    image bg elevator front = "bg/bg_elevator_front.png"
    image bg interrogation = "bg/bg_interrogation.png"
    image bg meeting room = "bg/bg_meeting_room.png"
    image bg meeting room table = "bg/bg_meeting_room_table.png"
    image bg meeting slideshow = "bg/bg_meeting_slideshow.png"

    image bg palace chamber = "bg/bg_poes.png"
    
    image bg parsees office = "bg/bg_parsees_office.png"
    
    image bg shimenawa bridge = "bg/bg_shimenawa_bridge.png"
    image bg shimenawa deck a = "bg/bg_shimenawa_deck_a.png"
    image bg shimenawa deck b = "bg/bg_shimenawa_deck_b.png"
    image bg shimenawa hallway = "bg/bg_shimenawa_hallway.png"
    image bg shimenawa hangar zero = "bg/bg_hangar_zero.png"
    image bg shimenawa portside = "bg/bg_shimenawa_side.png"
    
    image bg greencave overhead = "bg/bg_greencave_overhead.png"
    image bg bluecave battle a:
        "bg/bg_bluecave_battle_a.png"
        align(0.5, 0.5)
    image bg bluecave overhead = "bg/bg_bluecave_overhead.png"
    image bg redcave battle a:
        "bg/bg_redcave_battle_a.png"
        align(0.5, 0.5)
    image bg redcave battle b = "bg/bg_redcave_battle_b.png"
    image bg redcave battle c = "bg/bg_redcave_battle_c.png"
    image bg redcave overhead = "bg/bg_redcave_overhead.png"
    image bg hangar zero runway = "bg/bg_hangar_zero_runway.png"
    image bg hangar zero runway2 = "bg/bg_hangar_zero_runway2.png"
    image bg shimenawa gate a = "bg/bg_shimenawa_gate_a.png"
    image bg shimenawa gate b = "bg/bg_shimenawa_gate_b.png"
    
    image bg mountaintop = "bg/bg_mountaintop.png"
    image bg mountain shrine = "bg/bg_mountain_shrine.png"
    
    image bg hellcat corner 1 = "gui_images/chapter_select/hellcat_corner1.png"
    image bg hellcat corner 2 = "gui_images/chapter_select/hellcat_corner2.png"
    
    
    ## ----------------------------------------- ##
    ## --- Character text definitions --- ##
    ## ----------------------------------------- ##
    
    ## Abbreviations may conflict with other things going on in Ren'Py (stuff in "import" statements, in particular).  So avoid abbreviations like "math" and "re"

    ## Everyone inherits properties from this character
    ## NOTE: show_two_window may not be necessary here anymore, now that we have our own say screen
    
    define normal_char = Character('Generic', ctc="ctc icon", show_two_window=True)
    
    image ctc icon:
        "gui_images/ctc1.png"
        pause 0.4
        "gui_images/ctc2.png"
        pause 0.4
        "gui_images/ctc3.png"
        pause 0.4
        "gui_images/ctc4.png"
        pause 0.4
        "gui_images/ctc5.png"
        pause 0.4
        repeat
    
    ## Narration
    define n = Character('', kind=normal_char, color="#e6e6e6")
    ## Unknown speaker
    define mys = Character('???', kind=normal_char, color="#e6e6e6")
    
    define ali = Character('Alice', kind=normal_char, color="#8293ee") #blue
    define ay = Character('Aya', kind=normal_char, color="#B3DCFF") #sky blue
    define c = Character('Cirno', kind=normal_char, color="#B3DCFF") #sky blue
    define eik = Character('Eiki', kind=normal_char, color="#46ae7a") #sea green
    define k = Character('Kanako', kind=normal_char, color="#A199FF") #indigo
    define ma = Character('Marisa', kind=normal_char, color="#f6e797") #yellow
    define mo = Character('Momiji', kind=normal_char, color="#f0e0e5") #light gray
    define par = Character('Parsee', kind=normal_char, color="#22c44e") #lime green
    define pat = Character('Patchouli', kind=normal_char, color="#c686e7") #purple
    define ri = Character('Rin', kind=normal_char, color="#db624b") #vermillion
    define san = Character('Sanae', kind=normal_char, color="#58bd73") #sea green
    define sat = Character('Satori', kind=normal_char, color="#d88ad2") #lavender
    define t = Character('Tewi', kind=normal_char, color="#ffc5ba") #pink
    define u = Character('Utsuho', kind=normal_char, color="#FF933B") #orange
    define ya = Character('Yamame', kind=normal_char, color="#E3D26F") #yellow ochre
    define yu = Character('Yuugi', kind=normal_char, color="#FF775C") #reddish brown
    
    define sc = Character('Shimenawa crew', kind=normal_char, color="#e6e6e6") #grey
    define sol = Character('Soldier', kind=normal_char, color="#e6e6e6") #grey
    define ps = Character('Parsian soldier', kind=normal_char, color="#e6e6e6") #grey
    define s1 = Character('Storm-1', kind=normal_char, color="#B3DCFF") #Aya Chapter 1 intro
    define mas = Character('Master', kind=normal_char, color="#46ae7a") #Mima flashbacks
    define ma2 = Character('Marisa?', kind=normal_char, color="#e6e6e6") #Mima flashbacks
    define cf = Character('Chireiden forces', kind=normal_char, color="#e6e6e6") #grey
    
    ## ----------------------------------- ##
    ## --- Event CG definitions --- ##
    ## ----------------------------------- ##   
    
    image dsd_logo = "gui_images/dsd_logo.png"
    image cg placeholder = "cg/placeholder.png"
    
    ## --- Chapter 1 --- ##
    
    image chapter1 title = "gui_images/chapter_title/chapter1_title.png"
    image cg intro1 = "cg/cg_intro1.png"
    image cg intro2a = "cg/cg_intro2a.png"
    image cg intro2b = "cg/cg_intro2b.png"
    image cg intro2c = "cg/cg_intro2c.png"
    image cg intro3 = "cg/cg_intro3.png"
    image cg intro4a = "cg/cg_intro4a.png"
    image cg intro4b = "cg/cg_intro4b.png"
    
    #image cg flag chireiden = "cg/flag_chireiden.png"
    #image cg flag moriya = "cg/flag_moriya.png"
    #image cg flag parsia = "cg/flag_parsia.png"
    image cg chireiden crest = "cg/cg_chireiden_crest.png"
    image cg below yatagarasu = "cg/cg_below_yatagarasu.png"
    image cg parsia hq overview = "cg/cg_parsia_hq_overview.png"
    
    image cg hangar zero opening a = "cg/cg_hangar_zero_openinga.png"
    image cg hangar zero opening b = "cg/cg_hangar_zero_openingb.png"
    image cg hangar zero open = "cg/cg_hangar_zero_open.png"
    image cg shimenawa gate overview = "cg/cg_shimenawa_gate_overview.png"
    image cg sanae pilot ritual1 = "cg/sanae_ritual1.png"
    image cg sanae pilot ritual2 = "cg/sanae_ritual2.png"
    
    image cg gate opening a = "cg/cg_gatea.png"
    image cg gate opening b = "cg/cg_gateb.png"
    image cg gate opening c = "cg/cg_gatec.png"
    image cg gate opening c2 = "cg/cg_gatec2.png"
    image cg gate opening d = "cg/cg_gated.png"
    image cg gate opening e = "cg/cg_gatee.png"
    image cg gate opening ezoom = "cg/cg_gatee_zoom.png"
    image cg gate shots1 = "cg/cg_gate_shots1.png"
    image cg gate shots2 = "cg/cg_gate_shots2.png"
    image cg gate shots3 = "cg/cg_gate_shots3.png"
    image cg gate closeup1 = "cg/cg_gate_tunnel.png"
    image cg gate closeup1a = "cg/cg_gate_tunnela.png"
    image cg gate closeup2 = "cg/cg_gate_doorr_glow.png"
    image cg gate closeup3 = "cg/cg_gate_doorl.png"
    image cg gate closeup4 = "cg/cg_gate_doorr.png"
    image cg gate smoke = "cg/cg_gate_smoke.png"
    image cg gate firefight = "cg/cg_gate_firefight.png"
    
    image cg shimenawa front = "cg/cg_shimenawa_front.png"
    image cg shimenawa under fire = "cg/cg_shimenawa_under_fire.png"
    image cg shimenawa under fire b = "cg/cg_shimenawa_under_fire_b.png"
    image cg onbashira firing i = "cg/cg_onbashira_shot_a.png"
    image cg onbashira firing j = "cg/cg_onbashira_shot_b.png"
    
    image cg crows hangar = "cg/cg_crows_hangar.png"
    image cg crows launch a = "cg/cg_crows_launch_a.png"
    image cg crows launch b = "cg/cg_crows_launch_b.png"
    image cg crows launch c = "cg/cg_crows_launch_c.png"
    image cg crows launch d = "cg/cg_crows_launch_d.png"
    
    image cg wolves elevator a = "cg/cg_wolves_elevator_a.png" #Main scene
    image cg wolves elevator b = "cg/cg_wolves_elevator_b.png" #Elevator with Type-W's
    image cg wolves elevator c = "cg/cg_wolves_elevator_c.png" #Foreground piece
    image cg wolves shield a1 = "cg/cg_wolves_shield_a1.png" #Momiji's Type-W activating barrier
    image cg wolves shield a2 = "cg/cg_wolves_shield_a2.png"
    image cg wolves shield a3 = "cg/cg_wolves_shield_a3.png" #Normal Type-W activating barrier
    image cg wolves shield a4 = "cg/cg_wolves_shield_a4.png"
    image cg wolves shield b = "cg/cg_wolves_shield_b.png" #Zoom out to see Type-W positions
    image cg wolves under fire a = "cg/cg_wolves_under_fire_a.png" #From Mirror-type laser
    image cg wolves under fire b = "cg/cg_wolves_under_fire_b.png" #Mirror-type laser breaks a barrier
    
    image cg yatagarasu pilotseat a = "cg/cg_yatagarasu_pilotseat_a.png"
    image cg yatagarasu pilotseat b = "cg/cg_yatagarasu_pilotseat_b.png"
    image cg yatagarasu vision 1a:
        "cg/cg_yatagarasu_vision.png"
        zoom 0.42 align(0.5, 0.5)
    image cg yatagarasu vision1b:
        "cg/cg_yatagarasu_vision.png"
        zoom 1 align(0.92, 0.57)
    image cg yatagarasu vision1c:
        "cg/cg_yatagarasu_vision.png"
        zoom 1 align(0.32, 0.17)
    image cg yatagarasu arm cannon laser c:
        "cg/cg_yatagarasu_arm_cannon_laser_c.png" #bombing Trooper class
        anchor (0.5, 0.5) pos (450, 265)
    image cg yatagarasu mega flare a = "cg/cg_yatagarasu_mega_flare_a.png"
    image cg yatagarasu mega flare b = "cg/cg_yatagarasu_mega_flare_b.png"
    image cg yatagarasu mega flare c:
        "cg/cg_yatagarasu_mega_flare_c.png"
        anchor (0.5, 0.5) pos (0.5, 0.5)
    image cg yatagarasu mega flare d:
        "cg/cg_yatagarasu_mega_flare_d.png"
        anchor (0.5, 0.5) pos (0.5, 0.5)
    image cg yatagarasu mega flare e:
        "cg/cg_yatagarasu_mega_flare_e.png"
        anchor (0.5, 0.5) pos (0.5, 0.5)
    image cg yatagarasu mega flare f:
        "cg/cg_yatagarasu_mega_flare_f.png"
        anchor (0.5, 0.5) pos (0.5, 0.5)
    image cg yatagarasu mega flare g:
        "cg/cg_yatagarasu_mega_flare_g.png"
        anchor (0.5, 0.5) pos (0.5, 0.5)
    
    image cg reawakened calamity = "cg/cg_reawakened_calamity.png"
    
    
    ## --- Chapter 2 --- ##
    
    image chapter2 title = "gui_images/chapter_title/chapter2_title.png"
    image cg palace of earth spirits = "cg/cg_palace_of_earth_spirits.png"
    image cg utsuho bed a = "cg/cg_utsuho_bed_a.png"
    image cg utsuho bed b = "cg/cg_utsuho_bed_b.png"
    image cg utsuho bed c = "cg/cg_utsuho_bed_c.png"
    image cg utsuho bed d = "cg/cg_utsuho_bed_d.png"
    image cg slideshow a = "cg/cg_slideshow_a.png"
    image cg slideshow b = "cg/cg_slideshow_b.png"
    image cg slideshow c = "cg/cg_slideshow_c.png"
    image cg map chireiden1a = "cg/cg_map_chireiden1a.png"
    image cg map chireiden1b = "cg/cg_map_chireiden1b.png"
    image cg map chireiden1c = "cg/cg_map_chireiden1c.png"
    image cg map chireiden1d = "cg/cg_map_chireiden1d.png"
    image cg yatagarasu vision2 = "cg/cg_yatagarasu_vision2.png"
    image cg yata talisman = "cg/cg_yata_talisman.png"
    
    image cg ursa major appears = "cg/cg_ursa_major_appears.png"
    image cg ursa major blast a = "cg/cg_ursa_major_blast_a.png"
    image cg ursa major blast b = "cg/cg_ursa_major_blast_b.png"
    image cg chireiden blockade a = "cg/cg_chireiden_blockade_a.png"
    image cg chireiden blockade b = "cg/cg_chireiden_blockade_b.png"
    image cg chireiden blockade c = "cg/cg_chireiden_blockade_c.png"
    image cg chireiden blockade d = "cg/cg_chireiden_blockade_d.png"
    image cg chireiden blockade e = "cg/cg_chireiden_blockade_e.png"
    
    image cg flare vs spark a = "cg/cg_flare_vs_spark_a.png"
    image cg shadow judge a = "cg/cg_shadow_judge_a.png"
    image cg shadow judge b = "cg/cg_shadow_judge_b.png"
    
    
        

    ###################
    ## --- Pilot cut-ins --- ##
    ###################
    
    image alice pilot tense = "sprites/Alice/alice_pilot_tense.png"
    
    image aya pilot smug = "sprites/Aya/aya_pilot_smug.png"
    image aya pilot tense = "sprites/Aya/aya_pilot_tense.png"
    
    image cirno pilot normal = "sprites/Cirno/cirno_pilot_normal.png"
    
    image lily pilot normal = "sprites/Lily/lily_pilot_normal.png"
    
    image marisa pilot normal = "sprites/Marisa/marisa_pilot_normal.png"
    image marisa pilot serious = "sprites/Marisa/marisa_pilot_serious.png"
    image marisa pilot shout = "sprites/Marisa/marisa_pilot_shout.png"
    image marisa pilot tense = "sprites/Marisa/marisa_pilot_tense.png"
    image marisa pilot spell1:
        "sprites/Marisa/marisa_spell1.png"
        anchor (0.5, 0.5) additive 0.6 alpha 0.3
    image marisa pilot spell2:
        "sprites/Marisa/marisa_spell2.png"
        anchor (0.5, 0.5) 
    
    image momiji pilot shout = "sprites/Momiji/momiji_pilot_shout.png"
    image momiji pilot tense = "sprites/Momiji/momiji_pilot_tense.png"
        
    image patchouli pilot tense = "sprites/Patchouli/patchouli_pilot_tense.png"
    
    image sanae pilot determined = "sprites/Sanae/sanae_pilot_determined.png"
    image sanae pilot distress = "sprites/Sanae/sanae_pilot_distress.png"
        
    image utsuho pilot2 calm = "sprites/Utsuho/utsuho_pilot2_calm.png"
    image utsuho pilot2 calm glow = "sprites/Utsuho/utsuho_pilot2_calm_glow.png"
    image utsuho pilot2 normal = "sprites/Utsuho/utsuho_pilot2_normal.png"
    image utsuho pilot2 normal glow = "sprites/Utsuho/utsuho_pilot2_normal_glow.png"
    image utsuho pilot2 tense = "sprites/Utsuho/utsuho_pilot2_tense.png"
    image utsuho pilot2 tense glow = "sprites/Utsuho/utsuho_pilot2_tense_glow.png"
    image utsuho pilot2 autoa = "sprites/Utsuho/utsuho_pilot2_auto_a.png"
    image utsuho pilot2 autob = "sprites/Utsuho/utsuho_pilot2_auto_b.png"
    
    image utsuho pilot wince = "sprites/Utsuho/utsuho_pilot_wince.png"
    image utsuho pilot determined light = "sprites/Utsuho/utsuho_pilot_determined.png"
    image utsuho pilot happy light = "sprites/Utsuho/utsuho_pilot_happy.png"
    image utsuho pilot tense light = "sprites/Utsuho/utsuho_pilot_tense.png"
    image utsuho pilot spellcircle: 
        "sprites/Utsuho/utsuho_spell1.png"
        anchor (0.5, 0.5)
    image utsuho pilot spellcircle2:
        im.MatrixColor("sprites/Utsuho/utsuho_spell1.png", im.matrix.brightness(0.6) )
        anchor (0.5, 0.5)
    image utsuho pilot tense aura = "sprites/Utsuho/utsuho_spell2.png"
    
    image yuugi pilot annoyed = "sprites/Yuugi/yuugi_pilot_annoyed.png"
    image yuugi pilot normal = "sprites/Yuugi/yuugi_pilot_normal.png"
    image yuugi pilot surprise = "sprites/Yuugi/yuugi_pilot_surprise.png"
    
    
    
    
    ## ------------------------------------------ ##
    ## --- Scene Change definitions --- ##    
    ## ------------------------------------------ ##
    
    transform loc_sub:
        pos (100, 450) anchor (0, 0)
    
    image loc Aboard the Shimenawa = "gui_images/locations/Aboard_the_Shimenawa.png"
    image loc Elsewhere = "gui_images/locations/Elsewhere.png"
    image loc Palace of Earth Spirits = "gui_images/locations/Palace_of_Earth_Spirits_Chireiden.png"
    image loc Parsia Main HQ = "gui_images/locations/Parsia_Main_HQ.png"
    image loc To be continued = "gui_images/locations/To_be_continued.png"
    
    

    ## ------------------------------ ##
    ## --- Sprite definitions --- ##    
    ## ------------------------------ ##
    
    image alice annoyed = "sprites/Alice/alice_annoyed.png"
    image alice normal = "sprites/Alice/alice_normal.png"
    image alice thinking = "sprites/Alice/alice_thinking.png"
    
    image aya normal = "sprites/Aya/aya_normal.png"
    image aya salute = "sprites/Aya/aya_normal.png"
    image aya serious = "sprites/Aya/aya_serious.png"
    image aya tense = "sprites/Aya/aya_tense.png"
    image aya thinking = "sprites/Aya/aya_thinking.png"
    
    image cirno annoyed = "sprites/Cirno/cirno_annoyed.png"
    image cirno nervous = "sprites/Cirno/cirno_nervous.png"
    image cirno normal = "sprites/Cirno/cirno_normal.png"
    image cirno proud = "sprites/Cirno/cirno_proud.png"
    
    image eiki normal comm:
        im.Composite( #video chat
        (231, 220),
        (0, 0), "sprites/comm_screen_back.png",
        (-50, -150), "sprites/Eiki/eiki_normal.png",
        (0, 0), "sprites/comm_screen.png" )
        alpha 0.8
    image eiki shout comm:
        im.Composite( #video chat
        (231, 220),
        (0, 0), "sprites/comm_screen_back.png",
        (-50, -150), "sprites/Eiki/eiki_shout.png",
        (0, 0), "sprites/comm_screen.png" )
        alpha 0.8
    image eiki stern comm:
        im.Composite( #video chat
        (231, 220),
        (0, 0), "sprites/comm_screen_back.png",
        (-50, -150), "sprites/Eiki/eiki_stern.png",
        (0, 0), "sprites/comm_screen.png" )
        alpha 0.8
    
    image kanako amused = "sprites/Kanako/kanako_amused.png"
    image kanako concerned = "sprites/Kanako/kanako_serious.png"
    image kanako nervous = "sprites/Kanako/kanako_nervous.png"
    image kanako normal = "sprites/Kanako/kanako_normal.png"
    image kanako salespitch = "sprites/Kanako/kanako_amused.png"
    image kanako serious = "sprites/Kanako/kanako_serious.png"
    image kanako shout = "sprites/Kanako/kanako_shout.png"
    image kanako surprise = "sprites/Kanako/kanako_surprise.png"
    # Made shadows instead of lowering brightness because the in-game modifier affects saturation, which I don't want
    image kanako amused shade = im.Composite( (424, 600), (0, 0), "sprites/Kanako/kanako_amused.png", (0, 0), 
        im.MatrixColor("sprites/Kanako/kanako_normal.png", im.matrix.brightness(-1) * im.matrix.opacity(0.3)) )
    image kanako normal shade = im.Composite( (424, 600), (0, 0), "sprites/Kanako/kanako_normal.png", (0, 0), 
        im.MatrixColor("sprites/Kanako/kanako_normal.png", im.matrix.brightness(-1) * im.matrix.opacity(0.3)) )
    image kanako salespitch shade = im.Composite( (424, 600), (0, 0), "sprites/Kanako/kanako_amused.png", (0, 0), 
        im.MatrixColor("sprites/Kanako/kanako_normal.png", im.matrix.brightness(-1) * im.matrix.opacity(0.3)) )
    image kanako serious shade = im.Composite( (424, 600), (0, 0), "sprites/Kanako/kanako_serious.png", (0, 0), 
        im.MatrixColor("sprites/Kanako/kanako_normal.png", im.matrix.brightness(-1) * im.matrix.opacity(0.3)) )
    image kanako shout shade = im.Composite( (424, 600), (0, 0), "sprites/Kanako/kanako_shout.png", (0, 0), 
        im.MatrixColor("sprites/Kanako/kanako_normal.png", im.matrix.brightness(-1) * im.matrix.opacity(0.3)) )
    image kanako surprise shade = im.Composite( (424, 600), (0, 0), "sprites/Kanako/kanako_surprise.png", (0, 0), 
        im.MatrixColor("sprites/Kanako/kanako_surprise.png", im.matrix.brightness(-1) * im.matrix.opacity(0.3)) )
    image kanako onbashira a = "sprites/Kanako/kanako_onbashira_a.png"
    image kanako onbashira b = "sprites/Kanako/kanako_onbashira_b.png"
    image kanako onbashira c = "sprites/Kanako/kanako_onbashira_c.png"
    
    image marisa grin = "sprites/Marisa/marisa_grin.png"
    image marisa nervous = "sprites/Marisa/marisa_nervous.png"
    image marisa normal = "sprites/Marisa/marisa_normal.png"
    image marisa serious = "sprites/Marisa/marisa_serious.png"
    image marisa shock = "sprites/Marisa/marisa_shock.png"
    image marisa surprise = "sprites/Marisa/marisa_surprise.png"
    image marisa thinking = "sprites/Marisa/marisa_thinking.png"

    image mima alert shade =  im.Composite( (405, 600), (23, 0), "sprites/Mima/mima_alert.png", (23, 0), 
        im.MatrixColor("sprites/Mima/mima_alert.png", im.matrix.brightness(-1) * im.matrix.opacity(0.3)) )
    image mima normal shade = im.Composite( (405, 600), (23, 0), "sprites/Mima/mima_normal.png", (23, 0), 
        im.MatrixColor("sprites/Mima/mima_normal.png", im.matrix.brightness(-1) * im.matrix.opacity(0.3)) )
    image mima thinking shade = im.Composite( (405, 600), (23, 0), "sprites/Mima/mima_thinking.png", (23, 0), 
        im.MatrixColor("sprites/Mima/mima_thinking.png", im.matrix.brightness(-1) * im.matrix.opacity(0.3)) )
        
    image momiji annoyed = "sprites/Momiji/momiji_annoyed.png"
    image momiji normal = "sprites/Momiji/momiji_normal.png"
    image momiji annoyed shade = im.Composite( (424, 600), (23, 0), "sprites/Momiji/momiji_annoyed.png", (23, 0), 
        im.MatrixColor("sprites/Momiji/momiji_annoyed.png", im.matrix.brightness(-1) * im.matrix.opacity(0.3)) )
    image momiji normal shade = im.Composite( (424, 600), (23, 0), "sprites/Momiji/momiji_normal.png", (23, 0), 
        im.MatrixColor("sprites/Momiji/momiji_annoyed.png", im.matrix.brightness(-1) * im.matrix.opacity(0.3)) )
    
    image parsee angry = "sprites/Parsee/parsee_angry.png"
    image parsee normal = "sprites/Parsee/parsee_normal.png"
    image parsee smirk = "sprites/Parsee/parsee_smirk.png"
    
    image patchouli concerned = "sprites/Patchouli/patchouli_concerned.png"
    image patchouli curious = "sprites/Patchouli/patchouli_curious.png"
    image patchouli normal = "sprites/Patchouli/patchouli_normal.png"
    image patchouli thinking = "sprites/Patchouli/patchouli_thinking.png"
    
    image rin amused = "sprites/Rin/rin_amused.png" #1
    image rin excited = "sprites/Rin/rin_excited.png" #1b
    image rin frantic = "sprites/Rin/rin_frantic.png" #1b
    image rin huh = "sprites/Rin/rin_huh.png" #1
    image rin normal = "sprites/Rin/rin_normal.png" #1
    image rin oops = "sprites/Rin/rin_oops.png" #2
    image rin serious = "sprites/Rin/rin_serious.png" #3
    image rin shrug = "sprites/Rin/rin_shrug.png" #2
    image rin tadah = "sprites/Rin/rin_tadah.png" #2
    image rin worried = "sprites/Rin/rin_worried.png" #1b
    image rin huh shade = im.Composite( (424, 600), (25, 0), "sprites/Rin/rin_huh.png", (25, 0), 
        im.MatrixColor("sprites/Rin/rin_huh.png", im.matrix.brightness(-1) * im.matrix.opacity(0.3)) )
    image rin serious shade = im.Composite( (424, 600), (25, 0), "sprites/Rin/rin_serious.png", (25, 0), 
        im.MatrixColor("sprites/Rin/rin_serious.png", im.matrix.brightness(-1) * im.matrix.opacity(0.3)) )
    
    image sanae amused = "sprites/Sanae/sanae_amused.png" #2
    image sanae huh = "sprites/Sanae/sanae_huh.png" #2
    image sanae normal = "sprites/Sanae/sanae_normal.png" #1
    image sanae regret = "sprites/Sanae/sanae_regret.png" #1
    image sanae serious = "sprites/Sanae/sanae_serious.png" #1
    image sanae smile = "sprites/Sanae/sanae_smile.png" #1
    image sanae worried = "sprites/Sanae/sanae_worried.png" #2
    
    image satori concerned = "sprites/Satori/satori_concerned.png"
    image satori normal = "sprites/Satori/satori_normal.png"
    image satori normal comm:
        im.Composite( #video chat
        (231, 220),
        (0, 0), "sprites/comm_screen_back.png",
        (-75, -170), "sprites/Satori/satori_normal.png",
        (0, 0), "sprites/comm_screen.png" )
        alpha 0.8
    image satori surprise = "sprites/Satori/satori_surprise.png"
    image satori thinking = "sprites/Satori/satori_thinking.png"
    image satori thinking comm:
        im.Composite( #video chat
        (231, 220),
        (0, 0), "sprites/comm_screen_back.png",
        (-75, -170), "sprites/Satori/satori_thinking.png",
        (0, 0), "sprites/comm_screen.png" )
        alpha 0.8
        
    image tewi contempt = "sprites/Tewi/tewi_contempt.png"
    image tewi cunning = "sprites/Tewi/tewi_cunning.png"
    image tewi normal = "sprites/Tewi/tewi_normal.png"
    
    image utsuho angry = "sprites/Utsuho/utsuho_determined.png"
    image utsuho curious = "sprites/Utsuho/utsuho_curious.png"
    image utsuho determined = "sprites/Utsuho/utsuho_determined.png"
    image utsuho huh = "sprites/Utsuho/utsuho_huh.png"
    image utsuho normal = "sprites/Utsuho/utsuho_normal.png"
    image utsuho serious = "sprites/Utsuho/utsuho_curious.png"
    image utsuho shock = "sprites/Utsuho/utsuho_shock.png"
    image utsuho shy = "sprites/Utsuho/utsuho_shy.png"
    image utsuho surprised = "sprites/Utsuho/utsuho_huh.png"
    image utsuho thinking = "sprites/Utsuho/utsuho_thinking.png"
    image utsuho angry shade = im.Composite( (424, 600), (30, 0), "sprites/Utsuho/utsuho_determined.png", (30, 0), 
        im.MatrixColor("sprites/Utsuho/utsuho_determined.png", im.matrix.brightness(-1) * im.matrix.opacity(0.3)) )
    image utsuho curious shade = im.Composite( (424, 600), (30, 0), "sprites/Utsuho/utsuho_curious.png", (30, 0), 
        im.MatrixColor("sprites/Utsuho/utsuho_curious.png", im.matrix.brightness(-1) * im.matrix.opacity(0.3)) )
    image utsuho huh shade = im.Composite( (424, 600), (30, 0), "sprites/Utsuho/utsuho_huh.png", (30, 0), 
        im.MatrixColor("sprites/Utsuho/utsuho_huh.png", im.matrix.brightness(-1) * im.matrix.opacity(0.3)) )
    image utsuho serious shade = im.Composite( (424, 600), (30, 0), "sprites/Utsuho/utsuho_curious.png", (30, 0), 
        im.MatrixColor("sprites/Utsuho/utsuho_curious.png", im.matrix.brightness(-1) * im.matrix.opacity(0.3)) )
    
    image yamame annoyed = "sprites/Yamame/yamame_annoyed.png"
    image yamame cautious = "sprites/Yamame/yamame_cautious.png"
    image yamame ouch = "sprites/Yamame/yamame_sweatdrop.png"
    image yamame resigned = "sprites/Yamame/yamame_resigned.png"
    image yamame serious = "sprites/Yamame/yamame_serious.png"
    image yamame sweatdrop = "sprites/Yamame/yamame_sweatdrop.png"
    
    image yuugi happy = "sprites/Yuugi/yuugi_happy.png"
    image yuugi normal = "sprites/Yuugi/yuugi_normal.png"
    image yuugi surprised = "sprites/Yuugi/yuugi_surprised.png"
    image yuugi thinking = "sprites/Yuugi/yuugi_thinking.png"
    
    
    
    ## --------------------------------------------- ##
    ## --- Sprite positioning definitions --- ##    
    ## --------------------------------------------- ##           
    
    transform enemy_solo:
        xpos 0.3 ypos 0.4 zoom 1.0
    transform enemy_solo_os_left:
        xpos -0.15 ypos 0.4 zoom 1.0
    transform enemy_solo_os_right:
        xpos 1.5 ypos 0.0 zoom 1.0
    transform enemy_leader:
        xpos 0.8 ypos 0.4 zoom 1.0
        
        
    transform enemy1:
        xpos 0.356 ypos 0.533 zoom 1.0
    transform enemy1_66:
        xpos 0.356 ypos 0.533 zoom 0.66
    transform enemy1_fall:
        easeout 3.5 pos (-0.25, 1.5)
    transform enemy1_fall_r:
        easeout 3.5 pos (1.0, 1.5)
    transform enemy1_os:
        xpos -0.5 ypos 0.583 zoom 0.8
    transform enemy2:
        xpos 0.269 ypos 0.14 zoom 0.4
    transform enemy2_nozoom:
        xpos 0.269 ypos 0.14 zoom 1.0
    transform enemy2_fall:
        easeout 5 pos (-0.25, 1.5)
    transform enemy2_fall_r:
        easeout 5 pos (0.75, 1.5)
    transform enemy2_os:
        xpos -0.5 ypos 0.18 zoom 0.32
    transform enemy3:
        xpos 0.70 ypos 0.303 zoom 0.5
    transform enemy3_nozoom:
        xpos 0.70 ypos 0.303 zoom 1.0
    transform enemy3_fall:
        easeout 5 pos (0.2, 1.5)
    transform enemy3_fall_r:
        easeout 5 pos (1.2, 1.5)
    transform enemy3_os:
        xpos -0.5 ypos 0.323 zoom 0.4
    transform enemy3_os_right:
        xpos 1.5 ypos 0.323 zoom 0.4
    transform enemy4:
        xpos 0.845 ypos 0.70 zoom (2/3.0)
    transform enemy4_fall:
        easeout 2.5 pos (0.35, 1.5)
    transform enemy4_fall_r:
        easeout 2.5 pos (1.35, 1.5)
    transform enemy4_os:
        xpos -0.5 ypos 0.67 zoom 0.53
    transform enemy5:
        xpos 0.05 ypos 0.8 zoom (0.5)
    transform enemy5_os_left:
        xpos -0.5 ypos 0.8 zoom (0.5)
    transform enemy6:
        xpos 0.9 ypos 0.2 zoom (0.3)
    transform enemy6_os_left:
        xpos -0.2 ypos 0.2 zoom (0.3)
        
    transform enemy_mirror1:
        xpos 0.356 ypos 0.4 zoom 0.8
    transform enemy_mirror2:
        xpos 0.68 ypos 0.617 zoom 0.6
    transform enemy_mirror3:
        xpos 0.38 ypos 0.467 zoom 1.0
        
    transform enemy_ground1:
        pos (0.125, 0.517) zoom 1
    transform enemy_ground2:
        pos (0.488, 0.617) zoom 0.7 
    transform enemy_ground3:
        pos (0.75, 0.683) zoom 0.5 
        
    transform allyshime:
        pos (0.66, 0.48) zoom 1.0
    transform ally1:
        pos (0.625, 0.567) zoom 1.0
    transform ally1_os:
        pos (2.5, 0.567) zoom 1.0
    transform ally1_os_l:
        pos (-1.5, 0.567) zoom 1.0
    transform ally2:
        pos (0.66, 0.417) zoom 0.85
    transform ally2_os:
        pos (2.375, 0.417) zoom 0.85
    transform ally2_os_l:
        pos (-1.375, 0.417) zoom 0.85
    transform ally3:
        pos (0.79, 0.217) zoom 0.7
    transform ally3_os:
        pos (1.5, 0.217) zoom 0.7
    transform ally3_os_l:
        pos (-2.5, 0.217) zoom 0.7
    transform ally4:
        pos (0.25, 0.283) zoom 0.6
    transform ally4_os:
        pos (1.25, 0.283) zoom 0.6
    transform ally4_os_l:
        pos (-2.25, 0.283) zoom 0.6
        
        
    
    transform left:
        xpos 0.275 xanchor 0.5 yalign 1.0
    transform near_left:
        xpos 0.4 xanchor 0.5 yalign 1.0
    transform far_left:
        xpos 0.15 xanchor 0.5 yalign 1.0
    transform veryfar_left: #Only use for peeking in
        xpos 0.0 xanchor 0.5 yalign 1.0
    transform mirrored:
        xzoom -1.0 xpos 0.725 xanchor 0.5 yalign 1.0
    transform near_mirrored:
        xzoom -1.0 xpos 0.60 xanchor 0.5 yalign 1.0
    transform far_mirrored:
        xzoom -1.0 xpos 0.85 xanchor 0.5 yalign 1.0
        
    transform left_mirrored:
        xzoom -1.0 xpos 0.275 xanchor 0.5 yalign 1.0
    transform near_left_mirrored:
        xzoom -1.0 xpos 0.4 xanchor 0.5 yalign 1.0
    transform far_left_mirrored:
        xzoom -1.0 xpos 0.15 xanchor 0.5 yalign 1.0
    transform right:
        xpos 0.725 xanchor 0.5 yalign 1.0
        
    transform reverse:
        xzoom -1.0 xpos 0.5 xanchor 0.5
    
    transform truecenter:
        anchor(0.5, 0.5) pos (0.5, 0.5)
    transform truecenter_r:
        anchor(0.5, 0.5) pos (0.5, 0.5) xzoom -1.0
        
    transform dlg_dissolve:
        on show:
            alpha 0.0
            linear 0.2 alpha 1.0
        on hide:
            linear 0.2 alpha 0.0
        on replace:      # when new image appears
            alpha 0.0
            linear 0.2 alpha 1.0
        on replaced:     # when old image disappears
            linear 0.2 alpha 0.0
        
            
init python:



    ## --------------------------------------- ##
    ## --- Custom audio channels --- ##
    ## --------------------------------------- ##
    
    # register_channel parameters: channel name, mixer, loop by default or not
    # http://www.renpy.org/wiki/renpy/doc/reference/functions/renpy.music.register_channel
    
    # Alternate sfx channels, so multiple SFX can be played simultaneously
    renpy.music.register_channel("sound2", "sfx", False)
    renpy.music.register_channel("sound3", "sfx", False)
    
    # Channel for sfx that loops (to achieve this, just set loop parameter to True)
    renpy.music.register_channel("loopingsound", "sfx", True)
    renpy.music.register_channel("loopingsound2", "sfx", True)
    
    # Music that stops after one loop)
    renpy.music.register_channel("oneplaymusic", "music", False)
    
    
    
    ## ------------------------------ ##
    ## --- Music definitions --- ## 
    ## ------------------------------ ##
    
    music_altered_beast = "music/oc-tm-alteredbeast.mp3" #Power up!
    music_business = "music/oc-tm-business.mp3" #Quiet transitory theme
    music_heavyduty = "music/oc-tm-heavyduty.mp3" #SA stage 3, drums
    music_helios_1 = "music/Helios Sample 1.MP3" #Launch
    music_helios_2 = "music/Helios Sample 2.MP3" #Battle rock
    music_hellfire_surprise = "music/oc-tm-hellfiresurprise.ogg" #Enemy attack
    music_library = "music/oc-tm-library.mp3" #TM Database
    music_lolz = "music/oc-tm-lolz-softer.ogg" #casual conversation
    music_overture = "music/oc-tm-overture.ogg" #Yamame's theme, orchestral
    music_parsia = "music/oc-tm-parsia.mp3" #SA stage 2, distorted strings
    music_preamble = "music/oc-tm-preamble.mp3" #Eastern orchestral epic
    music_probing = "music/oc-tm-probing.mp3" #Serious Time
    music_title = "music/oc-tm-title.ogg" #Title screen violin
    music_vision = "music/oc-tm-vision.mp3" #Psychedelic
    
    
    
    ## --------------------------------------- ##
    ## --- Sound effect definitions --- ## 
    ## --------------------------------------- ##
    
    se_alarm_hangar = "sfx/alarm1.mp3" #Moving stuff, like the Hangar Zero door
    se_alarm_danger = "sfx/alarm2.ogg" #Cockpit warning
    
    se_beep1 = "sfx/pa_beep.ogg" #PA system
    se_beep2 = "sfx/Lever Shifted 3.mp3" #Jwiii
    se_beep3 = "sfx/82263__burkay__17-digital-beep.ogg" #Small beep
    se_beep5 = "sfx/interface_beep5.mp3" #Zwip
    se_beep6 = "sfx/interface_beep6.mp3" #Ba-leep
    
    se_bg_hangar = "sfx/oc-tm-sfx-garage.wav" #Repairs, tuning, etc
    se_bg_war1 = "sfx/war_symphony_low.ogg" #Sparse.  Used with loopingsound for bg noise
    se_bg_war2 = "sfx/war_symphony2.ogg" #All-out battle, loopable
    se_bg_wind = "sfx/135193__felix-blume__wind-blowing-in-the-bush-on-the-top-of-kitt-peak-mountain.ogg" #Mountaintop wind with foilage
    
    se_boost1 = "sfx/18394__inferno__rlhvyx.ogg" #Big boost
    se_boost2 = "sfx/boost_ground.ogg" #Ground-roller jets
    
    se_cannon1 = "sfx/CannonShooting.ogg" #Shot explodes out
    se_cannon2 = "sfx/CannonShooting2.ogg" #Smoke puff
    
    se_chime = "sfx/coin_drop.mp3"
    
    se_click1 = "sfx/107806__j1987__metallicclick.wav" #Reload
    
    se_door_pnuematic = "sfx/door_slide.wav" #Powered door opening
    se_door_slam = "sfx/door_slam.ogg" #Hinged door opens hard
    se_door_stone1 = "sfx/sliding_stone.ogg" #The Gate slides opens
    se_door_stone2 = "sfx/doorslam.mp3" #The Gate is open
    
    se_elevator_start = "sfx/elevator_start.ogg"
    se_elevator_doors = "sfx/elevator_doors.ogg" #Open or close doors
    se_elevator_hum = "sfx/elevator_hum.ogg" #In transit; loopable
    se_elevator_end = "sfx/elevator_end.ogg" 
    
    se_explosion1 = "sfx/Explode-eRco_Inc-7833_hifi.mp3" #Fiery bang with debris
    se_explosion2 = "sfx/small_explosion1.mp3" #Catches fire
    se_explosion3 = "sfx/small_explosion2.mp3" #Poooom
    se_explosion4 = "sfx/explosion_air.mp3" #Air puff
    se_explosion5 = "sfx/explosion_hard.mp3" #Shockwave e.g. Onbashira blast
    se_explosion6 = "sfx/mega_flare.ogg" #Nuke. Mega Flare!
    se_explosion7 = "sfx/109073__m-o-m__impact-asteroid-heavy-whoosh-explosion-rock-punch-debris.wav" #big impact
    se_explosion8 = "sfx/165911__deganoth__explosion-1.ogg" #Explosion followed by smoke, e.g. ejecting cartridges
    se_explosion9 = "sfx/Explosio-Ivan-8042_hifi.mp3" #Large blast
    se_explosion10 = "sfx/155790__roper1911__shipboard-railgun.mp3" #Rebound with metal clink
    
    se_fire1 = "sfx/fire_long.ogg" #6 second flametongue
    se_fire2 = "sfx/fire02.mp3" #2 second flametongue
    se_fire3 = "sfx/fire_shoot.ogg" #Flamethrower
    se_fire4 = "sfx/fire_shoot2.ogg" #Burst
    
    se_gatling1 = "sfx/101962__cgeffex__machine-gun_gatling.ogg" #with motor
    se_gatling2 = "sfx/101962__cgeffex__machine-gun_gatling2.ogg" #louder, no motor
    
    se_gun1 = "sfx/91572__steveygos93__layeredgunshot.ogg" #Generic rifle
    se_gun2 = "sfx/46264__phreaksaccount__coachgun-fire2-dv.ogg" #Shotgun
    
    se_ice_beam = "sfx/72680__owyheesound__decelerate-discharge_ice.ogg" #crackling beam
    se_ice_over = "sfx/192415__urupin__fast-freezing-ice.ogg" #stuff freezes
    
    se_impact1 = "sfx/33380__dj-chronos__boom.wav" #Hard metal-on-metal hit
    se_impact2 = "sfx/Big_clun-Public_D-348_hifi.mp3" #Muffled tinny sound
    se_impact3 = "sfx/30356__nurykabe__casse03_pierce.ogg" #Metal penetration
    se_impact4 = "sfx/slam-sonic-op-7524_hifi.ogg" #Hollow metal hit
    se_impact5 = "sfx/54983__syna-max__anime-mech-step.wav" #Large footstep
    
    se_laser1 = "sfx/long_laser.wav" #Lazy Cyclops laser
    se_laser2 = "sfx/deep_laser.wav" #Punchy Angel laser
    se_laser3a = "sfx/160880__thehadnot__bfg-laser.wav" #Large Mirror laser, source
    se_laser3b = "sfx/laser_spark.wav" #Large Mirror laser, destination
    se_laser4 = "sfx/big_shot.ogg" #Onbashira
    se_laser5a = "sfx/72680__owyheesound__decelerate-discharge_3sec.ogg" #Long cascading beam, source
    se_laser5b = "sfx/72680__owyheesound__decelerate-discharge_nointro.ogg" #Long cascading beam, destination
    se_laser6a = "sfx/a_e_inception_plus_inferno_rlhvyx.ogg" #Fire Master Spark!
    se_laser6b = "sfx/legolunatic_charged-laser_plus_a_e_inception.ogg" #Traveling Spark
    
    se_lever1 = "sfx/Lever Shifted 1.mp3" #Ga-shink
    
    se_machinegun_loop = "sfx/machinegun_sixshot_1point2.ogg" #Use loopingsound for a 1.2 second loop
    se_machinegun_loop2 = "sfx/166192__shawnyboy__machine-gun.ogg" #Less heavy machinegun for fairies
    se_machinegun_e = "sfx/175267__jonccox__gun-plasma_sixshot.ogg" #Energy submachinegun
    se_machinegun_e2 = "sfx/88467__davidou__mitraillette-3_12shot.ogg" #Rapid scatter shot, seamless loop
    
    se_magic1 = "sfx/magic_whoosh.ogg" #Power up!
    se_magic2 = "sfx/Magic_Flash_01.mp3" #Shiny light
    se_magic3 = "sfx/magic_whoosh2.mp3" #Ricochet, wind, shine
    se_magic4 = "sfx/magic_whoosh3.ogg" #Fast power up e.g. Mirror
    se_magic5 = "sfx/monster_groan.ogg" #Dark regeneration
    se_magic6 = "sfx/105986__joe93barlow__protego.mp3" #fireball
    se_magic7 = "sfx/121894__stephensaldanha__magical-effect.ogg" #sci-fi reverb
    se_magic_hum1 = "sfx/oc-tm-sfx-hum1.wav" #Low hum, starts silent and builds up
    se_magic_hum2 = "sfx/oc-tm-sfx-hum1-2.wav" #Loopable low hum, can be used right after hum1
    
    se_mecha1 = "sfx/Mech_Movement_01.mp3" #Whirr...
    se_mecha2 = "sfx/Mech_Movement_02.mp3" #Generic mecha movement
    se_mecha3 = "sfx/whirr.ogg" #Hovering Cyclops
    se_mecha4 = "sfx/Mech_Movement_04.mp3" #Ga-shing!
    se_mecha5 = "sfx/Mech_Movement_05.mp3" #Vrrr-Kachuk
    
    se_missile_salvo1 = "sfx/missile_salvo_launch.ogg" #5 missiles launch
    se_missile_salvo2 = "sfx/5560__dobroide__fireworks_salvo.ogg" #10-ish explosions
    
    se_motor1 = "sfx/hydraulic_lift_long.ogg" #9 seconds, large door or lift
    se_motor2 = "sfx/hydraulic_lift.ogg" #5 seconds, large door or lift
    se_motor3 = "sfx/Hatch Opening.mp3" #hatch opens or closes
    se_motor4 = "sfx/engine_start.ogg" #power on
    se_motor5 = "sfx/power_down.ogg"
    se_motor6 = "sfx/76177__mattpavone__space-title-sfx_secondhigh.ogg" #quick motor
    
    se_radio1 = "sfx/radio_noise.wav" #Loopable static
    se_radio2 = "sfx/radio_scratch.wav" #End transmission
    
    se_rumble = "sfx/rumble.ogg" #Earth shaking
    
    se_shield_fire = "sfx/energy_brush.ogg" #Yatagarasu shield
    se_shield_block = "sfx/shield_hit.ogg" #Energy shield block
    se_shield_break = "sfx/shield_break.ogg" #Attack shatters shield
    
    se_slash1 = "sfx/109426__black-snow__sword-slice-17.wav" #Slicing through
    se_slash2 = "sfx/54985__syna-max__anime-sword-hit.wav" #Clash
    
    se_sparks1 = "sfx/sparks_2sec.ogg"
    
    se_taiko1 = "sfx/oc-tm-sfx-taiko.wav" #Single hit
    se_taiko2 = "sfx/oc-tm-sfx-double-taiko.ogg" #Double hit
    
    se_typing = "sfx/164687__adam-n__typing-lots.ogg" #Short burst of typing
    
    se_walk2 = "sfx/48670__suzenako__hidaulic1_walk.ogg" #Arachne
    
    se_waterdrop = "sfx/waterdrop.ogg" #Single drop with dramatic echo
    
    se_whoosh1 = "sfx/Flyby-Public_D-277_hifi_slow.ogg" #3 sec, gentle gust
    se_whoosh2 = "sfx/92909__robinhood76__01526-swoosh-2_slow.ogg" #8 sec, slowly fade in and out. Atmospheric
    se_whoosh3 = "sfx/boost_air.mp3" #jet flyby
    se_whoosh4 = "sfx/Swoosh02.mp3" #Dodge!
    se_whoosh5 = "sfx/25073__freqman__whoosh04.wav" #3 sec, soft wave
    
    se_wing_flutter = "sfx/188262__pepv__bird-flapping.ogg"
    
    se_zipper = "sfx/51176__rutgermuller__zipper-unzip-3-slowly.ogg"
    
    
    
    
    ## ----------------------------------- ##
    ## --- Transition definitions --- ##
    ## ----------------------------------- ##
    
    # Fades to black, then to the new scene.
    quick_fade = Fade(0.3, 0, 0.3) #Next door
    med_fade = Fade(0.5, 0.3, 0.5) #Walking distance
    slow_fade = Fade(0.5, 1.0, 0.5) #Transitions that need a location header, or for passage of time
    # Dissolves between old and new scenes.
    dissolve = Dissolve(0.5)
    quick_dissolve = Dissolve(0.2)
    flash_dissolve = Dissolve(0.1)
    slow_dissolve = Dissolve(1.5)
    # A flash of light
    flash = Fade(.25, 0, .75, color="#fff")
    quick_flash = Fade(.1, 0, .15, color="#fff")
    slow_flash = Fade(1.5, 2, 1, color="#fff")
    fire_flash = Fade(.05, 0, .15, color="#E68729")
    blue_flash = Fade(.1, 0, .15, color="#61EBED")
    ease_out = Fade(.1, 0.3, 2, color="#fff")
    ease_out2 = Fade(.1, 0.2, 0.5, color="#fff")
    ease_in = Fade(1.5, 1, .1, color="#fff")
    # Attempting to steal the Ren'py tutorial's teleport animation
    teleport = ImageDissolve("id_teleport.png", 1.0, 0)
    
    slideleft = CropMove(0.4, "slideleft")
    slideright = CropMove(0.4, "slideright")
    slideawayleft = CropMove(0.4, "slideawayleft")
    slideawayright = CropMove(0.4, "slideawayright")
    
    # Defines move transitions: sloweaseinleft, sloweaseinright, sloweaseintop,
    # sloweaseinbottom, sloweaseoutleft, ..., sloweaseoutbottom.
    #
    # slowease transitions have two differences from the default ease transitions
    # (easeinleft, etc.): slowease is slower, and slowease uses the "out" time
    # warper when clearing all images from the scene, meaning stuff starts moving away
    # slowly but finishes moving away quickly.
    define.move_transitions("slowease", 2.0, _ease_out_time_warp, _ease_in_time_warp, _ease_out_time_warp)
    
    
    
    
    ## ---------------------------- ##
    ## --- Image Matrices --- ##
    ## ---------------------------- ##
    
    shadow = im.matrix([ 0.1, 0, 0, 0, 0,
                                            0, 0.1, 0, 0, 0,
                                            0, 0, 0.1, 0, 0,
                                            0, 0, 0, 1.0, 0 ])
    
    red = im.matrix.hue(15)
    orange = im.matrix.hue(25)
    blue = im.matrix.hue(180)
    indigo = im.matrix.hue(210)
                                            
    
    ## ---------------------------------------- ##
    ## --- Random Shaking Module --- ##
    ## ---------------------------------------- ##
    
## Random Shaking Module, taken from the Ren'py wiki's Cookbook. Usage: with Shake((x, y, x-anchor, y-anchor), duration in seconds.0, dist=distance)

init python:

    import math

    class Shaker(object):

        anchors = {
            'top' : 0.0,
            'center' : 0.5,
            'bottom' : 1.0,
            'left' : 0.0,
            'right' : 1.0,
            }

        def __init__(self, start, child, dist):
            if start is None:
                start = child.get_placement()
            #
            self.start = [ self.anchors.get(i, i) for i in start ]  # central position
            self.dist = dist    # maximum distance, in pixels, from the starting point
            self.child = child

        def __call__(self, t, sizes):
            # Float to integer... turns floating point numbers to
            # integers.
            def fti(x, r):
                if x is None:
                    x = 0
                if isinstance(x, float):
                    return int(x * r)
                else:
                    return x

            xpos, ypos, xanchor, yanchor = [ fti(a, b) for a, b in zip(self.start, sizes) ]

            xpos = xpos - xanchor
            ypos = ypos - yanchor

            nx = xpos + (1.0-t) * self.dist * (renpy.random.random()*2-1)
            ny = ypos + (1.0-t) * self.dist * (renpy.random.random()*2-1)

            return (int(nx), int(ny), 0, 0)

    def _Shake(start, time, child=None, dist=100.0, **properties):

        move = Shaker(start, child, dist=dist)

        return renpy.display.layout.Motion(move,
                      time,
                      child,
                      add_sizes=True,
                      **properties)

    Shake = renpy.curry(_Shake)
#

