﻿# Chapter 2 starts here.

label Chp_2_1:
    
    $ story_chapters.get_chapter('2').update_status(ChapterStatus.STARTED)
        
    stop music fadeout 3
    scene bg solid black with dissolve
    pause 2
    
    scene cg palace of earth spirits with slow_dissolve
    pause 0.5
    show loc Palace of Earth Spirits at loc_sub with dissolve
    if renpy.pause(4):
        pass
    
    scene bg palace chamber
    show satori normal at left
    show eiki normal comm at mirrored:
        ypos 0.45 yanchor 0.5
    with quick_fade
    play music music_business
    
    window show
    sat "...We have managed to keep the unknown army from advancing for now, but we believe they will regroup and head towards Chireiden soon."
    sat "That is our current situation, Lady Eiki."
    show eiki stern comm with quick_dissolve
    eik "Hm. I am disappointed, Prime Minister."
    extend " Watching over the Gate in the Remains of Blazing Hell is one of the duties of those overseeing Old Hell, is it not?"
    sat "My deepest apologies."
    extend " Still... why were there AMs and CMs behind the Gate? I thought only evil spirits were left behind."
    show eiki normal comm with quick_dissolve
    eik "That, I do not know.  We will have to investigate the nature of the unknown army."
    
    eik "I will not fault you for allowing the rebellion to happen.  However, the way you attempted to address the problem raises some questions."
    show eiki stern comm with quick_dissolve
    eik "Why did you seek help from the Moriya Shrine? If I am not mistaken, this is the first time they have attempted to meddle in the affairs of Old Hell."
    eik "There was no reason to trust them as much as you did."
    sat "..."
    eik "Furthermore, why did you not request assistance from the New Hell? Were you unable to contact us before?"
    show satori thinking with quick_dissolve
    sat "Lady Eiki, I will take the appropriate measures to correct the situation.  There is no need to trouble yourself..."
    show eiki shout comm with quick_dissolve
    eik "Enough!"
    
    show satori concerned with quick_dissolve
    sat "!"
    show eiki stern comm with quick_dissolve
    eik "As a representative of New Hell, what happens to Old Hell is every bit my concern. And as the overseer of the Afterlife Administration, what happens to the Gate is my concern as well!"
    eik "Not only is there the matter of fighting a war on two fronts, but your collaborators have taken heavy losses, have they not?"
    eik "This matter is out of your control. You want me to stand by while the unknown army overruns Gensokyo?"
    sat "That's..."
    show eiki normal comm with quick_dissolve
    eik "I suppose it is prudent to monitor the situation on Gensokyo's surface, though. Very well, the New Hell forces will stay put."
    eik "However, when the Hakurei Miko arrives in Old Hell, you will join forces with her to get things under control. I will inform the Hakurei Shrine of the situation."
    show satori normal with quick_dissolve
    sat "The Hakurei Miko... certainly, an incident of this scale calls for her intervention."
    eik "Indeed. Suffice to say, Moriya is too closely associated with youkai, so the international community does not look up to them in the same way they look up to Hakurei."
    eik "I hope that her presence will help set the stage for everyone to unite against our common threat."
    sat "We will do what we can."
    eik "Is there anything else you wanted to inform me of, Prime Minister?"
    show satori thinking with quick_dissolve
    sat "No... that will be all."
    eik "Then, I wish you luck. Please restore order to the Old Hell."
    
    sat "..."
    eik "...Satori."
    show satori surprise with quick_dissolve
    sat "Y, yes?"
    show satori normal with quick_dissolve
    eik "I realize that these past few years have been trying for you, but your people are depending on you..."
    eik "I won't ask you to forgive me over the matter of your sister, but please remember that I'll always be your ally."
    show satori normal with quick_dissolve
    sat "...You are right.  I apologize."
    eik "Bring some good news next time."
    hide eiki
    play sound se_beep3
    show eiki normal comm at mirrored:
        ypos 0.45 yanchor 0.5 yzoom 1
        easein 0.2 yzoom 0
    
    pause 1.5
    show satori thinking with quick_dissolve
    sat "(Ha... we satori are supposed to be the ones who can read minds.)"
    sat "(Just who is reading whose mind?)"
    stop music fadeout 2
    window hide
    
    scene bg solid black with Dissolve(1)
    pause 1
    if renpy.pause(0.5):
        pass
    play sound se_taiko2
    scene chapter2 title with flash_dissolve:
    $ renpy.pause(0.5, hard=True)
    if renpy.pause(4.5):
        pass
    scene cg parsia hq overview with slow_fade
    pause 0.5
    show loc Parsia Main HQ at loc_sub with dissolve
    if renpy.pause(4):
        pass
    
    scene bg parsees office
    show parsee normal at mirrored
    show marisa normal at left
    with quick_fade
    play music music_parsia
    
    window show
    par "So, you must be the mercenary group I've heard so much about."
    show marisa grin with quick_dissolve
    ma "That's right! We're the Magus Trio, the ones you call when you need some SERIOUS fire support. The name's Marisa Kirisame."
    extend " Hey, introduce yourselves, guys."
    show marisa normal at far_left with quick_dissolve
    show alice normal at near_left behind marisa with dissolve
    ali "My name is Alice Margatroid. I hope we'll work well together."
    hide marisa with quick_dissolve
    show alice normal at far_left with quick_dissolve
    show patchouli normal at near_left behind alice with dissolve
    pat "And I'm Patchouli Knowledge."
    
    show parsee smirk with quick_dissolve
    par "It's a pleasure meeting you all. As you've probably heard, I'm Parsee Mizuhashi, ruler of Parsia."
    show parsee normal with quick_dissolve
    par "Have you all been informed of the situation?"
    ali "Yes, that rabbit from Hourai Industries filled us in."
    show parsee smirk with quick_dissolve
    par "Excellent. Your timing is very fortunate."
    show parsee normal with quick_dissolve
    par "We've received word that Chireiden has been attacked by a force from the Remains of Blazing Hell. It was done by a group with no ties to Parsia."
    hide alice
    show marisa shock at far_left
    with dissolve
    ma "Whuh?! Seriously?"
    show patchouli curious with quick_dissolve
    pat "Who even lives down there? Are you sure this information is accurate?"
    par "I have a hard time believing it myself, but our spies have seen the enemy's flying battleship land at Chireiden in a heavily damaged state."
    par "We don't have any information on this third party yet, but..."
    
    show marisa serious
    show parsee smirk
    with quick_dissolve
    par "The point is, the attack came from a place under Chireiden, while Parsia's troops are able to come down on them from above."
    par "The enemy of our enemy is our friend. I believe this is the perfect opportunity for a pincer attack."
    par "I'd like you three to join the attack on Chireiden right away. You'll be providing support fire for the Parsian troops."
    show marisa normal with quick_dissolve
    ma "Sounds good. The contract's been settled, so we'll go to the frontlines with our AMs. We should arrive there at around 1100 hours."
    ma "Let's go!"
    hide marisa with quick_dissolve
    hide patchouli with quick_dissolve
    
    pause 1
    
    show parsee normal
    show yuugi normal at left
    with dissolve
    yu "Hey hey!!"
    show yuugi happy with quick_dissolve
    yu "It's finally time, isn't it? Are we heading out to bust some heads?!"
    show parsee smirk with quick_dissolve
    par "Enthusiastic, aren't you? Yes, it's time."
    par "With the power of the oni and the Magus Trio, Parsia will rule Old Hell!"
    window hide
    
    jump Chp_2_2
