label Chp_2_4:
    
    scene bg palace chamber with slow_fade
    show utsuho normal at left with dissolve
    show rin normal at mirrored with dissolve
    
    play music music_business
    window show    
    
    ri "Good job back there, Okuu."
    show rin serious with quick_dissolve
    ri "I guess it's going to be hard to earn respect from the surface-dwellers if we don't have AMs of our own..."
    u "That's why I have to do well in the next battle. I don't want to be too dependent on Moriya."
    show rin worried with quick_dissolve
    ri "Still, I can understand why everyone's tense. Parsia and the Hell Army are both huge threats."
    play music music_lolz fadeout 2
    show rin normal with quick_dissolve
    ri "Well, we've got a bit of time before the enemy arrives. What do you want to do?"
    u "Let's go get something to eat. After that, I'm going to stand by so I'm ready to sortie in a few minutes notice."
    show rin excited with quick_dissolve
    ri "Oh, good idea. Hey, the {i}Shimenawa{/i}'s still gonna be in port for a while, so let's use the training simulator while we still can!"
    show utsuho thinking with quick_dissolve
    u "You're so obsessed with that simulator! It's not a video game."
    show rin amused with quick_dissolve
    ri "Don't be silly, of course it's a video game! It just has very realistic physics."
    ri "And it's educational. It'll teach me how to pilot an AM!"
    show utsuho normal with quick_dissolve
    u "Alright, let's do that. We should figure out how you can get an AM of your own soon."
    show rin oops with quick_dissolve
    ri "I'll do what little I can."
    show utsuho huh with quick_dissolve
    u "Hey, you've got a lot of skills that I don't. Even without sun god powers, I think you're more useful to have around than me."
    show rin huh with quick_dissolve
    ri "Aw, don't be so humble!"
    show utsuho normal with quick_dissolve
    u "In any case, I think you'll surprise the Moriya pilots with your skills."
    show rin amused with quick_dissolve
    ri "We'll see!"
    
    window hide
    play music music_parsia fadeout 2
    
    
    
    scene bg parsees office
    show parsee normal at mirrored
    show satori normal comm at left:
        ypos 0.45 yanchor 0.5
    with slow_fade
    window show
    
    par "A ceasefire, you say?"
    sat "Yes, Senator Mizuhashi. As you may know, Chireiden has encountered an army from the Remains of Blazing Hell, which we are calling the Hell Army."
    show parsee angry with quick_dissolve
    par "Not \"Senator\". I'm now the Queen of Parsia."
    sat "... Your Highness, they attacked our forces without provocation even though it was our first encounter. If Chireiden does not deal with this threat, we believe that the task will fall upon Parsia."
    show parsee normal with quick_dissolve
    sat "Thus, I believe it will benefit us both to declare a ceasefire between Chireiden and Parsia until Chireiden has dealt with that threat."
    par "Hmm..."
    sat "Should Parsia cooperate and aid in fending off the Hell Army, we are open to forging an armistice as well."
    sat "I cannot promise anything at this point, but there is the possibility that we will recognize Parsia's autonomy if Parsia will allow us to coexist."
    show parsee angry with quick_dissolve
    par "You think it'll be so easy to ask for forgiveness at this point?"
    show satori thinking comm with quick_dissolve
    sat "I did not say we would forgive you, the one who started this rebellion. You resorted to violence too quickly when you declared Parsia's independence."
    show parsee normal with quick_dissolve
    sat "We are willing to lower charges if you cooperate, however. If you truly care for Parsia's well-being, I think you will find it an acceptable compromise."
    par "...Very well. Parsia's troops are on the way to Chireiden, but I'll let them know to cooperate in dealing with the Hell Army."
    show satori normal comm with quick_dissolve
    sat "Thank you for understanding... Your Highness. I hope this will pave the way for good relations between Chireiden and Parsia."
    par "Yes. If that's all, I have matters to attend to now."
    sat "I will excuse myself then. See you later."
    play sound se_beep3
    show satori normal comm:
        ypos 0.45 yanchor 0.5 yzoom 1
        easein 0.2 yzoom 0
    
    pause 1.5
    show parsee smirk with quick_dissolve
    par "(Hmph... you'll regret underestimating us, fool. With our new AMs, we'll crush both Chireiden and this Hell Army.)"
    play loopingsound se_radio1
    show parsee angry with quick_dissolve
    par "...Attention all troops, this is HQ. We've received intel that suggests Chireiden will pretend to have called for a ceasefire."
    par "This is merely a ruse to stall for time. You are to continue the attack as planned!"
    show parsee smirk with quick_dissolve
    par "That is all. HQ, out."
    stop loopingsound
    play sound se_radio2
    pause 0.5
    window hide
    
    
    stop music fadeout 2
    
    scene bg bluecave battle a with slow_fade
    show expression (FairyFlood().sm) as ff1
    pause 8
    
    show cg chireiden blockade a with fade
    
    cf "They're here! Parsia's army is approaching!"
    cf "What's going on? They're deployed in combat formations. Didn't we agree to a ceasefire?"
    cf "Contact them! Hurry!"
    play sound se_radio2
    pause 0.5
    play loopingsound se_radio1
    pause 0.5
    cf "Attention, Army of Parsia! We have received word from Headquarters that Parsia and Chireiden have declared a ceasefire."
    cf "If you do not confirm your intentions now, we will take it as a sign of aggression and we will attack with full force."
    cf "I repeat--"
    
    stop loopingsound fadeout 1
    scene bg bluecave battle a
    show fairy par bazooka as f2a:
        enemy6_os_left rotate 20
        easein 3 enemy6
    show fairy par neutral as f2b:
        enemy5_os_left rotate 20
        easein 3 enemy5
    show fairy par bazooka as f2c:
        enemy4_os rotate 20
        easein 3 enemy4
    show fairy par bazooka as f2d:
        enemy3_os rotate 20
        easein 3 enemy3
    show fairy par neutral as f2e:
        enemy2_os rotate 20
        easein 3 enemy2
    show fairy cirno neutral b as f1:
        enemy1_os rotate 20
        easein 2 enemy1
    with quick_dissolve
    
    pause 0.8
    play sound se_ice_beam
    show fairy cirno beam as f1
    pause 1
    play sound2 se_missile_salvo1
    show fairy par bazooka fire as f2a
    pause 0.2
    show fairy par bazooka fire as f2d
    pause 0.2
    show fairy par bazooka fire as f2c
    pause 0.3
    play sound3 se_machinegun_loop2
    show fairy_par_contfire as f2e
    pause 0.4
    show fairy_par_contfire as f2b
    pause 0.5
    play sound2 se_machinegun_loop2
    pause 0.5
    
    show cg chireiden blockade b with flash_dissolve
    play sound se_ice_over
    with Shake((0, 0, 0, 0), 0.5, dist=4)
    play sound2 se_explosion3
    with Shake((0, 0, 0, 0), 0.8, dist=4)
    play sound3 se_explosion1
    with Shake((0, 0, 0, 0), 1.5, dist=6)
    
    
    
    play music music_hellfire_surprise
    cf "Now they've done it! Open fire!!"
    $renpy.music.set_volume (1.0, 0.5, channel="loopingsound")
    play loopingsound se_bg_war2
    
    scene bg bluecave battle a
    show fairy par bazooka as f2a:
        enemy6 rotate 20
        pause 1.5
        easeout 3 enemy6_os_left
    show fairy par neutral as f2b:
        enemy5 rotate 20
        pause 2.5
        easeout 2 enemy5_os_left
    show fairy par bazooka as f2c:
        enemy4 rotate 20
        pause 2.2
        easeout 1.2 xpos 0.5
        easein 2.5 xpos -0.3 ypos 1.1
    show fairy par bazooka as f2d:
        enemy3 rotate 20
    show fairy par neutral as f2e:
        enemy2 rotate 20
        pause 1.5
        easeout 2 enemy2_os
    show fairy cirno neutral b as f1:
        enemy1 rotate 20
        pause 3
        easeout 1 enemy1_os
    with quick_dissolve
    
    show fairy_par_contfire as f2e
    show fairy par bazooka fire as f2c
    pause 0.2
    show fairy cirno beam as f1
    show antiair fire long ally as aa1 behind f1:
        pos(0.7, 1.3) rotate 30.0 zoom 0.6
        pause 2
        pos(1.1, 1.3) rotate 30.0 zoom 0.85
        pause 2
        alpha 0
    pause 0.2
    show fairy_par_contfire as f2b
    play sound3 se_machinegun_loop
    show antiair fire long ally as aa2:
        pos(0.7, 1.1) rotate 22.0 zoom 0.6
        ease 1.5 pos(2.2, 1.2) rotate 30.0
    pause 0.2
    show fairy par bazooka fire as f2d
    pause 0.2
    show gatling_killshot as g2:
        pos (0.58, 0.38) zoom 0.4
        linear 0.5 pos (0.68, 0.28)
        alpha 0
    pause 0.3
    show fairy par bazooka fire as f2a
    pause 0.2
    play sound2 se_explosion2
    show explosion med as f2d

    play sound se_machinegun_loop
    show antiair fire long ally as aa3:
        pos(1.4, 1.5) rotate 30.0 zoom 0.8
        ease 3.0 pos(-0.5, 1.4) rotate 15.0
    pause 1
    show gatling_killshot as g1:
        pos (0.66, 0.767) zoom 0.5
        ease 0.5 pos (0.58, 0.82)
        alpha 0
    pause 0.5
    play sound2 se_explosion3
    show explosion small as e1:
        pos (0.45, 0.87) zoom 0.6 rotate 30
    pause 2
    
    cf "The enemy's formation is splitting! Keep pushing back!"
    
    show cg chireiden blockade c with quick_flash
    play sound se_machinegun_e
    with Shake((0, 0, 0, 0), 0.5, dist=4)
    play sound2 se_machinegun_e
    play sound3 se_explosion3
    queue sound3 se_machinegun_e
    queue sound3 se_machinegun_e
    with Shake((0, 0, 0, 0), 0.8, dist=4)
    play sound se_machinegun_e
    play sound2 se_explosion1
    with Shake((0, 0, 0, 0), 1.5, dist=6)
    cf "Uwaa! Where's all this fire coming from?!"
    cf "Commander, we've detected three strong energy signatures!"
    extend " They must be the Arcane Machina things we heard of in the reports! All this destruction is coming from three AMs!"
    cf "Th-that's impossible! There's no way--"
    
    play sound3 se_explosion1
    show cg chireiden blockade d with flash_dissolve
    with Shake((0, 0, 0, 0), 2.0, dist=6)
    cf "Retreat! All units fall back to the pass!"
    
    stop music fadeout 2
    stop loopingsound fadeout 2
    play sound se_laser6b
    scene cg chireiden blockade e
    show solid white shaker:
        alpha 0.5
        pause 0.2
        linear 0.8 alpha 0
        repeat 3
    with quick_flash
    with Shake((0, 0, 0, 0), 2.5, dist=10)
    pause 2
    
    scene bg bluecave battle a:
        zoom 1.0 pos(0.5, 0.5)
        ease 4 zoom 1.2 pos(0.63, 0.6)
    show chroma purple neutral as c2:
        pos( -0.2, 0.1) zoom 0.1
        ease 4 enemy2
    show chroma blue neutral e as c3:
        pos( -0.1, 0.1) zoom 0.1
        ease 4 enemy3
    show chroma black cannon e as c1:
        pos( -0.2, 0.2) zoom 0.1
        ease 4 enemy1
    show solid white shaker:
        alpha 1
        pause 0.3
        linear 2 alpha 0
    with flash_dissolve
    play sound2 se_whoosh1
    with Shake((0, 0, 0, 0), 5.5, dist=5)
    
    
    scene marisa pilot normal
    with quick_dissolve
    ma "Heh... another one-hit wonder."
    
    scene bg palace chamber
    show satori thinking at near_left
    with slow_fade
    window show
    sat "(I could not stop the fighting, after all.)"
    sat "(It could be that Parsia's troops were not informed in time. But Senator Mizuhashi is ignoring my attempts to contact her at a time like this...)"
    show satori concerned with quick_dissolve
    play music music_preamble
    sat "(I would not put it past her. She has always been petty like this...)"
    sat "(It looks like we will have to dig our heels in and prepare for the worst.)"
    window hide
    
    scene bg shimenawa hangar zero
    show utsuho huh at left
    show rin huh at right
    with fade
    window show
    sc "...Chireiden's forces have encountered Parsia. Our allies have reported magus-type AMs fighting on Parsia's side."
    sc "The frontline defenses have been breached. Most of the weapons and fortifications were wiped out in a single barrage."
    show utsuho serious with quick_dissolve
    sc "The remaining troops have retreated to the pass to form a united front..."
    pause 0.5
    show rin worried at mirrored with quick_dissolve
    ri "There's AMs out there? It looks bad for the Armed Forces..."
    u "We took Parsia too lightly. I'm going."
    ri "Okuu, aren't you watching the Hell Army front with Moriya?"
    show utsuho determined with quick_dissolve
    u "We'll worry about that when the Hell Army shows up. Right now, we have to take our chances."
    ri "It doesn't seem like there's many options..."
    extend " Good luck, Okuu. Come back in one piece!"
    u "Yeah."
    window hide
    
    scene bg shimenawa bridge
    show kanako serious at mirrored
    with fade
    window show
    k "(So many, wiped out in one barrage?)"
    k "(There's only a few things in Gensokyo that can cause so much destruction right now. And we own two of them...)"
    show kanako normal with quick_dissolve
    k "(There's a very good chance of it being {i}that{/i} person. Yes, what an interesting reunion.)"
    k "(I must adjust the strategy accordingly.)"
    show kanako shout with quick_dissolve
    k "What's the status of the {i}Shimenawa{/i}?! We need to launch the AMs!"
    sc "We were in the middle of unloading equipment from Hangar 1! We need time to prep the runways for the Type-Cs again!"
    k "Do it! Parsia's not going to wait for us!"
    show kanako serious with quick_dissolve
    k "(Tch, what rotten timing... right, I'd better inform Shameimaru in the meantime.)"
    window hide
    
    scene bg shimenawa hangar zero
    show aya serious at near_left
    with fade
    play loopingsound se_radio1
    window show
    k "Storm-1, this is Red Faith. There's been a change of plans."
    extend " You've heard about the action on the Parsian front?"
    ay "Vaguely, yeah."
    k "You're to take Storm Squad and head down there to assist."
    ay "Aren't you worried about the Hell Army?"
    k "Your AMs are fast, so I'll call you back if anything happens here."
    extend " And let's just say, I think your specialties are needed on the other front..."
    k "Does the name \"Magus Trio\" ring a bell?"
    show aya tense with quick_dissolve
    ay "What! They're here?! It's a bit early for that greenhorn hell raven to be facing something like that!"
    show aya serious with quick_dissolve
    ay "No choice then... Storm Squad will launch."
    stop loopingsound
    play sound se_radio2
    pause 1
    show aya tense with quick_dissolve
    ay "Hey, hurry up with the launch equipment! Storm Squad needs to sortie NOW!"
    window hide
    
    scene black with dissolve
    pause 1
    #n "*Yata passing by*"
    scene bg redcave battle a
    show yatagarasu boost a1:
        zoom 0.6 pos(0.6, 0.5)
        easeout 5 zoom 0.8 pos(0.3, 0.4)
    with dissolve
    pause 2.5
    scene utsuho pilot determined light with dissolve
    pause 0.5
    u "Deep Purple, this is Raven-1. I'm entering visual range of the pass."
    cf "Deep Purple to Raven-1. Thanks for coming to reinforce us."
    cf "The remnants of the frontline forces are retreating, but Parsia's hot on their tail. Go help them!"
    u "Roger that."
    
    scene bg redcave battle a:
        zoom 1.2 pos(0.4, 0.5)
        ease 1 zoom 1.0 pos(0.5, 0.5)
    show yatagarasu boost a1:
        zoom 0.8 pos(0.45, 0.4)
        ease 1 zoom 0.15 pos(0.7, 0.5)
        easeout 2 zoom 5 pos(-1.4, 0.4)
    pause 1
    play sound3 se_boost1
    show fire_glow_1shot
    show yatagarasu boost a3 with flash_dissolve
    pause 1.5
    stop music fadeout 2
    
    scene black with slow_fade
    show bg redcave battle b as cavea:
        scroll_left_med_a
    show bg redcave battle b as caveb:
        scroll_left_med_b
    show bg redcave battle b as cavec:
        scroll_left_med_c
    show fairy par bazooka as s7:
        pos (0.55, 0.3) zoom 0.4
    show fairy par neutral as s6 at enemy2
    show fairy par bazooka as s5:
        pos (0.6, 0.75) zoom 0.6
    show fairy par neutral as s4:
        pos (0.25, 0.75) zoom 0.6
    show fairy par neutral as s3:
        pos (0.4, 0.5) zoom 0.8
    show fairy par neutral as s2:
        pos (0.1, 0.4) zoom 0.8
    show fairy cirno neutral b as s1 at enemy_leader
    with dissolve
    pause 3
    
    scene cirno pilot normal with quick_dissolve
    pause 1.0
    c "Wow, Magicians are awesome! Those Chireiden guys didn't stand a chance!"
    c "Ice Leader to Magus-1, we're going on ahead! See if you can keep up!"
    extend "... Hm?"
    c "One AM, 2 kilometers ahead! Huh, not in the database?"
    c "Alright, let's see what you got! Ice-9, charge!!"
    
    
    
    #n "*Ice-9 wiped out with one fireball from AM Yatagarasu*"
    scene black
    show bg redcave battle b as cavea:
        scroll_left_med_a
    show bg redcave battle b as caveb:
        scroll_left_med_b
    show bg redcave battle b as cavec:
        scroll_left_med_c
    show fairy par bazooka as s7:
        pos (0.55, 0.3) zoom 0.4
    show fairy par neutral as s6 at enemy2
    show fairy par bazooka as s5:
        pos (0.6, 0.75) zoom 0.6
    show fairy par neutral as s4:
        pos (0.25, 0.75) zoom 0.6
    show fairy par neutral as s3:
        pos (0.4, 0.5) zoom 0.8
    show fairy par neutral as s2:
        pos (0.1, 0.4) zoom 0.8
    show fairy cirno neutral b as s1 at enemy_leader
    with quick_dissolve
    pause 0.3
    
    play sound se_fire2
    #show yatagarasu laserhit as cy1
    show fire_wave
    with flash_dissolve
    with Shake((0, 0, 0, 0), 2.0, dist=5)
    play sound2 se_explosion1
    show explode_flash
    show explosion large as s1
    pause 0.5
    play sound3 se_missile_salvo2
    show explosion med as s2
    pause 0.1
    show explosion med as s3
    pause 0.4
    show explosion med as s4
    pause 0.1
    show explosion med as s5
    pause 0.3
    show explosion med as s6
    pause 0.2
    show explosion med as s7
    pause 2.0
    
    play music music_overture
    scene utsuho pilot happy light with dissolve
    u "(Well, looks like that did it. I don't need to waste Mega Flare on these guys.)"
    u "(With more data, I should be able to manage my power usage better.)"
    
    scene bg solid black with slow_fade
    pause 0.5
    scene marisa pilot tense with quick_dissolve
    pause 1.0
    window show
    ma "What... the hell?"
    ma "Hey, this is Magus-1. I just picked up a hugeass energy spike at 12 'o' clock. And I can't get through to Ice-9..."
    show patchouli pilot tense with quick_dissolve
    pat "U-uh, actually... they all just disappeared from radar. Did they get wiped out?"
    show alice pilot tense with quick_dissolve
    ali "Even if they're fairies, they went down disturbingly fast. Like someone used Master Spark on them..."
    pat "It seems we may be dealing with a monster. We should proceed with caution."
    scene marisa pilot tense with quick_dissolve
    ma "Looks like this mission just got interestin'..."
    
    jump Chp_2_5
