label Chp_2_6:

    #n "*Blue starts firing, passes Purple*"
    scene black
    show bg redcave battle b as cavea:
        scroll_left_fast_a
    show bg redcave battle b as caveb:
        scroll_left_fast_b
    show bg redcave battle b as cavec:
        scroll_left_fast_c
    show chroma blue neutral e as c1:
        enemy_solo_os_left
        linear 4 xpos 0.7
    with quick_dissolve
    pause 1
    play sound se_mecha5
    show chroma blue guns as c1 with quick_dissolve
    pause 0.5
    play sound2 se_machinegun_e
    show chroma blue gunfire as c1
    show chroma purple neutral as c2 behind c1:
        xpos 1.5 ypos 0.5 zoom 0.75
        linear 2.5 xpos -0.5
    pause 1
    
    #n "*Yata shields*"
    scene black
    show bg redcave battle b as cavea:
        scroll_right_med_a
    show bg redcave battle b as caveb:
        scroll_right_med_b
    show bg redcave battle b as cavec:
        scroll_right_med_c
    show yatagarasu shield a as yata1:
        ally2
        pause 0.2
        ease 1 xpos 0.4 zoom 0.7
        ease 1 xpos 0.6
    with quick_dissolve
    play sound se_fire2
    show yatagarasu shield b as yata1
    show fire_glow_1shot
    with quick_dissolve
    play sound3 se_machinegun_e
    show smg 15hit enemy as shot2:
        zoom 0.6 pos (0.55, 0.4)
    show red smg shot enemy:
        zoom 0.6 pos (0.55, 0.4)
    pause 0.7
    show red smg shot enemy:
        zoom 0.6 pos (0.55, 0.4)
    pause 0.8
    
    # n "*Yata fires cannon*"
    show yatagarasu arm cannon glow as yata2 behind yata1:
        pos (0.65, 0.4)
    show yatagarasu shield b as yata1:
        linear 0.3 pos (0.1, 0.42) alpha 0
    pause 0.5
    play sound se_fire4
    show yatagarasu arm cannon shoot as yata2
    show fire_glow_fast
    with flash_dissolve
    with Shake((0, 0, 0, 0), 1.5, dist=2)
    
    # n "*Blue dodges laser*"
    scene black
    show bg redcave battle b as cavea:
        scroll_left_fast_a
    show bg redcave battle b as caveb:
        scroll_left_fast_b
    show bg redcave battle b as cavec:
        scroll_left_fast_c
    #play sound se_whoosh3
    show chroma blue guns:
        enemy_solo
        pause 0.8
        ease 1.0 xpos 0.65 ypos 0.38 zoom 0.7
    with quick_dissolve
    pause 0.8
    play sound se_fire4
    show yatagarasu laser at enemy_solo:
    show bright light:
        alpha 1
        linear 0.5 alpha 0
    with flash_dissolve
    with Shake((0, 0, 0, 0), 0.5, dist=5)
    hide yatagarasu with dissolve
    pause 0.2
    
    
    #n "*Black and dolls charge in*"
    scene black
    show bg redcave battle b as cavea:
        scroll_right_fast_a
    show bg redcave battle b as caveb:
        scroll_right_fast_b
    show bg redcave battle b as cavec:
        scroll_right_fast_c
    play sound se_whoosh3
    show chroma black cannon as c1:
        ally1_os
        easein 1.4 ally1
    show doll neutral as s1:
        ally3_os
        easein 1.4 ally3
    show doll neutral as s2:
        ally4_os
        easein 1.4 ally4
    with quick_dissolve
    
    ma "Hey, don't forget about me!"
    
    play sound2 se_laser3a
    show chroma black laser as c1
    pause 0.3
    play sound3 se_laser1
    show doll laser as s1
    pause 0.3
    play sound se_laser1
    show doll laser as s2
    pause 0.6
    
    # n "*Fire at Yata's flank. Hits the right arm*"
    scene black
    show bg redcave battle a:
        zoom 1.5 xpos 0.2
        pause 1.0
        ease 2.0 xpos 0.8
    show yatagarasu neutral as yata1:
        pos (0.53, 0.417) zoom 0.85
        pause 0.8
        ease 0.5 xpos 0.2
        ease 1.5 xpos 0.3
        easeout 0.5 xpos -0.5
    with quick_dissolve
    pause 0.3
    
    play sound se_laser3a
    show small_flash
    show chroma black laser miss as claser behind yata1:
        pos (0.32, 0.45)
    play sound2 se_explosion3
    show red lasersmall hit as las1 at laser_1shot_short:
        pos (-0.1, 0.4)
    show red lasersmall hit as las3 at laser_1shot_short behind yata1:
        pos (-0.1, 0.7)
    pause 0.5
    play sound3 se_explosion3
    show red lasersmall hit as las2 at laser_1shot_short behind yata1:
        pos (0.5, 0.3)
    show red lasersmall hit as las4 at laser_1shot_short behind yata1:
        pos (-0.1, 0.6)
    pause 0.7
    play sound se_laser1
    show red lasersmall hit as las1 at laser_1shot_short:
        pos (-0.1, 0.4)
    show red lasersmall hit as las3 at laser_1shot_short:
        pos (0.4, 0.7)
    with Shake((0, 0, 0, 0), 0.5, dist=2)
    play sound2 se_explosion2
    show red lasersmall hit as las2 at laser_1shot_short behind yata1:
        pos (-0.1, 0.3)
    show red lasersmall hit as las4 at laser_1shot_short:
        pos (0.4, 0.6)
    play sound3 se_explosion2
    show explosion small behind yata1 with flash_dissolve:
        xpos 0.35 ypos 0.55
    with Shake((0, 0, 0, 0), 1.0, dist=5)
        
        
    
    scene utsuho pilot tense light with quick_dissolve
    u "(Elbow's damaged! Damn, these guys are all over the place!)"
    
    scene bg redcave battle a:
        zoom 1.5 xpos 0.2
        easein 1.5 xpos 0.8
    show yatagarasu neutral as yata1:
        pos (0.53, 0.417) zoom 0.75
        easein 0.8 xpos 0.2 zoom 0.9
    with quick_dissolve
    pause 0.2
    play sound se_laser3a
    show small_flash
    show chroma black laser miss as claser behind yata1:
        pos (0.32, 0.45)
    pause 0.3
    show yatagarasu neutral as yata1 with quick_dissolve:
        xzoom -1.0
        easeout 1.0 xpos 1.9 zoom 1.5
    play sound2 se_laser1
    show red lasersmall hit as las1 at laser_1shot_short behind yata1:
        pos (-0.1, 0.4)
    pause 0.2
    play sound3 se_laser1
    show red lasersmall hit as las3 at laser_1shot_short behind yata1:
        pos (-0.1, 0.7)
    pause 0.5
    
    play sound se_whoosh3
    show chroma black cannon as c1:
        ally1_os
        linear 0.5 xpos -0.5
    show doll neutral as s1:
        ally3_os
        linear 0.6 xpos -0.5
    show doll neutral as s2:
        ally4_os
        linear 0.6 xpos -0.5
    pause 1

    
    # n "*Yata turns and fires plasma rifle*"
    scene bg redcave battle a:
        zoom 1.5 xpos 0.8
        easein 1.5 xpos 0.2
        easeout 1.5 xpos 0.8
    show yatagarasu neutral as yata1:
        xzoom -1.0 pos (0.53, 0.417) zoom 0.5
        easein 0.8 xpos 0.8 zoom 0.8
    with quick_dissolve
    pause 0.4
    play sound se_mecha2
    show yatagarasu plasma rifle as yata1 with quick_dissolve:
        xzoom 1.0
        easeout 3.0 xpos -0.7 zoom 1.8
    pause 0.5
    play sound2 se_machinegun_e
    show yatagarasu plasma rifle fire as yata1
    pause 0.5
    play sound3 se_machinegun_e
    show yatagarasu plasma rifle fire as yata1
    pause 1.0
    
    # n "*Yata and Blue exchange fire, Yata passes by*"
    play sound se_machinegun_e
    scene black
    show bg redcave battle b as cavea:
        scroll_left_med_a
    show bg redcave battle b as caveb:
        scroll_left_med_b
    show bg redcave battle b as cavec:
        scroll_left_med_c
    show chroma blue guns as c1:
        enemy_solo
        easein 1.0 xpos 0.2
        pause 0.3
        ease 0.8 xpos 0.4 zoom 0.7
    show yatagarasu_prifle_fire at enemy1
    with quick_dissolve
    play sound2 se_machinegun_e
    show chroma blue gunfire as c1 with flash_dissolve
    pause 1.0
    show chroma blue guns as c1 with flash_dissolve
    pause 0.5
    play sound se_whoosh3
    show yatagarasu neutral behind chroma:
        xpos 1.5 ypos 0.4 zoom 0.75
        linear 0.5 xpos -1.5
    pause 0.5
        
    ma "The firebird just turned tail! Alice, can you score a hit on the back?"
    ali "I'll try."
    
    # n "*Dolls pass by*"
    show chroma blue neutral e as c1 with quick_dissolve:
        xzoom -1
    play sound se_magic6
    show chroma blue arm raised as c1 with quick_dissolve
    pause 0.5
    
    play sound2 se_whoosh3
    show doll neutral behind c1 as s1:
        ally3_os
        linear 0.6 xpos -0.5
    show doll neutral behind c1 as s2:
        ally4_os
        linear 0.6 xpos -0.5
    pause 1
    
    # n "*Dolls tail Yata*"
    play sound3 se_whoosh1
    scene bg redcave battle a:
        xpos 0.25 zoom 2.0
        linear 1.0 xpos 0.7
        easein 1.0 zoom 1.3
    show doll neutral behind c1 as s1:
        ally1
        pause 0.5
        ease 1 zoom 0.05 xpos 0.8 ypos 0.25
        linear 4 xpos -0.5
    show doll neutral behind c1 as s2:
        ally3
        pause 0.5
        ease 1 zoom 0.05 xpos 0.82
        linear 4 xpos -0.5
    show yatagarasu neutral:
        xpos -0.2 ypos 0.4 zoom 0.04
        pause 1
        easein 0.5 xpos 0.4
        linear 3 xpos -0.9
    with quick_dissolve
    pause 3.0
    
    #n "*Yata passes by at high speed*"
    scene bg redcave battle a with quick_dissolve
    play sound se_fire2
    show yatagarasu boost a3 with dissolve:
        zoom 0.05 pos(0.6, 0.5)
        linear 1.5 zoom 0.14 pos(0.52, 0.5)
        easeout 0.75 zoom 5 pos(-1.4, 0.4)
    pause 1
    play sound se_whoosh3
    pause 1
    
    scene alice pilot tense at reverse with quick_dissolve
    ali "It's fast! Those engines more than make up for the machine's weight."
    ali "--Wait, it's coming back?!"
    
    #n "*Yata's shield powers up*"
    scene black
    show bg redcave battle b as cavea:
        scroll_left_fast_a
    show bg redcave battle b as caveb:
        scroll_left_fast_b
    show bg redcave battle b as cavec:
        scroll_left_fast_c
        
    play sound se_fire2
    show yatagarasu shield b:
        pos(0.5, 0.4) zoom 0.8 xzoom -1
        ease 2 xpos 0.4 zoom 0.5
        easeout 0.5 xpos 2.0
    with quick_dissolve
    pause 1.8
    play sound2 se_boost1
    pause 0.7
    
    #n "*Yata charges straight at Blue, taking out a doll along the way.*"
    scene black
    show bg redcave battle b as cavea:
        scroll_right_fast_a
    show bg redcave battle b as caveb:
        scroll_right_fast_b
    show bg redcave battle b as cavec:
        scroll_right_fast_c
    show doll laser as s1:
        ally1
        pause 0.5
        ease 1 zoom 0.8 xpos 0.7 ypos 0.3
    show doll neutral as s2:
        ally3
        pause 0.5
        ease 1 zoom 0.7 xpos 0.82 ypos -0.25
    show yatagarasu shield b:
        xpos -2.0 ypos 0.4 zoom 0.75 xzoom -1.0
        pause 0.5
        linear 0.5 xpos 2.0
    with quick_dissolve
    play sound se_fire2
    with Shake((0, 0, 0, 0), 1.0, dist=3)
    play sound2 se_explosion1
    show explosion fire as s1
    show small_flash
    with flash_dissolve
    pause 0.5
    hide s1
    with dissolve
        
    #n "*Yata breaks Blue's shield by ramming*"
    play sound3 se_whoosh1
    scene bg redcave battle a:
        xpos 0.7 zoom 1.3
        pause 0.6
        easein 1.0 xpos 0.4 zoom 2.0
        pause 0.4
        ease 1.5 xpos 0.0 zoom 1.9
    show chroma blue neutral e:
        xpos 0.8 ypos 0.4 zoom 0.05 xzoom -1.0
        pause 0.6
        easein 1.0 xpos 0.3 zoom 1.0
        easeout 0.4 xpos 0.4 ypos 0.5
        easein 1.5 xpos 0.9 ypos 0.4 zoom 0.5
    show yatagarasu shield b as yata1 behind chroma:
        xpos 0.0 ypos 0.4 zoom 0.05 xzoom -1.0
        linear 0.6 xpos 0.3
        easein 1.0 xpos -3.0 zoom 0.8
        pause 0.3
        easein 0.3 xpos 1.5
    with quick_dissolve
    pause 1.0
    show chroma blue shield behind yata1 with quick_dissolve
    pause 0.5
    play sound2 se_explosion9
    play sound3 se_shield_break
    show explode_flash
    show chroma blue neutral e
    with Shake((0, 0, 0, 0), 1.0, dist=10)
    pause 0.5
    
    #n "*Yata turns around*"
    scene bg redcave battle a:
        zoom 1.5 xpos 0.8
        easein 1.0 xpos 0.2
        easeout 1.5 xpos 0.8
    show yatagarasu shield b as yata1:
        xzoom -1.0 pos (0.53, 0.417) zoom 0.5
        easein 0.8 xpos 0.8 zoom 0.8
    with quick_dissolve
    pause 0.4
    show yatagarasu neutral as yata1 with quick_dissolve:
        xzoom 1.0
        easeout 1.0 xpos -1.0 zoom 1.6
    pause 0.2
    play sound se_whoosh3
    pause 1.0
    
    #n "*Chroma Blue leaves a doll behind, doll bombs*"
    scene bg redcave battle a
    show doll idle e as d1:
        pos (0.35, 0.55)
    show chroma blue neutral e:
        enemy_solo
        pause 0.2
        easeout 1.0 xpos 0.15 ypos -0.5
    with quick_dissolve
    pause 0.6
    play sound se_magic4
    show doll neutral glow e as d1 with quick_dissolve
    pause 0.8
    play sound se_laser3a
    show small_flash
    show doll big laser e as d1
    pause 1.0

    show utsuho pilot tense light
    pause 0.5
    
    #n "*Yata shields, flickers*"
    scene bg redcave battle a
    show yatagarasu shield a:
        ally2
        pause 0.23
        easein 1.3 xpos 0.8 zoom 0.7
        ease 0.6 xpos 0.66
    with quick_dissolve
    play sound se_fire2
    show yatagarasu shield b
    show fire_glow_1shot
    with quick_dissolve
    play sound2 se_laser3b
    show small_flash
    show red laser big hit e as las1:
        pos (0.57, 0.43)
        easein 0.5 xpos 0.86
        easeout 0.2 xpos 1.2
    show yatagarasu shield b2
    with Shake((0, 0, 0, 0), 1.3, dist=4)
    pause 0.7
    
    #n "*Doll drops*"
    scene bg redcave battle a
    show doll big laser e as d1:
        pos (0.35, 0.55)
    with quick_dissolve
    show doll neutral glow e as d1 with dissolve
    pause 0.7
    play sound se_explosion9
    show explosion med as d1
    show explode_flash
    pause 1.8
    
    show utsuho pilot tense light with quick_dissolve
    u "(It... self-destructed?! They must be getting desperate. Better keep my guard up!)"
    
    scene bg redcave battle a
    show chroma blue neutral as c1:
        pos (1.5, 0.7) zoom 0.4
        easein 1.5 xpos 0.7
    show chroma black cannon e as c2 at enemy_solo
    with quick_dissolve
    pause 0.4
    play sound se_whoosh3
    pause 0.3
    show chroma blue neutral e as c1 with quick_dissolve
    pause 1.3
    
    show marisa pilot serious with quick_dissolve
    pause 0.5
    stop music fadeout 2
    ma "Yer a real stubborn roadblock! I'd rather save {b}these{/b} for crowd control, but I guess I've got no choice."
    
    scene bg redcave battle a:
        align(0.5, 0.5) zoom 1.2
        pause 0.7
        ease 0.5 xalign 0.0 zoom 1.3
    show chroma blue neutral e as c1:
        pos (0.7, 0.7) zoom 0.4
        pause 0.7
        easeout 0.5 xpos 1.1 zoom 0.35
    show chroma black cannon e as c2a at enemy_solo
    with quick_dissolve
    pause 0.5
    play sound se_mecha5
    show chroma master spark a as c2a
    show chroma master spark b as c2b:
        pos(0.473, 0.635)
    show chroma master spark c as c2c:
        pos(0.194, 0.5)
    with dissolve
    pause 0.8
    
    #n "*Eject Hakkero*"
    scene hakkero reload a as ha:
        align(0.5, 0.5)
    show hakkero reload c as hc:
        pos(0.25, 0.42)
        pause 0.5
        ease 0.1 ypos 0.32
        pause 0.5
        easein 0.1 pos(0.18, -1.0)
    show hakkero reload b as hb:
        align(1.12, 1.025)
    with quick_dissolve
    pause 0.2
    play sound se_motor6
    pause 0.6
    play sound2 se_explosion8
    show hakkero reload d as hd behind hb:
        alpha 1 align(0.13, 0.0)
        pause 0.5
        linear 0.5 alpha 0
    with Shake((0, 0, 0, 0), 0.5, dist=3)
        
    #n "*Load Hakkero*"
    show hakkero reload c as hc:
        pos(0.6, -1.0)
        ease 1 pos(0.25, 0.07)
        pause 0.8
        ease 0.2 ypos 0.42
    show hakkero reload e as he behind hb:
        pos(0.62, -1.49)
        ease 1 pos(0.26, -0.42)
        pause 0.5
        easein 0.2 ypos -0.7
        easeout 0.2 ypos -0.42
    pause 0.5
    play sound3 se_mecha2
    pause 1.3
    play sound se_click1
    pause 0.5
    ma "I hope yer hungry, 'cause we're servin' Spark for dinner tonight!!"
    
    #n "*Marisa aura*"
    play sound2 se_magic3
    scene black
    show marisa pilot spell2 at truecenter as m2a
    with quick_flash
    pause 0.2
    show marisa pilot spell1 at truecenter as m1a with quick_dissolve:
        zoom 3
        linear 2 zoom 1
        pause 1.2
        linear 0.3 zoom 3 alpha 0
    show marisa pilot spell1 at truecenter as m1b with quick_dissolve:
        zoom 3
        linear 2 zoom 1
        pause 1.1
        linear 0.3 zoom 3 alpha 0
    show marisa pilot spell1 at truecenter as m1c with quick_dissolve:
        zoom 3
        linear 2 zoom 1
        pause 1
        linear 0.3 zoom 3 alpha 0
    pause 2.0
    show marisa pilot spell2 at truecenter as m2b behind m1a:
        linear 1.5 additive 1
    pause 0.7
    scene bg solid white with dissolve
    pause 1
    
    #n "*Master Spark charges*"
    scene bg redcave battle a:
        align(0.05, 0.5) zoom 1.3
    show chroma master spark a as msa at enemy_solo
    show chroma master spark b as msb:
        pos(0.473, 0.635)
    show chroma master spark c as msc:
        pos(0.194, 0.5)
    with quick_dissolve
    pause 0.3
    play sound3 se_magic1
    show chroma master spark d as msd behind msc:
        pos(0.473, 0.635)
        alpha 0
        linear 1 alpha 1
    with Shake((0, 0, 0, 0), 2.0, dist=2)
    
    scene utsuho pilot tense light with quick_dissolve
    u "This energy!... It's huge!"
    u "But two can play that game!"
    play music music_altered_beast
    play sound se_magic3
    scene bg solid black
    show utsuho pilot spellcircle as cg1 with fire_flash:
        zoom 1 pos(512, 285) alpha 1
        pause 1
        ease 1 zoom 0.27 pos(507, 370) alpha 0.5
        pause 1.25
        ease 1 zoom 0.4 pos(507, 287)
        block:
            linear 0.8 alpha 0.0
            linear 0.8 alpha 0.7
            pause 0.5
            repeat
    pause 1
    show utsuho pilot tense aura as cg2 behind cg1 with dissolve:
        zoom 0.62 align(0.5, 0.5)
        pause 2
        ease 1 zoom 0.85 align(0.5, 1.0)
    pause 2.5
    
    scene bg redcave battle a: #fire
        align(0.05, 0.5) zoom 1.3
    show chroma master spark a as msa at enemy_solo
    show chroma master spark d as msd:
        pos(0.473, 0.635)
    show chroma master spark c as msc:
        pos(0.194, 0.5)
    with flash
    ma "Master Spark!!"
    scene cg yatagarasu mega flare c with quick_flash: #zoom out
    u "Mega Flare!!"
    
    show bg redcave battle a:
        zoom 1.3 align(0.05, 0.5)
        ease 0.5 zoom 1.05 align(0.5, 0.5)
    show chroma master spark a as msa:
        enemy_solo
        ease 0.5 zoom 0.5 pos(0.125, 0.147)
    show chroma master spark d as msd:
        pos(0.473, 0.635) alpha 1 zoom 1
        ease 0.5 zoom 0.5 pos(0.212, 0.265)
    show chroma master spark c as msc:
        pos(0.194, 0.5)
        ease 0.5 zoom 0.5 pos(0.073, 0.196)
    pause 0.5
    play sound2 se_laser6a
    show chroma master spark e as mse:
        align(0.98, 0.5)
    show bigshot flash 1
    with quick_flash
    with Shake((0, 0, 0, 0), 2.5, dist=10)
    
    play sound3 se_fire3
    scene cg yatagarasu mega flare d: #fire
    show bigshot flash 1
    with quick_flash
    with Shake((0, 0, 0, 0), 2.5, dist=10)
    
    
    #n "*The two attacks collide and begin a push-of-war. Mega Flare has the advantage.*"
    play sound se_explosion5
    scene black
    show cg flare vs spark a:
        anchor(0.5, 0.5) pos(0.55, 0.5)
        ease 0.6 xpos 0.6
        ease 0.5 xpos 0.45
        ease 0.8 xpos 0.48
        ease 0.5 xpos 0.35
        ease 0.5 xpos 0.38
        ease 0.4 xpos 0.32
        ease 0.3 xpos 0.34
        ease 0.2 xpos 0.31
    show bigshot flash 2
    with quick_flash
    play sound2 se_rumble
    with Shake((0, 0, 0, 0), 3.5, dist=10)
    
    show marisa pilot shout
    show bright light
    with quick_dissolve
    ma "The hell! There's no way--!"
    show alice pilot tense behind bright with quick_dissolve
    
    

    ali "Marisa, hang in there! I'm--"
    
    #n "*Alice's AM is shot from behind, lift device damage*"
    scene bg redcave battle a
    show chroma blue neutral e as c1:
        pos(0.5, 0.4)
        pause 0.5
        easein 1 pos(0.6, 0.35)
    show bright light
        
    with quick_dissolve
    pause 0.2
    show small_flash
    play sound se_explosion3
    show explosion small behind c1 with flash_dissolve:
        xzoom -1.0 pos(0.25, 0.49) rotate -20
    with Shake((0, 0, 0, 0), 1.0, dist=5)
    hide explosion with dissolve
        
    ali "What?! Where did that come from?"
    extend " Oh, no! Marisa!!"
    scene marisa pilot tense
    show bright light
    with quick_dissolve
    pat "Marisa, get out of there! Drop the cannon!"
    ma "But!-- Dammit!!"
    
    #n "*Mega Flare destroys Master Spark cannon, but Marisa's AM escapes.*"
    play sound2 se_rumble
    play sound3 se_mecha4
    scene bg redcave battle a as bga:
        zoom 1.1 pos(0.53, 0.53)
        ease 4 zoom 1 pos(0.47, 0.47)
    show chroma master spark a as msa:
        zoom 0.5 pos(0.125, 0.147)
        ease 2 zoom 0.45 pos(0.165, 0.147)
        easeout 0.5 pos(-0.435, -0.133)
    show chroma master spark d as msd:
        zoom 0.5 pos(0.212, 0.265)
        easein 4 zoom 0.4 pos(0.612, 0.565)
    show chroma master spark c as msc:
        zoom 0.5 pos(0.073, 0.196)
        ease 2 zoom 0.45 pos(0.113, 0.196)
        easeout 0.5 pos(-0.487, -0.084)
    show chroma master spark e as mse:
        zoom 1 pos(0.51, 0.54) alpha 1
        easein 4 zoom 0.8  pos(0.82, 0.74) alpha 0
    show bigshot flash 1
    show fire screen:
        alpha 0
        pause 1
        linear 1.5 alpha 1
        pause 1
        linear 4 alpha 0
    with quick_flash
    with Shake((0, 0, 0, 0), 4.0, dist=10)
    
    play sound3 se_explosion1
    show explosion large as msd:
        zoom 1
    hide mse
    show explode_flash
    with flash_dissolve
    with Shake((0, 0, 0, 0), 4, dist=5)
    pause 0.5
    
    stop music fadeout 2
    scene marisa pilot serious with quick_dissolve
    ma "So long, Master Spark. You've been a good pal."
    show patchouli pilot tense with quick_dissolve
    pat "Marisa, there's more on the way! ID is... Tengu Type-C!"
    ma "I ain't stickin' around for that! Fall back, guys!"
    
    #n "*Magus Trio out*"
    scene bg redcave battle a with quick_dissolve
    show chroma black neutral as c2:
        ally3_os
        linear 1 ally3_os_l
    pause 0.2
    play sound se_whoosh3
    show chroma blue neutral e as c1:
        ally1_os xzoom -1
        linear 1.5 ally1_os_l
    show chroma purple neutral as c3 behind c2:
        ally4_os xzoom -1
        linear 1.5 ally4_os_l
    pause 0.8
    play sound2 se_whoosh3
    pause 2
    
    #n "*Tengu in*"
    scene bg redcave battle a
    show yatagarasu neutral as yata1 at ally2:
        zoom 0.6
    with quick_dissolve
    show tenguc aya neutral as c2:
        pos (2.3, 0.7)
        easein 2 pos (0.3, 0.7) zoom 0.8
    pause 0.2
    play sound se_whoosh3
    pause 0.3
    show tenguc neutral as c1 behind yata1:
        ally1_os zoom 0.5
        easein 2.5 xpos 0.5 zoom 0.5
    show tenguc neutral as c3 behind c1:
        ally4_os zoom 0.4
        pause 0.35
        easein 3.0 xpos -0.5
    pause 0.3
    play sound2 se_whoosh3
    show tenguc neutral as c4 behind c3:
        ally4_os zoom 0.3
        pause 0.4
        easein 1.5 ally4 zoom 0.3
    pause 1.9
    
    scene aya pilot smug with dissolve
    window show
    ay "Storm-1 to Raven-1. We're here as backup!"
    u "What? What about the Hell Army front?"
    ay "These Type-Cs are fast. I'll return in a flash if I need to."
    ay "But, color me impressed. You managed to fend off the Magus Trio all by yourself? That's not easy, even with an interception-type AM like mine."
    scene utsuho pilot happy light with dissolve
    u "I got lucky. I would've been in trouble if you didn't shoot the one controlling those drones."
    ay "What? I just got here. The only one who shot anything was you."
    scene utsuho pilot determined light with quick_dissolve
    u "Eh? I don't think I hit that one. Could someone else have shot it?"
    ay "Uh, the only ones I saw on the radar were you and those three Magus AMs. Maybe you hit it with a stray shot?"
    u "Huh..."
    u "(Well, I didn't see anyone else on radar either, so Aya's story checks out."
    extend " Could I have shot that AM by accident? But, I'm sure it was still flying before I fired Mega Flare. And I didn't fire any more shots after that.)"
    u "(It should have been destroyed outright if Mega Flare hit it. What's going on?...)"

    jump Chp_2_7
