init python:

    database_entries['mecha'] = [

#Contents: (Ctrl+F to find)

#Chireiden#
#Moriya#
#Parsia#
#Hell Army#
#Freelance#
#None#
    
#########
#Chireiden#
#########

MechaDatabaseEntry(
name = "{i}Yatagarasu{/i}",
full_name = "MSAM-004 {i}Yatagarasu{/i}",
faction = Factions.CHIREIDEN,
image_file = "db_am_yatagarasu.png",
short_description = """Sun god AM piloted by Utsuho Reiuji.""",
chapter_unlocked = '1',
article_text =

"""
{color=#9eded8}
{b}Type:{/b}  Infernal assault AM
{b}Affiliation:{/b}  Chireiden / Moriya
{b}Pilots:{/b}  Utsuho Reiuji
{b}Height:{/b}  22.0 meters
{b}Loaded Weight:{/b}  85.6 metric tons
{b}Max {b}Wingspan:{/b} {/b}  26.2 meters

{b}Armament:{/b}
1x fusion railcannon integrated in right arm
1x fusion rifle

{b}Features:{/b}
180-degree fusion force barrier
2x wing boosters on back
Single-seat ALS cockpit in front armor plate
4x leg-mounted thrusters
4x thrusters on hip armor
Long-range sensors
{/color}

{b}Comments:{/b}
The {i}Yatagarasu{/i} is the awe-inspiring sun god AM piloted by Utsuho Reiuji. Instead of directly transferring magical power to its systems like most AMs, the {i}Yatagarasu{/i} uses the power of its namesake god to create a fusion reaction within the AM. The plasma energy created is used to move, attack and defend.

Using its fusion weapons, the {i}Yatagarasu{/i} has staggering offensive power, with great stopping power and area-of-effect. In particular the splash damage from its fusion cannon can perform crowd control on ground troops extremely well. However, the weapons also generate a great deal of heat, so it only gets about 10 shots from the fusion cannon before it has to activate the cooldown procedure.

The large red node on the chest armor of the {i}Yatagarasu{/i} is a barrier generator. The barrier can stop the majority of attacks thrown at the {i}Yatagarasu{/i}, but only from the front 180 degrees. The raw output of the barrier generator is actually higher than that of the fusion cannon, and can be used to shoot fusion energy as well. However, if used in this way the barrier reaches critical temperatures even faster than the cannon.

When facing great opposition, the {i}Yatagarasu{/i} can use the barrier generator to unleash its Mega Flare, a massive fusion beam that produces a blast approximately 1 kilometer in diameter. However, this attack causes the pilot great strain. Utsuho lost consciousness after the first use. Needless to say, the timing for using Mega Flare needs to be chosen carefully.

If the {i}Yatagarasu{/i} has a weakness, it's probably its lack of maneuverability. Although it can reach respectable top speeds using its powerful wing-mounted booster engines, the {i}Yatagarasu{/i} is heavy for a flying AM so it accelerates and turns slowly.

In the right hands, the {i}Yatagarasu{/i} is capable of taking on a significant portion of an enemy army by itself, and may very well be able to end Chireiden's battle with Parsia. However, with the arrival of the army from the Remains of Blazing Hell, the {i}Yatagarasu{/i} and its pilot have a lot of work to do.

{color=#9eded8}
{b}Weapon power:{/b}      3000
{b}Weapon range:{/b}       250
{b}Speed:{/b}                     300
{b}Maneuverability:{/b}    50
{b}Armor:{/b}                    300
{b}Barrier:{/b}                   550
{/color}
"""  
),
    
#######
#Moriya#
#######    

MechaDatabaseEntry(
name = "{i}Shimenawa{/i}",
full_name = "{i}Shimenawa{/i}",
faction = Factions.MORIYA,
image_file = "db_shimenawa.png",
short_description = """Flagship of the Moriya faction.""",
chapter_unlocked = '1',
article_text =

"""
{color=#9eded8}
{b}Type:{/b}  Heavy assault cruiser
{b}Affiliation:{/b}  Moriya
{b}Pilots:{/b}  {i}Shimenawa{/i} crew
{b}Height:{/b}  135.2 meters
{b}Length:{/b}  390.0 meters
{b}Wingspan:{/b}  290.5 meters

{b}Armament:{/b} 
12x CIWS turrets
2x high-explosive guns
2x Onbashira cannons
2x Misayama missile systems

{b}Features:{/b} 
Shimenawa propulsion unit
3x hangars with runways
Many x Crew quarters
Various facilities
15x ALS circles in bridge
1x 180-degree force barrier (bridge)
10x lift boosters under Tengu hangars
Long-range sensors
{/color}

{b}Comments:{/b} 
The {i}Shimenawa{/i} is the Moriya flagship. It's a massive battleship/carrier that holds the Fort and Storm Squads, along with the custom AMs used by Utsuho, Kanako and Sanae. It also has a substantial array of mounted weaponry for offense and defense. Kanako commands this ship personally when leading Moriya's campaigns.

There are three hangars onboard the {i}Shimenawa{/i}: Hangar 1 for the Tengu Type-Cs on starboard, Hangar 2 for the Tengu Type-Ws on portside, and hangar 0 for special AMs in the center. The maintenance crews for these hangars are mostly made up of kappa from Youkai Mountain.

Hangars 1 and 2 can hold about 14 standard-size AMs (e.g. AM Tengus and the {i}Miracle{/i}) or 8 large AMs (e.g. {i}Yatagarasu{/i}) each. Hangar 0 can hold about 9 standard-size AMs or 5 large AMs.

The massive propulsion unit on the back is what moves the {i}Shimenawa{/i}. It's powered by an ALS routing magical energy from 14 operators located in the bridge, mostly tengu. It takes a lot of power to keep the {i}Shimenawa{/i} afloat, so none of this energy is routed into weapons or barriers.

In addition, the {i}Shimenawa{/i} is able to utilize the magic energy of Kanako herself to power the Onbashira cannons. There is an ALS circle behind the captain's chair of the bridge for this purpose. The Onbashira cannons come close to the {i}Yatagarasu's{/i} Mega Flare attack for sheer power, but they are so large that it would be impossible for a standard-size AM to carry one.

{color=#9eded8}
{b}Weapon power:{/b}      1500
{b}Weapon range:{/b}       250
{b}Speed:{/b}                     60
{b}Maneuverability:{/b}    1
{b}Armor:{/b}                    1500
{b}Barrier:{/b}                   300
{/color}
"""  
),

MechaDatabaseEntry(
name = "Tengu Type-C (Jet)",
full_name = "MSAM-007 Tengu Type-C (Jet)",
faction = Factions.MORIYA,
image_file = "db_tengutypec_jet.png",
short_description = """Interceptor AMs used by Moriya's crow tengu.""",
chapter_unlocked = '1',
article_text =

"""
{color=#9eded8}
{b}Type:{/b}  Transformable interceptor AM
{b}Affiliation:{/b}  Moriya
{b}Pilots:{/b}  Moriya's crow tengu
{b}Height:{/b}  4.5 meters
{b}Length:{/b}  17.8 meters
{b}Loaded Weight:{/b}  33 metric tons
{b}Wingspan:{/b}  15.1 meters

{b}Armament:{/b} 
1x energy submachine gun
1x arm-mounted energy cannon
12x homing missiles in wings

{b}Features:{/b} 
Transformation to Sentinel Mode
2x back-mounted thrusters
Single-seat ALS cockpit in torso
360-degree anti-energy barrier
Long-range sensors
{/color}

{b}Comments:{/b} 
The Tengu Type-C specializes in intercepting aerial targets. It's the preferred AM of crow tengu, and the primary unit of Storm Squad.

Jet Mode is by far the faster of the Type-C's two combat modes, and the one Type-C pilots use the most. While the construction of the Type-C is not as sturdy as it could be, Jet Mode Tengu move fast enough that most enemies have trouble keeping the Type-C in their crosshairs. However, the limited fire arcs and high speed make it difficult to aim in Jet Mode.

They're well-equipped to make life miserable for artillery mecha, since they have the speed to close the distance, anti-energy barriers and the dexterity to fight in close quarters. 

{color=#9eded8}
{b}Weapon power:{/b}      230
{b}Weapon range:{/b}       130
{b}Speed:{/b}                     900
{b}Maneuverability:{/b}    250
{b}Armor:{/b}                    80
{b}Barrier:{/b}                   200
{/color}
"""  
),

MechaDatabaseEntry(
name = "Tengu Type-C (Sentinel)",
full_name = "MSAM-007 Tengu Type-C (Sentinel)",
faction = Factions.MORIYA,
image_file = "db_tengutypec_sentinel.png",
short_description = """Interceptor AMs used by Moriya's crow tengu.""",
chapter_unlocked = '1',
article_text =

"""
{color=#9eded8}
{b}Type:{/b}  Transformable interceptor AM
{b}Affiliation:{/b}  Moriya
{b}Pilots:{/b}  Moriya's crow tengu
{b}Height:{/b}  18.7 meters
{b}Loaded Weight:{/b}  33.0 metric tons
{b}Wingspan:{/b}  15.1 meters

{b}Armament:{/b} 
1x energy submachine gun
1x arm-mounted energy cannon
2x heel-mounted blades
12x homing missiles in wings

{b}Features:{/b} 
Transformation to Jet Mode
2x back-mounted thrusters
Single-seat ALS cockpit in torso
360-degree anti-energy barrier
Long-range sensors
{/color}

{b}Comments:{/b} 
The Tengu Type-C specializes in intercepting aerial targets. It's the preferred AM of crow tengu, and the primary unit of Storm Squad.

While Sentinel Mode isn't as fast as Jet mode, it is easier to maneuver in enclosed spaces, so it sees a lot of use in the caves of Gensokyo.

Due to its transforming gear and "vestigial" jet parts, the construction of the Type-C is not as sturdy as it could be, so massed anti-air guns can give the Type-Cs trouble. The legs are especially light, so in most circumstances takeoff and landing are only done in Jet Mode.

They're well-equipped to make life miserable for laser artillery, since they have the speed to close distance, anti-energy barriers and the dexterity to fight in close quarters. 

{color=#9eded8}
{b}Weapon power:{/b}      230
{b}Weapon range:{/b}       130
{b}Speed:{/b}                     300
{b}Maneuverability:{/b}    300
{b}Armor:{/b}                    80
{b}Barrier:{/b}                   200
{/color}
"""  
),

MechaDatabaseEntry(
name = "Tengu Type-C Custom",
full_name = "MSAM-007C Tengu Type-C Custom",
faction = Factions.MORIYA,
image_file = "db_tengutypec_aya.png",
short_description = """Interceptor-type AM used by Aya Shameimaru.""",
chapter_unlocked = '1',
article_text =

"""
{color=#9eded8}
{b}Type:{/b}  Transformable interceptor AM
{b}Affiliation:{/b}  Moriya
{b}Pilots:{/b}  Aya Shameimaru
{b}Height:{/b}  18.7 meters
{b}Loaded Weight:{/b}  34.3 metric tons
{b}Wingspan:{/b}  15.1 meters

{b}Armament:{/b} 
1x energy submachine gun
1x arm-mounted energy cannon
2x heel-mounted blades
12x homing missiles in wings

{b}Features:{/b} 
Transformation between Jet/Sentinel Mode
2x back-mounted thrusters
Single-seat ALS cockpit in torso
360-degree anti-energy barrier
Long-range sensors
{/color}

{b}Comments:{/b} 
This Tengu Type-C was customized for Aya Shameimaru's use. Its parameters are improved from the other Type-Cs to make use of Aya's excellent magic capacity, and the engines in particular are more powerful than the average Type-C's. The distinct color scheme marks it as the Squad Captain's AM.

{color=#9eded8}
{b}Weapon power:{/b}      300
{b}Weapon range:{/b}       140
{b}Speed:{/b}                     500 Sentinel 1500 Jet
{b}Maneuverability:{/b}    400 Sentinel 300 Jet
{b}Armor:{/b}                    80
{b}Barrier:{/b}                   260
{/color}
"""
),

MechaDatabaseEntry(
name = "Tengu Type-W",
full_name = "MSAM-008 Tengu Type-W",
faction = Factions.MORIYA,
image_file = "db_tengutypew.png",
short_description = """Point-defense AM used by Moriya's wolf tengu.""",
chapter_unlocked = '1',
article_text =

"""
{color=#9eded8}
{b}Type:{/b}  Point-defense AM
{b}Affiliation:{/b}  Moriya
{b}Pilots:{/b}  Moriya's wolf tengu
{b}Height:{/b}  19.5 meters
{b}Loaded Weight:{/b}  85.3 metric tons

{b}Armament:{/b} 
1x energy gatling gun
1x energy-edged sword

{b}Features:{/b} 
180-degree shield-mounted anti-energy barrier
180-degree shield-mounted force barrier
6x leg-mounted thrusters
Single-seat ALS cockpit in torso
Long-range sensors
{/color}

{b}Comments:{/b} 
The Tengu Type-W mecha specializes in providing point defense for a fortified base or carrier ship. It's the preferred AM standard of wolf tengu, and the primary unit of Fort Squad.

While some parts of the Type-W resemble the Type-C in appearance, the Type-W has much heavier armor, especially on the legs. The frame has to be sturdier to accommodate this armor, so the Type-W is really a different AM model altogether. The Type-C / Type-W naming convention has probably stayed because of how often the two AMs work together and complement each others' specialties.

Type-Ws have sturdy armor and strong weapons. Their gatling guns can tear down just about anything that flies, but the shot spread is high so the effective range is somewhat limited. They also have the defensive capabilities to get within their effective range.

While defending the {i}Shimenawa{/i}, the Type-Ws extend an anti-energy shield to avoid damaging the {i}Shimenawa's{/i} hull. However, it's not a perfect solution. The shield weakens considerably when 5 Type-Ws try to cover something as large as the {i}Shimenawa{/i}. In order to maintain their defenses they need to have Type-Cs thin out the enemy before they get close to the {i}Shimenawa{/i}.

{color=#9eded8}
{b}Weapon power:{/b}      450
{b}Weapon range:{/b}       90
{b}Speed:{/b}                     85
{b}Maneuverability:{/b}    100
{b}Armor:{/b}                    400
{b}Barrier:{/b}                   400 force
                                 800 anti-energy 
{/color}
"""  
),

MechaDatabaseEntry(
name = "Tengu Type-W Custom",
full_name = "MSAM-008C Tengu Type-W Custom",
faction = Factions.MORIYA,
image_file = "db_tengutypew_momiji.png",
short_description = """Point-defense AM used by Momiji Inubashiri.""",
chapter_unlocked = '1',
article_text =

"""
{color=#9eded8}
{b}Type:{/b}  Point-defense AM
{b}Affiliation:{/b}  Moriya
{b}Pilots:{/b}  Momiji Inubashiri
{b}Height:{/b}  19.5 meters
{b}Loaded Weight:{/b}  89.5 metric tons

{b}Armament:{/b} 
1x energy gatling gun
1x energy-edged sword

{b}Features:{/b} 
180-degree shield-mounted anti-energy barrier
180-degree shield-mounted force barrier
6x leg-mounted thrusters
Single-seat ALS cockpit in torso
Long-range sensors
{/color}

{b}Comments:{/b} 
A Tengu Type-W customized for Momiji Inubashiri's use. Its parameters are improved from the other Type-Ws to make use of Momiji's excellent magic capacity. The weapons and barrier in particular are more powerful than the average Type-W's. The distinct color scheme marks it as the Squad Captain's AM.

{color=#9eded8}
{b}Weapon power:{/b}      600
{b}Weapon range:{/b}       90
{b}Speed:{/b}                     85
{b}Maneuverability:{/b}    100
{b}Armor:{/b}                    400
{b}Barrier:{/b}                   600 force
                                1200 anti-energy
{/color}
"""  
),

MechaDatabaseEntry(
name = "{i}Miracle{/i}",
full_name = "MSAM-003 {i}Miracle{/i}",
faction = Factions.MORIYA,
image_file = "db_miracle.png",
short_description = """Ritual-performance AM piloted by Sanae Kochiya.""",
chapter_unlocked = '1',
article_text =

"""
{color=#9eded8}
{b}Type:{/b}  Ritual performance AM
{b}Affiliation:{/b}  Moriya
{b}Pilots:{/b}  Sanae Kochiya
{b}Height:{/b}  17.7 meters
{b}Loaded Weight:{/b}  50.5 metric tons
{b}Max {b}Wingspan:{/b} {/b}  18.3 meters

{b}Armament:{/b} 
1x ritual staff

{b}Features:{/b} 
2x lightwings on back
Single-seat ALS cockpit in torso
180-degree force barrier
Long-range sensors
{/color}

{b}Comments:{/b} 
Sanae Kochiya's personal AM. The {i}Miracle's{/i} main purpose is to aid in performing rituals that require a great deal of magical energy. Nevertheless, it can also serve decently well in a fight, shooting waves of light that can attack a wide area.
"""  
),

MechaDatabaseEntry(
name = "{i}Ouroboros{/i}",
full_name = "{i}Ouroboros{/i}",
faction = Factions.MORIYA,
image_file = "db_no_image.png",
short_description = """AM used by Kanako Yasaka.""",
chapter_unlocked = '1',
article_text =

"""
{color=#9eded8}
{b}Affiliation:{/b}  Moriya
{b}Pilots:{/b}  Kanako Yasaka
{/color}

{b}Comments:{/b} 
Kanako Yasaka's personal AM. Sanae mentioned it while introducing Utsuho and Rin to Hangar 0. No details have been given about it so far, except that it's massive foot is visible in the background of Hangar 0. Apparently Kanako likes to join the fray herself from time to time, despite also being the captain of the {i}Shimenawa{/i}.
"""  
),



#######
#Parsia#
#######

MechaDatabaseEntry(
name = "{i}Ursa Major{/i}",
full_name = "{i}Ursa Major{/i}",
faction = Factions.PARSIA,
image_file = "db_ursa_major.png",
short_description = """Yuugi Hoshiguma's juggernaut AM.""",
chapter_unlocked = '2',
article_text =

"""
{color=#9eded8}
{b}Type:{/b}  Infernal walking fortress
{b}Affiliation:{/b}  Parsia
{b}Pilots:{/b}  Yuugi Hoshiguma
{b}Height:{/b}  62.5 meters
{b}Loaded Weight:{/b}  720 metric tons

{b}Armament:{/b}
2x energy shackles
6x turrets in shoulder plates

{b}Features:{/b}
Single-seat ALS cockpit in waist
180-degree force barrier
{/color}

{b}Comments:{/b}
The {i}Ursa Major{/i} is a true oni among AMs, measuring almost three times the height of the {i}Yatagarasu{/i}. Not much is known about its offensive capability yet, but this AM is no sitting duck; though it can't dodge properly aimed attacks at all, it was able to repel the {i}Yatagarasu{/i}'s Mega Flare using a barrier.

Its origins are shrouded in mystery.

{color=#9eded8}
{b}Weapon power:{/b}      ?
{b}Weapon range:{/b}       ?
{b}Speed:{/b}                     30
{b}Maneuverability:{/b}    1
{b}Armor:{/b}                    ?
{b}Barrier:{/b}                   2000
{/color}
"""  
),



MechaDatabaseEntry(
name = "Arachne",
full_name = "HCM-008 Arachne",
faction = Factions.PARSIA,
image_file = "db_arachne.png",
short_description = """Spiderlike CM used by Parsia's tsuchigumo pilots.""",
chapter_unlocked = '1',
article_text =

"""
{color=#9eded8}
{b}Type:{/b}  Guerilla warfare CM
{b}Affiliation:{/b}  Parsia
{b}Pilots:{/b}  Parsia's tsuchigumo
{b}Height:{/b}  10.8 meters
{b}Loaded Weight:{/b}  18.4 metric tons

{b}Armament:{/b}
2x head-mounted machine guns
1x thorax-mounted mortar cannon
2x bladed arms

{b}Features:{/b}
6x thorax-mounted rappelling cables
Single-seat glass-covered cockpit in thorax
{/color}

{b}Comments:{/b}
Although the Arachne's official combat role is "guerilla warfare", the Parsian army doesn't exactly lack in resources so it's more to the point to say that it's a CM that's not strong enough for direct combat even against other CMs. According to Yamame, the Arachne is a modified lunar exploration vehicle.

The tsuchigumo youkai generally don't have strong magical ability compared to other underground-dwelling youkai, so they were given these CMs that don't make use of the pilot's magic power.

For all that, the Arachne does have some unusual adaptations to the underground terrain. Using the cables contained in the two spools on the sides of the thorax, the Arachne can rappel from the ceiling and walls of the vast underground caverns of Old Hell. Despite being unable to fly, it's a CM that can attack from any direction.

However, assailing the flagship {i}Shimenawa{/i} is difficult even for AMs, so in Chapter 1 the Arachnes are simply too outclassed to win despite their terrain advantage. 

{color=#9eded8}
{b}Weapon power:{/b}      110
{b}Weapon range:{/b}       100
{b}Speed:{/b}                     40
{b}Maneuverability:{/b}    150
{b}Armor:{/b}                    70
{/color}
"""  
),



MechaDatabaseEntry(
name = "Arachne Custom",
full_name = "HCM-008C Arachne Custom",
faction = Factions.PARSIA,
image_file = "db_arachne_yamame.png",
short_description = """Spiderlike AM used by Yamame Kurodani.""",
chapter_unlocked = '1',
article_text =

"""
{color=#9eded8}
{b}Type:{/b}  Guerilla warfare AM
{b}Affiliation:{/b}  Parsia
{b}Pilots:{/b}  Yamame Kurodani
{b}Height:{/b}  10.8 meters
{b}Loaded Weight:{/b}  18.8 metric tons

{b}Armament:{/b}
1x head-mounted machine gun
1x head-mounted stake
1x thorax-mounted mortar cannon
2x bladed arms

{b}Features:{/b}
6x thorax-mounted rappelling cables
Single-seat glass-covered cockpit in thorax
{/color}

{b}Comments:{/b}
Yamame's custom Arachne differs from the standard Arachne in two ways. One is the color scheme that includes bright yellow.

The other is an alternate weapon that replaces the left machine gun mounted on the Arachne's head. It's a stake that can use magic power to disable machinery, like the bite of a venomous spider. However, the stake has to be used from point-blank range, so with the low fighting ability of the Arachne its practical applications are limited.

Technically this custom Arachne is an AM, since it uses Yamame's magical energy to power a weapon. This modification was actually made by the tsuchigumo after they received the yellow Arachne as a CM, so it shares the same base model number as the MP Arachnes.

{color=#9eded8}
{b}Weapon power:{/b}      110
{b}Weapon range:{/b}       100
{b}Speed:{/b}                     40
{b}Maneuverability:{/b}    150
{b}Armor:{/b}                    70
{/color}
"""  
),



##########
# Hell Army#
##########

MechaDatabaseEntry(
name = "Evil Eye",
full_name = "Evil Eye",
faction = Factions.HELL_ARMY,
image_file = "db_evil_eye.png",
short_description = """Economical laser weapon from the Hell Army.""",
chapter_unlocked = '1',
article_text =

"""
{color=#9eded8}
{b}Type:{/b}  Assault mecha
{b}Affiliation:{/b}  Hell Army
{b}Pilots:{/b}  ?
{b}Height:{/b}  7.2 meters
{b}Loaded Weight:{/b}  20.9 metric tons
{b}Max {b}Wingspan:{/b} {/b}  16.2 meters

{b}Armament:{/b} 
1x eye-mounted laser gun

{b}Features:{/b} 
1x back-mounted thruster
1x bottom-mounted lift jet
{/color}

{b}Comments:{/b} 
A mass produced mecha from the army that appeared in the Remains of Blazing Hell. The Moriya-Chireiden Alliance has assigned it the name "Evil Eye".

It is a very compact weapon that somehow crams hover devices, propulsion, and a laser weapon into a ball 7 meters in diameter. Given the compact package, it seems likely that there is no cockpit inside, meaning it is controlled either remotely or through AI.

It appears to be a very economical design, and the Hell Army fields Evil Eyes in large numbers so they can gain fire superiority over stronger AMs. Good tactics are needed to control the damage done by the hordes of Evil Eyes.

{color=#9eded8}
{b}Weapon power:{/b}      150
{b}Weapon range:{/b}       120
{b}Speed:{/b}                     100
{b}Maneuverability:{/b}    150
{b}Armor:{/b}                    70
{/color}
"""  
),

MechaDatabaseEntry(
name = "Angel",
full_name = "Angel",
faction = Factions.HELL_ARMY,
image_file = "db_angel.png",
short_description = """Agile interceptor from the Hell Army.""",
chapter_unlocked = '1',
article_text =

"""
{color=#9eded8}
{b}Type:{/b}  Interceptor mecha
{b}Affiliation:{/b}  Hell Army
{b}Pilots:{/b}  ?
{b}Height:{/b}  18.9 meters
{b}Loaded Weight:{/b}  48.6 metric tons
{b}Max {b}Wingspan:{/b} {/b}  20.5 meters

{b}Armament:{/b} 
1x beam pistol
1x laser cannon
2x missile pods

{b}Features:{/b} 
2x wing boosters on back
{/color}

{b}Comments:{/b} 
A limited-production mecha from the army that appeared in the Remains of Blazing Hell. The Moriya-Chireiden Alliance has assigned it the name "Angel".

If there are AMs among the Hell Army mecha, the Angel is likely to be one. Performance-wise they rival the Tengu Type-C. A single Angel can cause serious trouble for other AMs.

Worse yet, they are somehow able to repair themselves via a quick rejuvenation process, unless an extreme amount of damage is inflicted (for instance, if the {i}Yatagarasu{/i} hits with a full blast from its fusion cannon). Since a single Angel mecha is already difficult to shoot down, this ability makes them a real force to be reckoned with.

The black mist that comes out of an Angel while it performs self-repairs may offer a clue to the source of its power. 

{color=#9eded8}
{b}Weapon power:{/b}      200
{b}Weapon range:{/b}       120
{b}Speed:{/b}                     300
{b}Maneuverability:{/b}    250
{b}Armor:{/b}                    150
{/color}
"""  
),

MechaDatabaseEntry(
name = "Mirror",
full_name = "Mirror",
faction = Factions.HELL_ARMY,
image_file = "db_mirror.png",
short_description = """Laser artillery unit from the Hell Army.""",
chapter_unlocked = '1',
article_text =

"""
{color=#9eded8}
{b}Type:{/b}  Laser artillery mecha
{b}Affiliation:{/b}  Hell Army
{b}Pilots:{/b}  ?
{b}Height:{/b}  15.1 meters
{b}Loaded Weight:{/b}  30.1 metric tons
{b}Max {b}Wingspan:{/b} {/b}  16.8 meters

{b}Armament:{/b} 
1x ringed railcannon

{b}Features:{/b} 
2x side-mounted thrusters
1x bottom-mounted lift jet
{/color}

{b}Comments:{/b} 
A mass produced mecha from the army that appeared in the Remains of Blazing Hell. The Moriya-Chireiden Alliance has assigned it the name "Mirror".

These artillery units display startling power for mass-produced units, somehow producing lasers that rival the power of quality magician AMs. When Mirrors are massed, it is difficult for any armor or barrier to withstand their barrage.

That said, as artillery units they have poor mobility and their armor is just average, which is a significant trade-off for their offensive power. It is wise to make Mirrors high-priority targets when they are present.

{color=#9eded8}
{b}Weapon power:{/b}      700
{b}Weapon range:{/b}       200
{b}Speed:{/b}                     50
{b}Maneuverability:{/b}    25
{b}Armor:{/b}                    100
{/color}
"""  
),

MechaDatabaseEntry(
name = "Trooper",
full_name = "Trooper",
faction = Factions.HELL_ARMY,
image_file = "db_trooper.png",
short_description = """Shocktroopers from the Hell Army.""",
chapter_unlocked = '1',
article_text =

"""
{color=#9eded8}
{b}Type:{/b}  Shocktrooper mecha
{b}Affiliation:{/b}  Hell Army
{b}Pilots:{/b}  ?
{b}Height:{/b}  18.0 meters
{b}Loaded Weight:{/b}  48.2 metric tons

{b}Armament:{/b} 
1x assault rifle
1x arm blade
{/color}

{b}Comments:{/b} 
A mass produced mecha from the army that appeared in the Remains of Blazing Hell. The Moriya-Chireiden Alliance has assigned it the name "Trooper".

They put up a decent fight for stock mecha, and lightly armored mecha should be wary of rifle fire from massed Troopers. Given that Troopers are always deployed in large numbers, even quality AMs should be wary of them.

However given their weakness to anti-ground artillery such as the {i}Yatagarasu{/i}'s fusion cannon, the Troopers' impact on future battles may be limited.

{color=#9eded8}
{b}Weapon power:{/b}      120
{b}Weapon range:{/b}       100
{b}Speed:{/b}                     70
{b}Maneuverability:{/b}    100
{b}Armor:{/b}                    160
{/color}
"""  
),


##########
#Freelance#
##########

MechaDatabaseEntry(
name = "Chroma Black (Gunner)",
full_name = "SDX-01 Chroma",
faction = Factions.FREELANCE,
image_file = "db_chromablack_gunner.png",
short_description = """Marisa Kirisame's laser artillery AM.""",
chapter_unlocked = '2',
article_text =

"""
{color=#9eded8}
{b}Type:{/b}  High-mobility bombardment AM
{b}Affiliation:{/b}  Magus Trio / Parsia
{b}Pilots:{/b}  Marisa Kirisame
{b}Height:{/b}  15.3 meters
{b}Loaded Weight:{/b}  57.7 metric tons

{b}Armament:{/b}
1x Hakkero Cannon
2x skirt-mounted energy turrets
2x skirt-mounted magic missile launchers

{b}Features:{/b}
360-degree anti-energy barrier
2x leg-mounted engines
Single-seat cockpit in torso
Dummy ALS
{/color}

{b}Comments:{/b}
Marisa's current AM is part of the experimental Chroma series currently being developed by the Scarlet Devil Foundation. This model is equipped with a dummy ALS, which uses a source of pre-collected magic rather than syphoning power from the pilot.

Chroma Black's main weapon is the Hakkero Cannon, a custom weapon designed by the owner of the Kourindou Repair Shop on Gensokyo's surface. It uses Hakkeros-- magical furnaces that condense an immense amount of power into a small space-- as ammunition. The Cannon can be charged to fire a colossal laser Marisa calls "Master Spark", much like the {i}Yatagarasu's{/i} Mega Flare.

This special ammunition-based AM allows Marisa to wield firepower far surpassing the standard AM, despite having little innate magic power. However, powering an AM in such a way requires a great deal of magical fuel. One of the main sources of expenditures for the Magus Trio comes from procuring enough fuel to keep Chroma Black operable.

Chroma Black's main role is to provide fire support using its powerful lasers. Though the Hakkero Cannon seems unwieldy, Chroma Black handles decently thanks to its two large leg-like engines. This allows Chroma Black to handle dogfights to an extent, making it a rather versatile AM.

Despite Chroma Black's remarkable features, Marisa was forced to sacrifice the Hakkero Cannon to escape from the {i}Yatagarasu{/i}'s Mega Flare. It goes without saying that this will be a significant drain to her damage output for some time.

{color=#9eded8}
{b}Weapon power:{/b}      2000
{b}Weapon range:{/b}       250
{b}Speed:{/b}                     200
{b}Maneuverability:{/b}    100
{b}Armor:{/b}                    120
{b}Barrier:{/b}                   250
{/color}
"""  
),



MechaDatabaseEntry(
name = "Chroma Black (Rider)",
full_name = "SDX-01 Chroma",
faction = Factions.FREELANCE,
image_file = "db_chromablack_rider.png",
short_description = """Alternate configuration for Chroma Black.""",
chapter_unlocked = '2',
article_text =

"""
{color=#9eded8}
{b}Type:{/b}  High-mobility bombardment AM
{b}Affiliation:{/b}  Magus Trio / Parsia
{b}Pilots:{/b}  Marisa Kirisame
{b}Height:{/b}  10.4 meters
{b}Loaded Weight:{/b}  57.7 metric tons

{b}Armament:{/b}
1x Hakkero Cannon
2x skirt-mounted energy turrets
2x skirt-mounted magic missile launchers

{b}Features:{/b}
360-degree anti-energy barrier
2x leg-mounted engines
Single-seat cockpit in torso
Dummy ALS
{/color}

{b}Comments:{/b}
Marisa's current AM is part of the experimental Chroma series currently being developed by the Scarlet Devil Foundation.

In Rider Mode, Chroma Black's lower body folds back so that the main engines point backwards, creating a jet-like configuration. Much like the Tengu Type-C's Jet Mode, Chroma Black's Rider Mode trades some flexibility for raw speed. These two are also alike in that they don't see much action in the confines of the underground.

Of note is that Chroma Black's main weapon, the Hakkero Cannon, docks with the main body in Rider Mode. This offers more stability than supporting the weight with only the arms, so it is the ideal Mode for firing Chroma Black's trump card, the Master Spark.

However, since the Hakkero Cannon was lost in a battle against the {i}Yatagarasu{/i}, this mode will probably be seldom seen for some time.

{color=#9eded8}
{b}Weapon power:{/b}      2000
{b}Weapon range:{/b}       250
{b}Speed:{/b}                     600
{b}Maneuverability:{/b}    70
{b}Armor:{/b}                    120
{b}Barrier:{/b}                   250
{/color}
"""  
),



MechaDatabaseEntry(
name = "Chroma Blue",
full_name = "SDX-03 Chroma",
faction = Factions.FREELANCE,
image_file = "db_chromablue.png",
short_description = """Alice Margatroid's Dollmaster AM.""",
chapter_unlocked = '2',
article_text =

"""
{color=#9eded8}
{b}Type:{/b}  Drone guidance AM
{b}Affiliation:{/b}  Magus Trio / Parsia
{b}Pilots:{/b}  Alice Margatroid
{b}Height:{/b}  15.3 meters
{b}Loaded Weight:{/b}  75.0 metric tons

{b}Armament:{/b}
8x Dolls
2x skirt-mounted energy turrets
2x skirt-mounted magic missile launchers

{b}Features:{/b}
360-degree anti-energy barrier
2x leg-mounted engines
Single-seat ALS cockpit in torso
Ringed docking bay around skirt
2x remote control transmitters in hands
{/color}

{b}Comments:{/b}
Alice's current AM is part of the experimental Chroma series currently being developed by the Scarlet Devil Foundation. This model features the Dollmaster system, which allows Chroma Blue to carry and command several "Dolls", which are remote-controlled combat drones designed for the Dollmaster system.

The Dolls are powered using Chroma Blue's ALS. Up to eight of them can dock with the ring-shaped bay attached to Chroma Blue's skirt to link to the ALS and replenish their energy reserves.

Alice skillfully controls many Dolls in tandem to provide the support of a small squad all by herself: platoon fire, pincer attacks, herding of enemies, and more. However, Chroma Blue doesn't have much to defend itself with without the Dolls, so Alice tries to keep at least a couple of dolls in reserve for defense.

{color=#9eded8}
{b}Weapon power:{/b}      500
{b}Weapon range:{/b}       400+
{b}Speed:{/b}                     150
{b}Maneuverability:{/b}    80
{b}Armor:{/b}                    140
{b}Barrier:{/b}                   250
{/color}
"""  
),



MechaDatabaseEntry(
name = "Doll",
full_name = "Doll",
faction = Factions.FREELANCE,
image_file = "db_doll.png",
short_description = """Combat drones used by Chroma Blue.""",
chapter_unlocked = '2',
article_text =

"""
{color=#9eded8}
{b}Type:{/b}  AM support drone
{b}Affiliation:{/b}  Magus Trio / Parsia
{b}Pilots:{/b}  Remotely controlled by Alice Margatroid
{b}Height:{/b}  2.9 meters
{b}Loaded Weight:{/b}  1.5 metric tons

{b}Armament:{/b}
1x laser turret

{b}Features:{/b}
1x bottom-mounted lift jet
Remote control receiver on head
{/color}

{b}Comments:{/b}
The Magus Trio AM known as Chroma Blue uses remote-controlled drones called "Dolls" as its main weapons. Alice skillfully controls many Dolls in tandem to provide the support of a small squad all by herself: platoon fire, pincer attacks, herding of enemies, and more.

The Dolls have good energy capacity and can hover for hours without docking with Chroma Blue if they don't fire their weapons. However, in order to control them remotely they must be within visual range of Chroma Blue or there must be assistance from outside communication relays. Naturally, such a system is greatly limited when used in a foreign underground territory.

As a surprise tactic, the Doll can expend all its stored energy at once to fire a laser comparable to the lasers from Chroma Black's Hakkero Cannon. However, this causes the Doll to overheat and explode. In general, Alice's prudent nature will only allow her to use this feature as a last resort.

{color=#9eded8}
{b}Weapon power:{/b}      500
{b}Weapon range:{/b}       150
{b}Speed:{/b}                     200
{b}Maneuverability:{/b}    150
{b}Armor:{/b}                    70
{/color}
"""  
),



MechaDatabaseEntry(
name = "Chroma Purple",
full_name = "SDX-02 Chroma",
faction = Factions.FREELANCE,
image_file = "db_chromapurple.png",
short_description = """Patchouli Knowledge's elemental AM.""",
chapter_unlocked = '2',
article_text =

"""
{color=#9eded8}
{b}Type:{/b}  Heavy support fire AM
{b}Affiliation:{/b}  Magus Trio / Parsia
{b}Pilots:{/b}  Patchouli Knowledge
{b}Height:{/b}  15.3 meters
{b}Loaded Weight:{/b}  61.2 metric tons

{b}Armament:{/b}
1x arm-mounted rifle
1x arm-mounted shotgun
1x hip-mounted laser cannon
1x hip-mounted scatter bomber
2x skirt-mounted energy turrets

{b}Features:{/b}
360-degree anti-energy barrier
2x leg-mounted engines
Single-seat ALS cockpit in torso
{/color}

{b}Comments:{/b}
Patchouli's current AM is part of the experimental Chroma series currently being developed by the Scarlet Devil Foundation. This model features an eclectic assortment of weapons, each styled after an element of Wu Xing.

FIRE: Laser cannon with a red gem. Linear, but long ranged and good power.
WATER: Gun turrets linked to a blue gem. Has a machinegun-like spread.
WOOD: Shotgun with a green gem. Great at close range.
EARTH: Scatter bomber with an orange gem. High spread, but many shots.
METAL: Rifle with a yellow gem. Fires magic-accelerated metal bullets that pierce anti-energy barriers.

While highly versatile in purpose, Chroma Purple doesn't have a clear stand-out weapon like Chroma Black's Hakkero Cannon, nor can it increase the output of its weapons. When faced with many enemies, sometimes the best thing to do is to fire all the weapons at once.

{color=#9eded8}
{b}Weapon power:{/b}      1000
{b}Weapon range:{/b}       200
{b}Speed:{/b}                     180
{b}Maneuverability:{/b}    90
{b}Armor:{/b}                    120
{b}Barrier:{/b}                   500
{/color}
"""  
),



MechaDatabaseEntry(
name = "{i}Ice-9 Special{/i}",
full_name = "{i}Fairy Ice-9 Special{/i}",
faction = Factions.FREELANCE,
image_file = "db_fairy_icenine.png",
short_description = """Cirno's homemade AM.""",
chapter_unlocked = '2',
article_text =

"""
{color=#9eded8}
{b}Type:{/b}  Cryokinetic assault AM
{b}Affiliation:{/b}  Ice-9 / Parsia
{b}Pilots:{/b}  Cirno
{b}Height:{/b}  8.5 meters
{b}Loaded Weight:{/b}  15.9 metric tons
{b}Max Wingspan:{/b}  9.2 meters

{b}Armament:{/b}
1x icicle machinegun
1x freeze ray gun

{b}Features:{/b}
1x bottom-mounted lift jet
2x energy wings
Single-seat cockpit in head
180-degree anti-energy barrier
{/color}

{b}Comments:{/b}
The ice fairy Cirno has the distinction of being one of the few fairies with enough magic power to use an ALS to some effect. Although the {i}Ice-9 Special{/i} looks like a repainted CM Fairy, it has slightly higher specs and weapons that utilize Cirno's specialization in ice magic. Though based on the ubiquitous Fairy design, it was assembled from scratch by one of Cirno's friends, and thus it has no model number.

While still on the low end of the AM power scale, it may actually be among the least lethal of AMs, since its ice powers are more likely to disable enemy AMs than outright destroy them. However, since Cirno tends to attack alongside other fairies, this distinction is rendered moot more often than not.

{color=#9eded8}
{b}Weapon power:{/b}      150
{b}Weapon range:{/b}       100
{b}Speed:{/b}                     125
{b}Maneuverability:{/b}    300
{b}Armor:{/b}                    100
{b}Barrier:{/b}                   200
{/color}
"""  
),



######
#None#
######

MechaDatabaseEntry(
name = "CM Fairy",
full_name = "HCM-005 Fairy",
faction = Factions.NONE,
image_file = "db_cm_fairy.png",
short_description = """CM used by fairies all over Gensokyo.""",
chapter_unlocked = '1',
article_text =

"""
{color=#9eded8}
{b}Type:{/b}  General-purpose CM
{b}Affiliation:{/b}  Various armies
{b}Pilots:{/b}  Fairies from various armies
{b}Height:{/b}  8.5 meters
{b}Loaded Weight:{/b}  14.7 metric tons
{b}Max Wingspan:{/b}  9.2 meters

{b}Armament:{/b}
Various

{b}Features:{/b}
1x bottom-mounted lift jet
2x energy wings
Single-seat cockpit in head
{/color}

{b}Comments:{/b}
The CM Fairy is the mainstay of most armies in the present-day Gensokyo. It first appeared in a certain incident about 5 years before the present day, and have been widely used since then. They are fielded in large numbers, but it takes a very large number advantage for them to match up to Arcane Machina.

These cheap, mass-production CMs are usually piloted by fairies, who make up the majority of Gensokyo's total population and are considered disposable by the major powers. Youkai and humans don't want to be in their place, but since fairies are simple-minded and basically immortal, they have few problems with this arrangement.

Since the CM Fairy is by far the most common type of mecha, all other mecha are compared to it in terms of performance. It's rare for a Fairy to come equipped with a barrier, but such models do exist and these barriers are used as a standard to gauge the strength of other barriers as well.

There are many different variants of the Fairy CM, but this one is considered the standard model because of its ubiquitous nature. This design was created by the organization Tewi Inaba represents, and they supply many of Gensokyo's powers with these CMs.

{color=#9eded8}
{b}Weapon power:{/b}      100
{b}Weapon range:{/b}       100
{b}Speed:{/b}                     100
{b}Maneuverability:{/b}    100
{b}Armor:{/b}                    100
{b}Barrier:{/b}                   100
{/color}
"""  
),



    ]

