init:

    # Contents: (Ctrl+F to find)
    
    ## --- Effect transforms --- ##
    
    ## --- Mecha sprites --- ##
    # - Lasers - #
    # - Energy machine guns - #
    # - Machine guns - #
    # - Other Projectiles - #
    # - Solid color - #
    # - Common effects - #
    
    ## --- Yatagarasu --- ##

    ## --- Hell Army --- ##
    # - Angel - #
    # - Cyclops - #
    # - Mirror - #
    
    ## --- Magus --- ##
    # - Chroma Black - #
    # - Chroma Blue - #
    # - Chroma Purple - #
    # - Doll - #
    
    ## --- Moriya --- ##
    # - Shimenawa - #
    # - Miracle - #
    # - Tengu Type-C - #
    # - Tengu Type-W - #
    
    ## --- Parsia --- ##
    # - Ursa Major - #
    # - Arachne - #
    # - Fairy - #
    
    ## --- Sprite Managers --- ##

    
    
## ------------------------------ ##
## --- Effect transforms --- ##
## ------------------------------ ##

    transform light:
        additive 1
    transform dimmed_light:
        additive 0.4
        
    transform burst_2shot:
        additive 1
        block:
            alpha 1
            pause 0.4
            linear 0.4 alpha 0
            repeat 2
    transform laser_1shot:
        additive 1 alpha 1
        pause 1
        linear 0.5 alpha 0
        Null()
    transform laser_1shot_short:
        additive 1 alpha 1
        pause 0.5
        linear 0.5 alpha 0
        Null()
    transform laser_1shot_long:
        additive 1 alpha 1
        pause 3
        linear 0.5 alpha 0
        Null()
    transform laser_contfire:
        additive 1
        block:
            alpha 1
            pause 0.5
            linear 0.5 alpha 0
            pause 0.5
            repeat
    transform rapid_5shot:
        additive 1
        block:
            alpha 1
            pause 0.05
            alpha 0.6
            pause 0.05
            repeat 5
        linear 0.5 alpha 0
        Null()
    transform rapid_5shot_cont:
        additive 1
        block:
            block:
                alpha 1
                pause 0.05
                alpha 0.6
                pause 0.05
                repeat 5
            linear 0.5 alpha 0
            pause 0.7
            repeat
    transform rapid_15shot:
        additive 1
        block:
            alpha 1
            pause 0.05
            alpha 0.6
            pause 0.05
            repeat 15
        linear 0.5 alpha 0
        Null()
    transform rapid_15shot_delay:
        additive 1
        pause 0.05
        block:
            alpha 1
            pause 0.05
            alpha 0.6
            pause 0.05
            repeat 15
        linear 0.5 alpha 0
        Null()
    transform rapid_40shot:
        additive 1
        block:
            alpha 1
            pause 0.05
            alpha 0.6
            pause 0.05
            repeat 40
        linear 0.5 alpha 0
        Null()
    transform rapid_40shot_delay:
        additive 1
        pause 0.05
        block:
            alpha 1
            pause 0.05
            alpha 0.6
            pause 0.05
            repeat 40
        linear 0.5 alpha 0
        Null()
        
    transform rapid_40bullet:
        additive 1
        block:
            alpha 1
            pause 0.1
            alpha 0.2
            pause 0.1
            repeat 20
        linear 0.2 alpha 0
        Null()
    transform rapid_40bullet_delay:
        additive 1
        pause 0.05
        block:
            alpha 1
            pause 0.1
            alpha 0.2
            pause 0.1
            repeat 20
        linear 0.2 alpha 0
        Null()
    transform shield:
        additive 1 alpha 0
        linear 0.1 alpha 1
    transform shield_flicker:
        additive 1
        block:
            alpha 0.9
            pause 0.05
            alpha 1.0
            pause 0.05
            repeat
    transform shield_weaken:
        additive 1
        block:
            alpha 1
            pause 0.05
            alpha 0.7
            pause 0.05
            repeat 4
        block:
            alpha 0.7
            pause 0.05
            alpha 0.4
            pause 0.05
            repeat 3
        block:
            alpha 0.7
            pause 0.05
            alpha 1
            pause 0.05
            repeat 2
    transform light_blink:
        additive 1
        block:
            alpha 0.2
            pause 0.05
            alpha 0
            pause 0.05
            repeat
    transform cloud_dissolve:
        additive 0.2 alpha 0
        linear 0.5 alpha 1
        pause 3
        linear 1 alpha 0
        Null()
    transform explode:
        alpha 0
        linear 0.1 alpha 1
        pause 0.6
        linear 0.5 alpha 0 
        Null()
    transform dissolveout:
        alpha 1
        linear 0.5 alpha 0
        Null()
    transform pt7_dissolve:
        alpha 0
        pause 0.7
        linear 0.5 alpha 1
    
    
    
    
    ## -------------------------- ##
    ## --- Mecha sprites --- ##
    ## -------------------------- ##
    
    # - Lasers - #
    
    image red laser shot:
        LiveComposite(
        (1400, 59),
        (0, 0), laser_1shot_long ( im.MatrixColor("mecha_sprites/common/red_laser_fire.png", red) ) )
        anchor(0.5, 0.5) xzoom -1.0
    image red laser hit enemy: #left side is shooting
        LiveComposite(
        (1400, 59),
        (0, 0), laser_1shot_long ("mecha_sprites/common/red_laser_fire.png") )
        anchor(0.98, 0.5) xzoom -1.0
    image red lasersmall hit: #thinner laser, but about as long
        "mecha_sprites/common/red_laser2_fire.png"
        anchor(0.02, 0.5) additive 1
    image red lasersmall hit enemy: #thinner laser, but about as long
        "mecha_sprites/common/red_laser2_fire.png"
        anchor(0.98, 0.5) xzoom -1.0 additive 1
    image red laser big hit:
        LiveComposite(
        (1426, 303),
        (0, 0), laser_1shot_long ("mecha_sprites/common/red_laser_big.png") )
        anchor(0.02, 0.5)
    image red laser big hit e:
        LiveComposite(
        (1426, 303),
        (0, 0), laser_1shot_long ("mecha_sprites/common/red_laser_big.png") )
        anchor(0.98, 0.5) xzoom -1
    
    image laser hit:
        "mecha_sprites/common/laser_hit.png"
        anchor (1653/1729.0, 74/363.0) additive 1
    image laser hit dark:
        "mecha_sprites/common/laser_hit_dark.png"
        anchor (1653/1729.0, 74/363.0) additive 0.2
        
        
        
    # - Energy machine guns - #
        
    image red smg shot:
        alpha 1 anchor (600/1710.0,50/117.0) additive 1
        block:
            alpha 1
            "mecha_sprites/common/smg_shot1.png"
            pause 0.1
            "mecha_sprites/common/smg_shot2.png"
            pause 0.1
            "mecha_sprites/common/smg_shot3.png"
            pause 0.1 
            "mecha_sprites/common/smg_shot4.png"
            pause 0.1
            "mecha_sprites/common/smg_shot3.png"
            pause 0.1
            alpha 0
            Null()
    image red smg shot enemy:
        alpha 1 anchor (1110/1710.0,50/117.0) xzoom -1 additive 1
        block:
            alpha 1
            "mecha_sprites/common/smg_shot1.png"
            pause 0.1
            "mecha_sprites/common/smg_shot2.png"
            pause 0.1
            "mecha_sprites/common/smg_shot3.png"
            pause 0.1 
            "mecha_sprites/common/smg_shot4.png"
            pause 0.1
            "mecha_sprites/common/smg_shot3.png"
            pause 0.1
            alpha 0
            Null()
    image lightblue smg shot enemy:
        alpha 1 xzoom -1.0 anchor (1110/1710.0,50/117.0) additive 1
        block:
            alpha 1
            im.MatrixColor("mecha_sprites/common/smg_shot1.png", blue)
            pause 0.1
            im.MatrixColor("mecha_sprites/common/smg_shot2.png", blue)
            pause 0.1
            im.MatrixColor("mecha_sprites/common/smg_shot3.png", blue)
            pause 0.1 
            im.MatrixColor("mecha_sprites/common/smg_shot4.png", blue)
            pause 0.1
            im.MatrixColor("mecha_sprites/common/smg_shot3.png", blue)
            pause 0.1
            alpha 0
            Null()
            
    image smg impact1 = "mecha_sprites/common/smg_impact1.png"
    image smg impact2 = "mecha_sprites/common/smg_impact2.png"
    image smg impact3 = "mecha_sprites/common/smg_impact3.png"
    image smg 15hit enemy:
        alpha 1 xzoom -1 anchor (258/343.0,171/278.0) additive 1
        block:
            "smg impact1"
            pause 0.1
            "smg impact2"
            pause 0.1
            "smg impact3"
            pause 0.1
            repeat 5
        linear 0.2 alpha 0
        Null()
    image lightblue smg 6hit enemy:
        alpha 1 xzoom -1 anchor (258/343.0,171/278.0) additive 1
        block:
            im.MatrixColor("mecha_sprites/common/smg_impact1.png", blue)
            pause 0.1
            im.MatrixColor("mecha_sprites/common/smg_impact2.png", blue)
            pause 0.1
            im.MatrixColor("mecha_sprites/common/smg_impact3.png", blue)
            pause 0.1
            repeat 2
        linear 0.2 alpha 0
        Null()
    image smg_impact:
        anchor (85/343.0,171/278.0) additive 1
        block:
            "smg impact1"
            pause 0.1
            "smg impact2"
            pause 0.1
            "smg impact3"
            pause 0.1
            repeat
    image smg_killshot:
        anchor (85/343.0,171/278.0) additive 1 alpha 1
        "smg impact1"
        pause 0.1
        "smg impact2"
        pause 0.1
        "smg impact3"
        pause 0.1
        "smg impact1"
        pause 0.1
        "smg impact2"
        pause 0.1
        "smg impact3"
        pause 0.1
        "smg impact1"
        pause 0.1
        "smg impact2"
        pause 0.1
        "smg impact3"
        pause 0.1
        "smg impact1"
        pause 0.1
        "explosion small" with Dissolve(0.1, alpha=True)
        pause 0.4
        linear 0.8 alpha 0
        Null()
        
        
        
    # - Machine guns - #
        
    image antiair fire long ally:
        LiveComposite( #machine gun shots
        (1114, 63),
        (0, 0), rapid_40bullet ("mecha_sprites/Trooper/trooper_shot1.png"),
        (0, 0), rapid_40bullet_delay ("mecha_sprites/Trooper/trooper_shot2.png"))
        anchor (0.99, 1.0) xzoom -1 # swivel from bottom right corner
    image trooper_gunfire:
        alpha 1
        block:
            "trooper shot"
            pause 0.1
            "trooper shot2"
            pause 0.1
            repeat 3
        Null()
    image antiair fire long:
        block:
            "trooper shot"
            pause 0.1
            "trooper shot2"
            pause 0.1
            repeat 20
        Null()
        
    image gatling fire a:
        "mecha_sprites/common/gatling_fire_a.png"
        anchor (543/1088.0, 65/132.0) additive 1
    image gatling fire b:
        "mecha_sprites/common/gatling_fire_b.png"
        anchor (543/1088.0, 65/132.0) additive 1
    image gatling fire c:
        "mecha_sprites/common/gatling_fire_c.png"
        anchor (543/1088.0, 65/132.0) additive 1
    image gatling_fire: #Looping gunfire trails
        block:
            rotate 30
            block:
                "gatling fire a"
                pause 0.1
                "gatling fire b"
                pause 0.1
                "gatling fire c"
                pause 0.1
                repeat 10
            "gatling fire a"
            Null()
        
    image gatling impact a:
        "mecha_sprites/common/gatling_impact_a.png"
        anchor (55/171.0,101/278.0) additive 1
    image gatling impact b:
        "mecha_sprites/common/gatling_impact_b.png"
        anchor (55/171.0,101/278.0) additive 1
    image gatling impact c:
        "mecha_sprites/common/gatling_impact_c.png"
        anchor (55/171.0,101/278.0) additive 1
    image gatling_killshot: #Impact on target. Explosion not included
        block:
            rotate 30
            block:
                "gatling impact a"
                pause 0.1
                "gatling impact b"
                pause 0.1
                "gatling impact c"
                pause 0.1
                repeat 4
            "gatling impact a"
            Null()
        
    
            
    # - Other projectiles - #
            
    image orange scatter shots enemy:
        anchor (0.5, 0.5) additive 1 zoom 1.33
        block:
            "mecha_sprites/common/orange_scatter_shots_a.png"
            pause 0.1
            "mecha_sprites/common/orange_scatter_shots_b.png"
            pause 0.1
            "mecha_sprites/common/orange_scatter_shots_c.png"
            pause 0.1
            "mecha_sprites/common/orange_scatter_shots_d.png"
            pause 0.1
            repeat 10
        Null()
        
    image green shotgun shot enemy:
        LiveComposite(
        (1400, 594),
        (0, 0), laser_1shot ("mecha_sprites/common/green_shotgun_shot.png") )
        anchor(0.5, 0.5)
    image green shotgun hit enemy:
        LiveComposite(
        (293, 181),
        (0, 0), laser_1shot ("mecha_sprites/common/green_shotgun_hit.png") )
        anchor(0.45, 0.5)
           
    image gateshots_distant: # Chapter 1, shots from unseen source when Gate is opened 
        block:
            "cg gate shots1" with Dissolve(0.1, alpha=True)
            pause 0.3   
            "cg gate shots2" with Dissolve(0.1, alpha=True)
            pause 0.2
            "cg gate shots3" with Dissolve(0.1, alpha=True)
            pause 0.6
            "cg gate shots1" with Dissolve(0.1, alpha=True)
            pause 0.1
            "cg gate shots2" with Dissolve(0.1, alpha=True)
            pause 0.4
            "cg gate shots3" with Dissolve(0.1, alpha=True)
            pause 0.4
            repeat
        
        
    # - Solid color - #
    
    # Solid white.  Solid white shaker is larger than the screen size so that the edges don't show when the screen shakes.
    
    image solid white shaker:
        "mecha_sprites/common/solid_white_shaker.jpg"
        anchor (0.5, 0.5) pos (0.5, 0.5)
    image explode flash:
        im.MatrixColor("mecha_sprites/common/solid_white_shaker.jpg", im.matrix.opacity(0.66) )
        anchor (0.5, 0.5) pos (0.5, 0.5)
    image bright light:
        im.MatrixColor("mecha_sprites/common/solid_white_shaker.jpg", im.matrix.opacity(0.2) )
        anchor (0.5, 0.5) pos (0.5, 0.5)
    image flicker:
        block:
            alpha 0.5
            "bright light"
            pause 0.05
            alpha 0
            pause 0.05
            repeat 4
        Null()
    image small_flash:
        alpha 0
        "bright light"
        linear 0.1 alpha 1
        linear 1.0 alpha 0
        Null()
    image explode_flash:
        alpha 0
        "explode flash"
        linear 0.1 alpha 1
        linear 1.0 alpha 0
        Null()
    image quick_flash:
        alpha 0
        "solid white shaker"
        linear 0.1 alpha 1
        linear 0.15 alpha 0
        Null()
    image bigshot flash 1:
        alpha 0.5
        "solid white shaker"
        pause 0.2
        linear 0.8 alpha 0
        repeat 3
        Null()
    image bigshot flash 2:
        alpha 0.5
        "solid white shaker"
        pause 0.2
        linear 0.8 alpha 0
        alpha 0.5
        pause 0.2
        linear 0.8 alpha 0
        alpha 0.5
        pause 0.2
        linear 0.8 alpha 0
        pause 0.8
        linear 0.5 alpha 0.7
        
        
        
    #Solid orange, for fire effects.

    image fire screen:
        Solid("#BF7226")
        additive 1
    image fire_wave:
        alpha 0
        "fire screen"
        linear 0.2 alpha 0.6
        pause 1
        linear 3.0 alpha 0
        Null()
    image fire_glow_fast:
        alpha 0
        "fire screen"
        easeout 0.1 alpha 1
        easein 0.15 alpha 0.4
    image fire_glow_1shot:
        alpha 0
        "fire screen"
        easeout 0.1 alpha 0.4
        easein 0.15 alpha 0
        Null()
    image fire_glow:
        alpha 0
        "fire screen"
        easeout 0.5 alpha 0.4
        pause 1.5
        easein 1.5 alpha 0    
        Null()
    image fire_glow_long:
        alpha 0
        "fire screen"
        easeout 0.5 alpha 0.4
        pause 3.5
        easein 1.5 alpha 0
        Null()
        
    image dust screen = Solid("#786054")        
    image bluescreen = Solid((97,235,237,150))

        
        
        
    # - Common effects - #
    
    image crosshairs:
        "mecha_sprites/common/crosshairs.png"
        anchor (0.5, 0.5) alpha 0.6
    image dustclouds:
        "mecha_sprites/common/dustclouds.png"
        
    image explosion small b:
        "mecha_sprites/common/fire_small.png"
        anchor (85/343.0,171/278.0) additive 0.2
    image explosion small:
        LiveComposite(
        (343, 278),
        (0, 0), explode ("mecha_sprites/common/explosion_small.png") )
        anchor (85/343.0,171/278.0) additive 0.2
    image explosion small burn:
        LiveComposite(
        (343, 278),
        (0, 0), explode ("mecha_sprites/common/explosion_small.png"),
        (0, 0), pt7_dissolve ("mecha_sprites/common/fire_small.png") )
        anchor (85/343.0,171/278.0) additive 0.2
    image explosion small enemy:
        LiveComposite(
        (343, 278),
        (0, 0), explode ("mecha_sprites/common/explosion_small.png") )
        anchor (258/343.0,171/278.0) additive 0.2 xzoom -1
    image orange explosion small enemy:
        LiveComposite(
        (343, 278),
        (0, 0), explode (im.MatrixColor("mecha_sprites/common/explosion_small.png", orange) ) )
        anchor (258/343.0,171/278.0) additive 0.2 xzoom -1
        
    image explosion fire ember:
        LiveComposite(
        (623, 439),
        (0, 0), "mecha_sprites/common/explosion_fire_smoke.png",
        (0, 0), dimmed_light ("mecha_sprites/common/explosion_fire_ember.png"))
        anchor (328/623.0, 226/439.0)
    image explosion fire smoke = "mecha_sprites/common/explosion_fire_smoke.png"
    image explosion fire:
        "mecha_sprites/common/explosion_fire.png"
        anchor (328/623.0, 226/439.0) additive 0.6
    image explosion med:
        LiveComposite(
        (623, 439),
        (0, 0), explode ("mecha_sprites/common/explosion_fire.png") )
        anchor (328/623.0, 226/439.0) additive 0.6
        
    image explosion large:
        LiveComposite(
        (623, 439),
        (0, 0), explosion_large_blast ("mecha_sprites/common/explosion_fire.png"),
        (0, 0), explosion_large_smoke ("mecha_sprites/common/explosion_fire_smoke.png"),
        (0, 0), explosion_large_smoke ("mecha_sprites/common/explosion_fire_ember.png"))
        anchor (328/623.0, 226/439.0)
    transform explosion_large_blast:
        additive 1 alpha 0
        linear 0.1 alpha 1
        pause 1.1
        linear 0.5 alpha 0
        Null()
    transform explosion_large_smoke:
        additive 0.2 alpha 0
        pause 1.2
        linear 0.5 alpha 1
        pause 0.2
        linear 0.5 alpha 0
        Null()
        
    image regenpatch:
        "mecha_sprites/common/regen_patch.png"
        anchor (56/113.0, 56/112.0)
    image slash1:
        "mecha_sprites/common/slash1.png"
        anchor (0.5, 0.5) additive 1
    image slash2:
        "mecha_sprites/common/slash2.png"
        anchor (0.5, 0.5) additive 1
        
        
        
    
    ## --- Yatagarasu --- ##
    
    image yatagarasu neutral:
        "mecha_sprites/Yatagarasu/yatagarasu_neutral.png"
        anchor (480/1077.0, 400/981.0)
    
    image yatagarasu boost a1:
        "mecha_sprites/Yatagarasu/yatagarasu_boost_a1.png"
        anchor (0.5, 0.5)
    image yatagarasu boost a2:
        "mecha_sprites/Yatagarasu/yatagarasu_boost_a2.png"
        anchor (0.5, 0.5)
    image yatagarasu boost a3:
        LiveComposite( #Boost fire
        (811, 761),
        (106, 0), light ("mecha_sprites/Yatagarasu/yatagarasu_boost_fire.png"),
        (106, 0), light_blink ("mecha_sprites/Yatagarasu/yatagarasu_boost_fire.png"),
        (0, 0), "mecha_sprites/Yatagarasu/yatagarasu_boost_a2.png" )
        anchor (0.5, 0.5)
    image yatagarasu_wing_flash:
        "yatagarasu boost a1"
        pause 0.5
        block:
            "yatagarasu boost a1"
            pause 0.02
            "yatagarasu boost a2"
            pause 0.02
            repeat 4
        "yatagarasu boost a3"
        
    image yatagarasu arm cannon:
        "mecha_sprites/Yatagarasu/yatagarasu_arm_cannon.png" #zoomed out
        anchor (0.6, 0.35)
    image yatagarasu arm cannon glow:
        im.Composite( #cannon glowing
        (625, 551),
        (0, 0), "mecha_sprites/Yatagarasu/yatagarasu_arm_cannon.png",
        (-5, 192), "mecha_sprites/Yatagarasu/yatagarasu_arm_cannon_glow_small.png" )
        anchor (0.6, 0.35)
    image yatagarasu arm cannon shoot:
        LiveComposite( #firing
        (625, 551),
        (0, 0), "mecha_sprites/Yatagarasu/yatagarasu_arm_cannon.png",
        (-5, 192), "mecha_sprites/Yatagarasu/yatagarasu_arm_cannon_glow_small.png",
        (-962, 49), light ("mecha_sprites/Yatagarasu/yatagarasu_arm_cannon_laser_b.png")) 
        anchor (0.6, 0.35)
    image yatagarasu laser: #arm cannon laser
        "mecha_sprites/Yatagarasu/yatagarasu_laser.png"
        anchor (1053/1863.0, 380/617.0) additive 1.0
    image yatagarasu laserhit: #laser hits a target
        "mecha_sprites/Yatagarasu/yatagarasu_laser_hit.png"
        anchor (1053/1863.0, 380/617.0) additive 1.0
    image yatagarasu arm cannon large:
        "mecha_sprites/Yatagarasu/yatagarasu_arm_cannon_large.png" #full res
        anchor (0.5, 0.5) pos (0.5, 0.5)
    image yatagarasu arm cannon laser a:
        im.Composite( #charging laser, full res
        (1140, 853),
        (0, 0), "mecha_sprites/Yatagarasu/yatagarasu_arm_cannon_large.png",
        (194, 297), "mecha_sprites/Yatagarasu/yatagarasu_arm_cannon_laser_a.png" )
        anchor (0.5, 0.5) pos (0.5, 0.5)
    image cannon_flash: #Charging up
        "yatagarasu arm cannon large"
        pause 0.6
        block:
            "yatagarasu arm cannon large"
            pause 0.02
            "yatagarasu arm cannon laser a"
            pause 0.02
            repeat 16
        
    
    image yatagarasu plasma rifle:
        "mecha_sprites/Yatagarasu/yatagarasu_plasma_rifle.png" # no shots
        anchor (410/1000.0, 250/836.0)
    image yatagarasu plasma rifle firea:
        im.Composite( #charging
        (1000, 836),
        (0, 0), "mecha_sprites/Yatagarasu/yatagarasu_plasma_rifle.png",
        (11, 185), "mecha_sprites/Yatagarasu/yatagarasu_plasma_rifle_light.png" )
        anchor (410/1000.0, 250/836.0)        
    image yatagarasu plasma rifle fire:
        LiveComposite( #dim the flash
        (1260, 836),
        (260, 0), "mecha_sprites/Yatagarasu/yatagarasu_plasma_rifle.png",
        (270, 185), "mecha_sprites/Yatagarasu/yatagarasu_plasma_rifle_light.png",
        (-16, 125), rapid_5shot ("mecha_sprites/Yatagarasu/yatagarasu_plasma_rifle_flash.png" ))
        anchor (670/1260.0, 250/836.0)
    image yatagarasu_prifle_fire:
        "yatagarasu prifle fire a"
        pause 0.1
        "yatagarasu prifle fire b"
        pause 0.1
        "yatagarasu prifle fire a"
        pause 0.1
        "yatagarasu prifle fire c"
        pause 0.1
        "yatagarasu prifle fire b"
        pause 0.1
        "yatagarasu prifle fire c"
        pause 0.1
        Null()
    image yatagarasu_plasma_impact:
        block:
            "yatagarasu plasma impact a"
            pause 0.1
            "yatagarasu plasma impact b"
            pause 0.1
            "yatagarasu plasma impact c"
            pause 0.1
            repeat
        
    # SWORD SPRITES CURRENTLY UNUSED
    #image yatagarasu sword:
    #    "mecha_sprites/Yatagarasu/yatagarasu_sword1.png" # no blade
    #    anchor (330/774.0, 402/911.0)
    #image yatagarasu sword slash a:
    #    LiveComposite( # blade extended, pre-slash
    #    (774, 911),
    #    (-460, 60), light ("mecha_sprites/Yatagarasu/yatagarasu_sword1b.png"),
    #    (0, 0), "mecha_sprites/Yatagarasu/yatagarasu_sword1.png" )
    #    anchor (330/774.0, 402/911.0)
    #image yatagarasu sword slash b:
    #    LiveComposite( # blade extended, post-slash
    #    (779, 911),
    #    (0, 0), "mecha_sprites/Yatagarasu/yatagarasu_sword2.png",
    #    (709, 592), light ("mecha_sprites/Yatagarasu/yatagarasu_sword2b.png") )
    #    anchor (364/779.0, 406/911.0)
    
    image yatagarasu shield a:
        "mecha_sprites/Yatagarasu/yatagarasu_shield_a.png"
        anchor (480/1077.0, 400/981.0)
    image yatagarasu shield b:
        LiveComposite( #raise shield
        (1077, 981),
        (0, 0), "mecha_sprites/Yatagarasu/yatagarasu_shield_a.png",
        (0, 0), light ("mecha_sprites/Yatagarasu/yatagarasu_shield.png" ))
        anchor (480/1077.0, 400/981.0)
    image yatagarasu shield b2:
        LiveComposite( #shield weakens
        (1077, 981),
        (0, 0), "mecha_sprites/Yatagarasu/yatagarasu_shield_a.png",
        (0, 0), shield_weaken ("mecha_sprites/Yatagarasu/yatagarasu_shield.png" ))
        anchor (480/1077.0, 400/981.0)
    image yatagarasu shield c: #shot from behind
        "mecha_sprites/Yatagarasu/yatagarasu_shield_c.png"
        anchor (0.5, 0.5) pos (0.5, 0.6)
    image yatagarasu launch:
        "mecha_sprites/Yatagarasu/yatagarasu_launch.png"
        anchor (0.5, 0.5) pos (0.5, 0.5)
    
    image yatagarasu prifle fire a:
        "mecha_sprites/Yatagarasu/yatagarasu_prifle_fire_a.png" #shot coming out of rifle
        anchor(0.1, 0.9) additive 1
    image yatagarasu prifle fire b:
        "mecha_sprites/Yatagarasu/yatagarasu_prifle_fire_b.png" #shot coming out of rifle
        anchor(0.1, 0.9) additive 1
    image yatagarasu prifle fire c:
        "mecha_sprites/Yatagarasu/yatagarasu_prifle_fire_c.png" #shot coming out of rifle
        anchor(0.1, 0.9) additive 1
    image yatagarasu plasma impact a:
        "mecha_sprites/Yatagarasu/plasma_impact_a.png" #shot hits enemy
        anchor (85/343.0,171/278.0) additive 1
    image yatagarasu plasma impact b:
        "mecha_sprites/Yatagarasu/plasma_impact_b.png" #shot hits enemy
        anchor (85/343.0,171/278.0) additive 1
    image yatagarasu plasma impact c:
        "mecha_sprites/Yatagarasu/plasma_impact_c.png" #shot hits enemy
        anchor (85/343.0,171/278.0) additive 1
    image yatagarasu radar = "mecha_sprites/Yatagarasu/yatagarasu_radar.png" #Radar base 
    image yatagarasu radar a = "mecha_sprites/Yatagarasu/yatagarasu_radar_megaa.png" #Enemies surrounding Shimenawa
    image yatagarasu radar b = "mecha_sprites/Yatagarasu/yatagarasu_radar_megab.png" #Mega Flare prediction 
    image mega_flare_range:
        block:
            "yatagarasu radar a"
            pause 1
            "yatagarasu radar b"
            pause 1
            repeat
    image yatagarasu hatch closing a = "mecha_sprites/Yatagarasu/yatagarasu_display_open.png"
    image yatagarasu hatch closing b = "mecha_sprites/Yatagarasu/yatagarasu_display_off.png"
    image yatagarasu display = "mecha_sprites/Yatagarasu/yatagarasu_display.png"
    image yatagarasu display warning = "mecha_sprites/Yatagarasu/yatagarasu_display_warning.png"
    image yatagarasu weapons display b = "mecha_sprites/Yatagarasu/yatagarasu_weapons_display_b.png" #Laser
    image yatagarasu weapons display c = "mecha_sprites/Yatagarasu/yatagarasu_weapons_display_c.png" #Overheat

    
    
    ## --- Hell Army --- ##
    
    # - Angel - #
    
    image angel neutral:
        "mecha_sprites/Angel/angel_neutral.png"
        anchor (384/726.0, 190/518.0)
    image angel light:
        "mecha_sprites/Angel/angel_light.png"
        anchor (384/726.0, 190/518.0)
    image angel regen:
        "mecha_sprites/Angel/angel_regen.png"
        anchor (384/747.0, 240/558.0)
    image angel broken = "mecha_sprites/Angel/angel_break.png"
    image angel shoot:
        LiveComposite( #fire the beam cannon
        (1050, 720),
        (0, 341), "mecha_sprites/Angel/angel_dark.png",
        (495, 0), dimmed_light ("mecha_sprites/Angel/angel_laser.png")
        )
        anchor (384/1400.0, 647/960.0)
    image angel boost:
        LiveComposite( #both thrusters
        (570, 389),
        (32, 0), "mecha_sprites/Angel/angel_neutral.png",
        (0, 91), light ("mecha_sprites/Angel/angel_boostright.png"),
        (351, 110), light ("mecha_sprites/Angel/angel_boostleft.png")
        )
    image angel boostleft:
        LiveComposite( #going left from our pov
        (570, 389),
        (32, 0), "mecha_sprites/Angel/angel_neutral.png",
        (351, 110), light ("mecha_sprites/Angel/angel_boostleft.png"))
        anchor (427/760.0, 190/518.0)
    image angel boostright:
        LiveComposite( #going right from our pov
        (570, 389),
        (32, 0), "mecha_sprites/Angel/angel_neutral.png",
        (0, 91), light ("mecha_sprites/Angel/angel_boostright.png"))
        anchor (427/760.0, 190/518.0)
        
        
        
    # - Cyclops - #
        
    image cyclops down:
        "mecha_sprites/Cyclops/cyclops.png"
        anchor (297/432.0, 95/196.0)
    image cyclops neutral:
        "mecha_sprites/Cyclops/cyclops.png"
        anchor (297/432.0, 95/196.0)
    image cyclops shoot = LiveComposite( #fire a laser beam
        (900, 494),
        (0, 0), light ("mecha_sprites/Cyclops/cyclops_light.png"),
        (289, 67), light ("mecha_sprites/Cyclops/cyclops_beam.png")
        )
    image cyclops light:
        "mecha_sprites/Cyclops/cyclops_light.png"
        anchor (297/432.0, 95/196.0)
    image cyclops beam:
        "mecha_sprites/Cyclops/cyclops_beam.png"
        anchor (35/1234.0, 173/209.0) additive 1
    image cyclops longbeam: #for faraway Cyclopses
        "mecha_sprites/Cyclops/cyclops_beam_long.png"
        anchor (22/1234.0, 185/209.0) additive 1
        
        
        
    # - Mirror - #
        
    image mirror neutral:
        "mecha_sprites/Mirror/mirror_neutral.png"
        anchor (310/425.0, 195/374.0)
    image mirror charging:
        "mecha_sprites/Mirror/mirror_charging.png"
        anchor (310/425.0, 195/374.0)
    image mirror light:
        "mecha_sprites/Mirror/mirror_light.png"
        anchor (310/425.0, 195/374.0)
    image mirror laser:
        "mecha_sprites/Mirror/mirror_laser.png"
        anchor (95/1337.0, 448/449.0) additive 1
    
    image trooper gun:
        "mecha_sprites/Trooper/trooper_gun.png"
        anchor (265/591.0, 180/632.0)
    image trooper shot:
        "mecha_sprites/Trooper/trooper_shot1.png"
        anchor (0.01, 1.0)
    image trooper shot2:
        "mecha_sprites/Trooper/trooper_shot2.png"
        anchor (0.01, 1.0)
    image trooper shoot:
        LiveComposite( #fire machine gun
        (800, 750),
        (0, 60), "mecha_sprites/Trooper/trooper_gun.png",
        (563, 0), rapid_5shot ("mecha_sprites/Trooper/trooper_flash.png"))
        anchor (265/800.0, 240/750.0)
    
        
    ## --- Magus --- ##
    
    # - Chroma Black - #
    
    image chroma black neutral:
        "mecha_sprites/Chroma/chroma_black_neutral.png"
        anchor(71/249.0, 138/383.0) xzoom -1.0
    image chroma black cannon:
        "mecha_sprites/Chroma/chroma_black_cannon1.png"
        anchor(364/537.0, 138/383.0) xzoom -1.0
    image chroma black laser:
        LiveComposite( #fire laser
        (537, 383),
        (0, 0), "mecha_sprites/Chroma/chroma_black_cannon1.png",
        (465, -27), laser_1shot ("mecha_sprites/common/blue_laser_big.png")
        )
        anchor(364/537.0, 138/383.0) xzoom -1.0
    image chroma black laser miss:
        LiveComposite(
        (1426, 303),
        (0, 0), laser_1shot ("mecha_sprites/common/blue_laser_big.png") )
        anchor(0.5, 0.5)
    image chroma black guns:
        "mecha_sprites/Chroma/chroma_black_guns.png"
        anchor(173/537.0, 138/383.0)   
    image chroma black gunfire:
        LiveComposite( #fire turrets
        (537, 383),
        (0, 0), "mecha_sprites/Chroma/chroma_black_guns.png",
        (138, 195), rapid_15shot ("mecha_sprites/Chroma/chroma_gunfire.png")
        )
        anchor(173/537.0, 138/383.0)
    image chroma black neutral e:
        "mecha_sprites/Chroma/chroma_black_neutral.png"
        anchor(178/249.0, 138/383.0)    
    image chroma black cannon e:
        "mecha_sprites/Chroma/chroma_black_cannon1.png"
        anchor(173/537.0, 138/383.0) 
    image chroma black laser e:
        LiveComposite( #fire laser
        (537, 383),
        (0, 0), "mecha_sprites/Chroma/chroma_black_cannon1.png",
        (465, -27), laser_1shot ("mecha_sprites/common/blue_laser_big.png")
        )
        anchor(173/537.0, 138/383.0)
    image chroma black laser hit e:
        LiveComposite(
        (1426, 303),
        (0, 0), laser_1shot ("mecha_sprites/common/blue_laser_big.png") )
        xzoom -1 anchor(0.98, 0.5)
        
    image chroma master spark a:
        "mecha_sprites/Chroma/chroma_master_spark_a.png" #body
        anchor(298/369.0, 148/316.0)    
    image chroma master spark b:
        "mecha_sprites/Chroma/chroma_master_spark_b.png" #cannon
        anchor(0.5, 0.5)
    image chroma master spark c:
        "mecha_sprites/Chroma/chroma_master_spark_c.png" #hand
        anchor(0.5, 0.5)
    image chroma master spark d:
        LiveComposite( #cannon glows
        (595, 227),
        (0, 0), "mecha_sprites/Chroma/chroma_master_spark_b.png",
        (-75, -155), "mecha_sprites/Chroma/chroma_master_spark_d.png" )
        anchor(0.5, 0.5)
    image chroma master spark e: #spark
        "mecha_sprites/Chroma/chroma_master_spark_e.png"
        additive 1 anchor(0.5, 0.5)
    image hakkero reload a = "mecha_sprites/Chroma/hakkero_reload_a.png"
    image hakkero reload b = "mecha_sprites/Chroma/hakkero_reload_b.png"
    image hakkero reload c = "mecha_sprites/Chroma/hakkero_reload_c.png"
    image hakkero reload d = "mecha_sprites/Chroma/hakkero_reload_d.png"
    image hakkero reload e = "mecha_sprites/Chroma/hakkero_reload_e.png"
        
        
    
    # - Chroma Blue - #
        
    image chroma blue neutral:
        "mecha_sprites/Chroma/chroma_blue_neutral.png"
        anchor(146/379.0, 138/383.0) xzoom -1
    image chroma blue neutral e:
        "mecha_sprites/Chroma/chroma_blue_neutral.png"
        anchor(233/379.0, 138/383.0)      
    image chroma blue shield:
        LiveComposite( #fire turrets
        (379, 383),
        (0, 0), "mecha_sprites/Chroma/chroma_blue_neutral.png",
        (-84, -20), shield ("mecha_sprites/Chroma/chroma_shield.png")
        )
        anchor(233/379.0, 138/383.0)
    image chroma blue arm raised:
        LiveComposite( #fire turrets
        (397, 383),
        (0, 0), "mecha_sprites/Chroma/chroma_blue_arm_raised.png",
        (362, 44), light ("mecha_sprites/Chroma/chroma_blue_handglow.png")
        )
        anchor(233/397.0, 138/383.0)
        
    image chroma blue guns:
        "mecha_sprites/Chroma/chroma_blue_guns.png"
        anchor(233/379.0, 138/383.0)
    image chroma blue gunfire:
        LiveComposite( #fire turrets
        (379, 383),
        (0, 0), "mecha_sprites/Chroma/chroma_blue_guns.png",
        (198, 195), rapid_15shot ("mecha_sprites/Chroma/chroma_gunfire.png")
        )
        anchor(233/379.0, 138/383.0)
        
        
        
    # - Chroma Purple - #
        
    image chroma purple neutral:
        "mecha_sprites/Chroma/chroma_purple_neutral.png"
        anchor(233/374.0, 138/383.0)
    image chroma purple neutral glow:
        "mecha_sprites/Chroma/chroma_purple_neutral_glow.png"
        anchor(233/374.0, 138/383.0)
    image chroma purple greenarm:
        "mecha_sprites/Chroma/chroma_purple_greenarm.png"
        anchor(233/420.0, 138/383.0)
    image chroma purple greenarm glow:
        "mecha_sprites/Chroma/chroma_purple_greenarm_glow.png"
        anchor(233/420.0, 138/383.0)
        
    image chroma purple blue fire:
        LiveComposite(
        (374, 383),
        (0, 0), "mecha_sprites/Chroma/chroma_purple_neutral_glow.png",
        (185, 140), rapid_15shot ("mecha_sprites/Chroma/chroma_purple_bluefire.png") )
        anchor(233/374.0, 138/383.0)
    image chroma purple green fire:
        LiveComposite(
        (420, 383),
        (0, 0), "mecha_sprites/Chroma/chroma_purple_greenarm_glow.png",
        (407, 35), burst_2shot ("mecha_sprites/common/green_shotgun_fire.png") )
        anchor(233/420.0, 138/383.0)
        
    image chroma purple orangered fire:
        LiveComposite( #fire turrets
        (374, 383),
        (0, 0), "mecha_sprites/Chroma/chroma_purple_neutral_glow.png",
        (354, 160), rapid_40shot ("mecha_sprites/common/orange_scatter_fire.png"),
        (206, 167), laser_1shot_long ( im.MatrixColor("mecha_sprites/common/red_laser_fire.png", red) ),
        )
        anchor(233/374.0, 138/383.0)
    image chroma purple shield:
        LiveComposite( #fire turrets
        (374, 383),
        (0, 0), "mecha_sprites/Chroma/chroma_purple_neutral.png",
        (-78, -20), shield ("mecha_sprites/Chroma/chroma_shield.png")
        )
        anchor(233/374.0, 138/383.0)

    
        
    # - Doll - #
        
    image doll idle:
        "mecha_sprites/Chroma/doll_idle.png"
        anchor(30/76.0, 44/105.0) xzoom -1.0
    image doll neutral:
        "mecha_sprites/Chroma/doll_neutral.png"
        anchor(29/121.0, 32/64.0) xzoom -1.0
    image doll neutral glow:
        LiveComposite( #Bombing
        (121, 64),
        (0, 0), "mecha_sprites/Chroma/doll_neutral.png",
        (-30, -29), shield_flicker ("mecha_sprites/Chroma/doll_neutral_glow.png") )
        anchor(29/121.0, 32/64.0) xzoom -1.0
    image doll laser:
        LiveComposite( #fire laser
        (121, 64),
        (0, 0), "mecha_sprites/Chroma/doll_neutral.png",
        (109, 19), laser_contfire ("mecha_sprites/common/red_laser2_fire.png")
        )
        anchor(29/121.0, 32/64.0) xzoom -1.0
    image doll big laser:
        LiveComposite( #fire bomb; uses all power
        (121, 64),
        (0, 0), "mecha_sprites/Chroma/doll_neutral.png",
        (-30, -29), shield_flicker ("mecha_sprites/Chroma/doll_neutral_glow.png"),
        (55, -110), laser_1shot_long ("mecha_sprites/common/red_laser_big.png")
        )
        anchor(29/121.0, 32/64.0) xzoom -1.0
        
    image doll idle e:
        "mecha_sprites/Chroma/doll_idle.png"
        anchor(46/76.0, 44/105.0)
    image doll neutral e:
        "mecha_sprites/Chroma/doll_neutral.png"
        anchor(92/121.0, 32/64.0)
    image doll neutral glow e:
        LiveComposite( #Bombing
        (121, 64),
        (0, 0), "mecha_sprites/Chroma/doll_neutral.png",
        (-30, -29), shield_flicker ("mecha_sprites/Chroma/doll_neutral_glow.png") )
        anchor(92/121.0, 32/64.0)
    image doll laser e:
        LiveComposite( #fire laser
        (121, 64),
        (0, 0), "mecha_sprites/Chroma/doll_neutral.png",
        (109, 19), laser_contfire ("mecha_sprites/common/red_laser2_fire.png")
        )
        anchor(92/121.0, 32/64.0)
    image doll big laser e:
        LiveComposite( #fire bomb; uses all power
        (121, 64),
        (0, 0), "mecha_sprites/Chroma/doll_neutral.png",
        (-30, -29), shield_flicker ("mecha_sprites/Chroma/doll_neutral_glow.png"),
        (55, -110), laser_1shot_long ("mecha_sprites/common/red_laser_big.png")
        )
        anchor(92/121.0, 32/64.0)
        
        
        
    ## --- Moriya --- ##
    
    # - Shimenawa - #
    
    image shimenawa 34ths = "mecha_sprites/Shimenawa/shimenawa_34ths.png"
    image shimenawa cannon a = "mecha_sprites/Shimenawa/shimenawa_cannon_a.png"
    image shimenawa cannon b = "mecha_sprites/Shimenawa/shimenawa_cannon_b.png"
    image shimenawa missile a = "mecha_sprites/Shimenawa/shimenawa_missile_a.png"
    image shimenawa missile b = "mecha_sprites/Shimenawa/shimenawa_missile_b.png"
    image shimenawa missile c = "mecha_sprites/Shimenawa/shimenawa_missile_c.png"
    image shimenawa missile d = "mecha_sprites/Shimenawa/shimenawa_missile_d.png"
    image shimenawa onbashira a = "mecha_sprites/Shimenawa/shimenawa_onbashira_a.png"
    image shimenawa onbashira b = "mecha_sprites/Shimenawa/shimenawa_onbashira_b.png"
    image shimenawa onbashira c = "mecha_sprites/Shimenawa/shimenawa_onbashira_c.png"
    image shimenawa rear = "mecha_sprites/Shimenawa/shimenawa_rear.png"
    
    # - Miracle - #
    
    image miracle casting a = "mecha_sprites/Miracle/miracle_casting_a.png"
    image miracle casting b = "mecha_sprites/Miracle/miracle_casting_b.png"
    
    
    
    # - Tengu Type-C - #
    
    image tenguc neutral:
        "mecha_sprites/Tenguc/tenguc_neutral.png"
        anchor(424/676.0, 160/547.0) 
    image tenguc aya neutral:
        "mecha_sprites/Tenguc/tenguc_aya_neutral.png"
        anchor(424/676.0, 160/547.0) 
    image tenguc aya smgshoot:
        LiveComposite( #fire SMG
        (676, 547),
        (0, 0), "mecha_sprites/Tenguc/tenguc_aya_neutral.png",
        (0, 50), rapid_5shot ("mecha_sprites/Tenguc/tenguc_smgflash.png"))
        anchor(424/676.0, 160/547.0) 
    image tenguc aya smgshoot cont:
        LiveComposite( #fire SMG
        (676, 547),
        (0, 0), "mecha_sprites/Tenguc/tenguc_aya_neutral.png",
        (0, 50), rapid_5shot_cont ("mecha_sprites/Tenguc/tenguc_smgflash.png"))
        anchor(424/676.0, 160/547.0) 
    image tenguc smgshoot:
        LiveComposite( #fire SMG
        (676, 547),
        (0, 0), "mecha_sprites/Tenguc/tenguc_neutral.png",
        (0, 50), rapid_5shot ("mecha_sprites/Tenguc/tenguc_smgflash.png"))
        anchor(424/676.0, 160/547.0)
    image tenguc smgshoot cont:
        LiveComposite( #fire SMG
        (676, 547),
        (0, 0), "mecha_sprites/Tenguc/tenguc_neutral.png",
        (0, 50), rapid_5shot_cont ("mecha_sprites/Tenguc/tenguc_smgflash.png"))
        anchor(424/676.0, 160/547.0) 
    image tenguc fighter aya neutral:
        "mecha_sprites/Tenguc/tenguc_fighter_aya_neutral.png"
        anchor (320/653.0, 140/236.0)
    image tenguc fighter neutral:
        "mecha_sprites/Tenguc/tenguc_fighter_neutral.png"
        anchor (320/653.0, 140/236.0)
    image tenguc overhead = "mecha_sprites/Tenguc/tenguc_overhead.png"
    image tenguc aya overhead = "mecha_sprites/Tenguc/tenguc_aya_overhead.png"
    
    
    
    # - Tengu Type-W - #
        
    image tenguw neutral:
        "mecha_sprites/Tenguw/tenguw_neutral.png"
        anchor (288/474.0, 200/583.0)
    image tenguw momiji neutral:
        "mecha_sprites/Tenguw/tenguw_momiji_neutral.png"
        anchor (288/474.0, 200/583.0)
        
    image tenguw gatlinga:
        "mecha_sprites/Tenguw/tenguw_gatlinga.png"
        anchor (388/662.0, 300/673.0)
    image tenguw gatlingb:
        "mecha_sprites/Tenguw/tenguw_gatlingb.png"
        anchor (388/662.0, 300/673.0)
    image tenguw gatlingc:
        "mecha_sprites/Tenguw/tenguw_gatlingc.png"
        anchor (388/662.0, 300/673.0)
    image tenguw_gatling: #Looping fire
        block:
            "tenguw gatlingb"
            pause 0.05
            "tenguw gatlingc"
            pause 0.05
            repeat
        
    image tenguw sworda:
        "mecha_sprites/Tenguw/tenguw_sworda.png"
        anchor (288/616.0, 200/551.0)
    image tenguw swordb:
        "mecha_sprites/Tenguw/tenguw_swordb.png"
        anchor (288/775.0, 50/431.0)
    image tenguw momiji swordb:
        "mecha_sprites/Tenguw/tenguw_momiji_swordb.png"
        anchor (288/775.0, 50/431.0)
    image tenguw swordc:
        "mecha_sprites/Tenguw/tenguw_swordc.png"
        anchor (288/775.0, 50/431.0)
    image tenguw momiji swordc:
        "mecha_sprites/Tenguw/tenguw_momiji_swordc.png"
        anchor (288/775.0, 50/431.0)
    
    
    
    ## --- Parsia --- ##
    
    # - Ursa Major - #
    
    image ursamajor neutral:
        LiveComposite(
        (500, 1000),
        (-116, 90), "mecha_sprites/Ursa_Major/ursamajor_rightarm.png",
        (-130, 580), "mecha_sprites/Ursa_Major/ursamajor_rightleg.png",
        (0, 0), "mecha_sprites/Ursa_Major/ursamajor_body.png",
        (171, 485), "mecha_sprites/Ursa_Major/ursamajor_leftleg.png",
        (315, 79), "mecha_sprites/Ursa_Major/ursamajor_leftarm.png")
        anchor(250/500.0, 500/1000.0)
        
    image ursamajor rightarm = "mecha_sprites/Ursa_Major/ursamajor_rightarm.png"
    image ursamajor rightleg = "mecha_sprites/Ursa_Major/ursamajor_rightleg.png"
    image ursamajor body = "mecha_sprites/Ursa_Major/ursamajor_body.png"
    image ursamajor leftleg = "mecha_sprites/Ursa_Major/ursamajor_leftleg.png"
    image ursamajor leftarm = "mecha_sprites/Ursa_Major/ursamajor_leftarm.png"
        
    image ursamajor block:
        LiveComposite(
        (500, 1000),
        (-101, 12), "mecha_sprites/Ursa_Major/ursamajor_rightarm_block.png",
        (-130, 580), "mecha_sprites/Ursa_Major/ursamajor_rightleg.png",
        (0, 0), "mecha_sprites/Ursa_Major/ursamajor_body.png",
        (171, 485), "mecha_sprites/Ursa_Major/ursamajor_leftleg.png",
        (235, 22), "mecha_sprites/Ursa_Major/ursamajor_leftarm_block.png" )
        
    image ursamajor shield:
        LiveComposite(
        (500, 1000),
        (-101, 12), "mecha_sprites/Ursa_Major/ursamajor_rightarm_block.png",
        (-130, 580), "mecha_sprites/Ursa_Major/ursamajor_rightleg.png",
        (0, 0), "mecha_sprites/Ursa_Major/ursamajor_body.png",
        (171, 485), "mecha_sprites/Ursa_Major/ursamajor_leftleg.png",
        (235, 22), "mecha_sprites/Ursa_Major/ursamajor_leftarm_block.png",
        (0, -170), shield_flicker ("mecha_sprites/Ursa_Major/ursamajor_shield.png"),
        (-376, -160), shield_flicker ("mecha_sprites/Ursa_Major/ursamajor_shield.png") )
        
        anchor(250/500.0, 500/1000.0)
        
    image ursamajor turrets:
        LiveComposite(
        (500, 1000),
        (-116, 90), "mecha_sprites/Ursa_Major/ursamajor_rightarm.png",
        (-79, 94), "mecha_sprites/Ursa_Major/rightarm_turrets.png",
        (-130, 580), "mecha_sprites/Ursa_Major/ursamajor_rightleg.png",
        (0, 0), "mecha_sprites/Ursa_Major/ursamajor_body.png",
        (171, 485), "mecha_sprites/Ursa_Major/ursamajor_leftleg.png",
        (315, 79), "mecha_sprites/Ursa_Major/ursamajor_leftarm.png",
        (329, 103), "mecha_sprites/Ursa_Major/leftarm_turrets.png" )
        anchor(250/500.0, 500/1000.0)
        
    image ursamajor turretfire:
        LiveComposite(
        (500, 1000),
        (-116, 90), "mecha_sprites/Ursa_Major/ursamajor_rightarm.png",
        (-79, 94), "mecha_sprites/Ursa_Major/rightarm_turrets.png",
        (-148, 27), rapid_40shot_delay ("mecha_sprites/Ursa_Major/rightturret_fire.png"),
        (-130, 580), "mecha_sprites/Ursa_Major/ursamajor_rightleg.png",
        (0, 0), "mecha_sprites/Ursa_Major/ursamajor_body.png",
        (171, 485), "mecha_sprites/Ursa_Major/ursamajor_leftleg.png",
        (315, 79), "mecha_sprites/Ursa_Major/ursamajor_leftarm.png",
        (329, 103), "mecha_sprites/Ursa_Major/leftarm_turrets.png",
        (242, 67), rapid_40shot ("mecha_sprites/Ursa_Major/leftturret_fire.png") )
        anchor(250/500.0, 500/1000.0)
    
        
        
    # - Arachne - #
        
    image arachne neutral:
        "mecha_sprites/Arachne/arachne_neutral.png"
        anchor (240/473.0, 220/377.0)
    image arachne yamame neutral:
        "mecha_sprites/Arachne/arachne_yamame_neutral.png"
        anchor (240/473.0, 220/377.0)
        
    image arachne cannon = "mecha_sprites/Arachne/arachne_cannon.png"
    image arachne guns a:
        "mecha_sprites/Arachne/arachne_guns_a.png"
        anchor (240/473.0, 220/377.0)
    image arachne guns b:
        "mecha_sprites/Arachne/arachne_guns_b.png"
        anchor (240/473.0, 220/377.0)
    image arachne_contfire:
        block:
            block:
                "arachne guns a"
                pause 0.05
                "arachne guns b"
                pause 0.05
                repeat 5
            "arachne neutral" with Dissolve(0.5, alpha=True)
            pause 0.7
            repeat

    image arachne cables = "mecha_sprites/Arachne/arachne_cables.png"
    image arachne eyes = "mecha_sprites/Arachne/arachne_eyes.png"
    $ arachne_trans = ImageDissolve("mecha_sprites/Arachne/arachne_eyes_transition.png", 2.0, 64)
    image arachne slash:
        "mecha_sprites/Arachne/arachne_slash.png"
        anchor (0.5, 0.5)
    image arachne yamame slash:
        "mecha_sprites/Arachne/arachne_yamame_slash.png"
        anchor (0.5, 0.5)
    image arachne yamame slash2:
        "mecha_sprites/Arachne/arachne_yamame_slash2.png"
        anchor (0.5, 0.5)
    
        
        
    # - Fairy - #
        
    image fairy par neutral:
        "mecha_sprites/Fairy/fairy_par_neutral.png"
        anchor (239/569.0, 243/424.0)
    image fairy par down:
        "mecha_sprites/Fairy/fairy_par_down.png"
        anchor (270/352.0, 180/333.0)
    image fairy par fire:
        "mecha_sprites/Fairy/fairy_par_fire.png"
        anchor (239/569.0, 243/424.0)
    image fairy par fire2:
        "mecha_sprites/Fairy/fairy_par_fire2.png"
        anchor (239/569.0, 243/424.0)
    image fairy_par_contfire:
        block:
            block:
                "fairy par fire"
                pause 0.05
                "fairy par fire2"
                pause 0.05
                repeat 5
            "fairy par neutral" with Dissolve(0.5, alpha=True)
            pause 0.7
            repeat
    image fairy par light:
        "mecha_sprites/Fairy/fairy_par_light.png"
        anchor (239/569.0, 243/424.0)
    image fairy par overhead = "mecha_sprites/Fairy/fairy_par_overhead.png"
    
    image fairy par bazooka:
        "mecha_sprites/Fairy/fairy_par_bazooka.png"
        anchor(188/328.0, 164/329.0)
    image fairy par bazooka fire:
        LiveComposite(
        (328, 329),
        (-30, 39), explode ("mecha_sprites/Fairy/fairy_bazooka_smoke2.png"),
        (0, 0), "mecha_sprites/Fairy/fairy_par_bazooka.png",
        (306, 14), explode ("mecha_sprites/Fairy/fairy_bazooka_smoke1.png"),
        (312, 76), explode ("mecha_sprites/Fairy/fairy_bazooka_smoke3.png"))
        anchor(188/328.0, 164/329.0)
    
    image fairy par down:
        "mecha_sprites/Fairy/fairy_par_down.png"
        anchor (270/352.0, 180/333.0)
    
    image fairy cirno neutral b:
        "mecha_sprites/Fairy/fairy_cirno2.png"
        anchor(188/378.0, 164/329.0)
    image fairy cirno beam:
        LiveComposite(
        (378, 329),
        (0, 0), "mecha_sprites/Fairy/fairy_cirno2.png",
        (368, 95), laser_1shot_long ( im.MatrixColor("mecha_sprites/common/red_laser_fire.png", indigo) ),
        (147, 73), cloud_dissolve ("mecha_sprites/Fairy/fairy_cirno_cloud.png"))
        anchor(188/378.0, 164/329.0)


            
            
init python:
            
    ## ------------------------------ ##
    ## --- Sprite Managers --- ##
    ## ----------------------------- ##
    
    #Modified from the stars example in the Ren'py tutorial
    class FairyFlood(object):

        def __init__(self):

            self.sm = SpriteManager(update=self.update)

            # A list of (sprite, starting-x, speed).
            self.stars = [ ]

            # Note: We store the displayable in a variable here.
            # That's important - it means that all of the stars at
            # a given speed have the same displayable. We render that
            # displayable once, and cache the result.

            # zoom: self-explanatory
            # i in range: Number onscreen at any one time. (0, 5) gives us 5 sprites.
            # self.add: second number determines speed
            # start: The range of horizontal starting positions.
            # s.y: Starting y-position
            # s.x: First number is the destination to travel to before looping back to the left side.  Second is the xoffset, which can make sprites start offscreen.
            
            d = Transform("mecha_sprites/Fairy/fairy_par_bazooka.png", zoom=.35)
            for i in range(0, 8):
                self.add(d, 230)

            d = Transform("mecha_sprites/Fairy/fairy_par_bazooka.png", zoom=.4)
            for i in range(0, 7):
                self.add(d, 300)

            d = Transform("mecha_sprites/Fairy/fairy_par_neutral.png", zoom=.45)
            for i in range(0, 6):
                self.add(d, 370)

            d = Transform("mecha_sprites/Fairy/fairy_par_neutral.png", zoom=.5)
            for i in range(0, 5):
                self.add(d, 440)
            
        def add(self, d, speed):
            s = self.sm.create(d)

            start = renpy.random.randint(0, 1800)
            s.y = renpy.random.randint(-100, 700)

            self.stars.append((s, start, speed))
            
        def update(self, st):
            for s, start, speed in self.stars:
                s.x = (start + speed * st) % 3000 - 2000

            return 0
    
    class CyclopsFlood(object): #right to left

        def __init__(self):

            self.sm = SpriteManager(update=self.update)

            # A list of (sprite, starting-x, speed).
            self.stars = [ ]

            # Note: We store the displayable in a variable here.
            # That's important - it means that all of the stars at
            # a given speed have the same displayable. We render that
            # displayable once, and cache the result.

            # zoom: self-explanatory
            # i in range: Number onscreen at any one time. (0, 5) gives us 5 sprites.
            # self.add: second number determines speed
            # start: The range of horizontal starting positions.
            # s.y: Starting y-position
            # s.x: First number is the destination to travel to before looping back to the left side.  Second is the xoffset, which can make sprites start offscreen.
            
            d = Transform("mecha_sprites/Cyclops/cyclops.png", zoom=.35, xzoom=-1)
            for i in range(0, 8):
                self.add(d, 230)

            d = Transform("mecha_sprites/Cyclops/cyclops.png", zoom=.4, xzoom=-1)
            for i in range(0, 7):
                self.add(d, 300)

            d = Transform("mecha_sprites/Cyclops/cyclops.png", zoom=.45, xzoom=-1)
            for i in range(0, 6):
                self.add(d, 370)

            d = Transform("mecha_sprites/Cyclops/cyclops.png", zoom=.5, xzoom=-1)
            for i in range(0, 5):
                self.add(d, 440)
            
        def add(self, d, speed):
            s = self.sm.create(d)

            start = renpy.random.randint(0, 1800)
            s.y = renpy.random.randint(-100, 700)

            self.stars.append((s, start, speed))
            
        def update(self, st):
            for s, start, speed in self.stars:
                s.x = (start - speed * st) % 3000 - 2000

            return 0
