﻿# Chapter 1 starts here.

label Chp_1_1:
    
    $ story_chapters.get_chapter('1').update_status(ChapterStatus.STARTED)
    
    stop music fadeout 2
    scene bg solid black with Dissolve(1)
    pause 2.0
    play music music_preamble
    pause 1.0
    scene cg intro1 with slow_dissolve
    pause 4
    show cg intro2a as in1:
        xcenter 1.17
        linear 0.6 xcenter 0.5
    window show
    Character('fedora', kind=normal_char, color="#f6e797") "Alice, Patchy! Guess where our next job's at!"
    show cg intro2a as in1:
        linear 0.6 xcenter 0.75
    show cg intro2b as in2:
        xcenter -0.17
        linear 0.6 xcenter 0.25
    Character('purple-hair', kind=normal_char, color="#c686e7") "Oh, you're all fired up, Marisa. Don't tell me we're going to Youkai Mountain again?"
    ma "Good guess Patchy, but no. We're headed straight for hell this time!"
    show cg intro2a as in1:
        linear 0.6 xcenter 0.5
    show cg intro2b as in2:
        linear 0.6 xcenter 0.167
    show cg intro2c as in3:
        xcenter 1.17
        linear 0.6 xcenter 0.833
    Character('hairband', kind=normal_char, color="#8293ee") "Yes, yes. Very dramatic. So where is the job actually going to be?"
    ma "No, I mean the Old Hell. The underground one!  You know about that place, right Alice?"
    ali "--Ah, you meant that literally. You should say that from the start."
    pat "Old Hell, eh... not a place I'd like to go to if I can help it, even if they're not in the soul-judging business anymore."
    ma "I don't know much about it myself. How 'bout you enlighten us a bit?"
    pat "There's a lot of dangerous youkai down there, I hear. Most of them were originally from the surface like us, but their powers were so intolerable that they were driven underground."
    pat "That was a long time ago though. They somehow managed to build their own civilization down there, and they basically keep to themselves. So, we don't know much about them right now."
    pat "Kind of like the Tengu that way..."
    ma "Seriously? There's youkai all over Gensokyo. These guys must've been bad news to get driven underground like that."
    ali "Right, so it's seriously disturbing when you say we've got work to do down there. What's happening underground anyway?"
    ma "Yeah, see, Tewi Inaba from Hourai Industries called in saying there's a civil war going on down there. Seems like they're supportin' the rebels."
    ali "So, Hourai's playing middleman and wants us to join the rebel forces, right? Bunch of war vultures..."
    pat "Well, we in the mercenary business aren't all that different. Besides, I want to see what's going on in Old Hell for myself."
    ma "So interested in world events, Patchy! It's a surprise, seeing what an indoors person you are."
    pat "Let's just say, I have a feeling this is going to be one of {i}those{/i} kinds of incidents..."
    window hide
    hide in1
    hide in2
    hide in3
    with dissolve
    pause 1
    
    
    # Descend underground
    
    stop music fadeout 3
    call elevatorup
    show bg greencave overhead as cave:
        zoom 0.75 ycenter 1.7
        linear 1 ycenter -0.7
        pause 0.3
    pause 0.3
    play sound se_whoosh2
    pause 1
    show black as darken:
        alpha 0.25
    show bg bluecave overhead as cave:
        zoom 0.75 ycenter 1.7
        linear 0.5 ycenter -0.7
        pause 0.3
    pause 0.8
    show black as darken:
        alpha 0.5
    show bg bluecave overhead as cave:
        zoom 0.75 ycenter 1.7
        linear 0.5 ycenter -0.7
        pause 0.3
    pause 0.8
    show black as darken:
        alpha 0.25
    show bg redcave overhead as cave:
        zoom 0.75 ycenter 1.7
        linear 1 ycenter -0.7
        pause 0.3
    pause 1.3
    hide darken
    show bg redcave overhead as cave:
        zoom 0.75 ycenter 1.7
        easein 2 ycenter 0.5
    pause 4
    

    $renpy.music.set_volume (0.5, .5, channel="loopingsound")
    $renpy.music.set_volume (0.5, .5, channel="loopingsound2")
    
    # Fairies fly in
    
    scene bg redcave overhead:
        align(0.0, 1.0)
    show fairy par overhead as f1:
        pos(160, 660)
        linear 4 pos (560, 360)
    show fairy par overhead as f2:
        pos(80, 630)
        linear 4 pos (480, 330)
    show fairy par overhead as f3:
        pos(0, 600)
        linear 4 pos (400, 300)
    show fairy par overhead as f4:
        pos(-80, 570)
        linear 4 pos (320, 270)
    show fairy par overhead as f5:
        pos(-160, 540)
        linear 4 pos (240, 240)

    show fairy par overhead as f6:
        pos(60, 710)
        linear 4 pos (460, 410)
    show fairy par overhead as f7:
        pos(-20, 680)
        linear 4 pos (380, 380)
    show fairy par overhead as f8:
        pos(-100, 650)
        linear 4 pos (300, 350)
    show fairy par overhead as f9:
        pos(-180, 620)
        linear 4 pos (220, 320)
    show fairy par overhead as f10:
        pos(-260, 590)
        linear 4 pos (140, 290)
        
    show fairy par overhead as f11:
        pos(-40, 760)
        linear 4 pos (360, 460)
    show fairy par overhead as f12:
        pos(-120, 730)
        linear 4 pos (280, 430)
    show fairy par overhead as f13:
        pos(-200, 700)
        linear 4 pos (200, 400)
    show fairy par overhead as f14:
        pos(-280, 670)
        linear 4 pos (120, 370)
    show fairy par overhead as f15:
        pos(-360, 640)
        linear 4 pos (40, 340)
    with quick_dissolve
    play music music_overture
    pause 3

    # Crows fly in
    
    scene bg redcave overhead:
        align(1.0, 0.0)
    show tenguc overhead as t1:
        pos(1080, 60)
        linear 3 pos (700, 310)
    show tenguc overhead as t2:
        pos(980, 0)
        linear 3 pos (600, 250)
    show tenguc aya overhead as t3:
        pos(880, -60)
        linear 3 pos (500, 190)
    show tenguc overhead as t4:
        pos(780, -120)
        linear 3 pos (400, 130)
    show tenguc overhead as t5:
        pos(680, -180)
        linear 3 pos (300, 70)
    with quick_dissolve
    pause 2.5
    
    # Storm Squad prepares to charge
    
    scene bg redcave battle a
    show tenguc fighter aya neutral at ally1 as c1
    show tenguc fighter neutral at ally3 as c2 behind c1
    show tenguc fighter neutral at ally4 as c3 behind c2
    with quick_dissolve
    
    s1 "Storm Squad, this is Storm-1. Prepare to engage Parsian troops."
    s1 "I'm going straight in. Use Spread Wing Formation and pick 'em off!"
    Character('Storm Squad', kind=normal_char, color="#e6e6e6") "Roger!"
    show tenguc fighter aya neutral as c1:
        easeout 1 xpos -1.25 zoom 2.0
    pause 0.3
    play sound2 se_whoosh3
    show tenguc neutral at ally3 as c2 with dissolve
    pause 0.3
    play sound3 se_mecha4
    show tenguc neutral at ally4 as c3 with dissolve
    pause 1
    
    
    # Parsian troops(fairies) fire at Aya and miss. Aya zips by and the fairies turn around.
    
    $ renpy.predict ("mecha_sprites/Fairy/fairy_par_fire.png")
    $ renpy.predict ("mecha_sprites/Fairy/fairy_par_fire2.png")
    $ renpy.predict ("mecha_sprites/Fairy/fairy_par_light.png")
    $ renpy.predict ("mecha_sprites/Fairy/fairy_par_down.png")
    $ renpy.predict ("mecha_sprites/common/solid_white_shaker.jpg")
    
    scene black
    show bg redcave battle b as cavea:
        scroll_left_med_a
    show bg redcave battle b as caveb:
        scroll_left_med_b
    show bg redcave battle b as cavec:
        scroll_left_med_c
        
    show fairy par neutral as fai1 at enemy1
    show fairy par neutral as fai2 behind fai1 at enemy2
    show fairy par neutral as fai3 behind fai1 at enemy3
    show fairy par neutral as fai4 at enemy4
    with quick_dissolve
    
    play sound se_machinegun_loop2
    show fairy_par_contfire as fai1
    pause 0.3
    play sound2 se_machinegun_loop2
    show fairy_par_contfire as fai2 at enemy2
    pause 0.2
    show fairy_par_contfire as fai3 at enemy3
    pause 0.1
    show fairy_par_contfire as fai4
    
    play sound3 se_machinegun_e
    show red smg shot as g2 at enemy2
    show smg_killshot as i2 behind fai1 at enemy2
    show fairy par light as fai2
    pause 0.5
    play sound se_machinegun_e
    show red smg shot as g3 at enemy3
    show smg_killshot as i3 behind fai1 at enemy3
    show fairy par light as fai3
    pause 0.2
    play sound2 se_explosion4
    pause 0.4
    play sound3 se_explosion3
    show explode_flash with flash_dissolve
    
    play sound se_boost1
    show tenguc fighter aya neutral as c1 behind fai1, fai4:
        ally1
        linear 0.2 xpos -1.5 zoom 1.2
    show fairy par down as fai2 with Dissolve(0.2):
        enemy2_fall
    pause 0.3
    show fairy par down as fai3 with Dissolve(0.2):
        enemy3_fall
    show fairy par neutral as fai1 with quick_dissolve:
        xzoom -1.0
    show fairy par neutral as fai4 with quick_dissolve:
        xzoom -1.0
    pause 0.5
    show fairy_par_contfire as fai1:
        xzoom -1.0
        pause 0.5
        easeout 1.8 xpos -1.5
    show fairy_par_contfire as fai4:
        xzoom -1.0
        easeout 3 xpos -1.5
    play loopingsound se_bg_war1
    pause 1
    
    
    #Storm Squad arrives and shoots Parsia's confused formation
    
    s1 "Now! Take 'em down!{w=2.5}{nw}"
    stop loopingsound fadeout 1
    
    scene black
    show bg redcave battle b as cavea:
        scroll_right_fast_a
    show bg redcave battle b as caveb:
        scroll_right_fast_b
    show bg redcave battle b as cavec:
        scroll_right_fast_c
    with quick_dissolve
    
    play sound se_whoosh3
    show tenguc neutral as c2 behind c1:
        ally3_os
        linear 5 xpos -1.25 zoom 0.8
    pause 0.5
    play sound2 se_whoosh3
    show tenguc smgshoot cont as c1:
        ally1_os
        linear 4 xpos -1.25 zoom 1.2
    show tenguc neutral as c3 behind c2:
        ally4_os
        pause 0.35
        linear 6 xpos -1.25 zoom 0.7
    pause 0.3
    show tenguc smgshoot cont as c4 behind c1:
        ally2_os
        pause 0.4
        linear 4.5 xpos -1.25 zoom 1.0
    pause 0.3
    
    $ renpy.predict ("mecha_sprites/Fairy/fairy_par_fire.png")
    $ renpy.predict ("mecha_sprites/Fairy/fairy_par_fire2.png")
    $ renpy.predict ("mecha_sprites/Fairy/fairy_par_light.png")
    $ renpy.predict ("mecha_sprites/Fairy/fairy_par_down.png")
    $ renpy.predict ("mecha_sprites/Fairy/fairy_par_neutral.png")
    $ renpy.predict ("mecha_sprites/common/solid_white_shaker.jpg")
    play sound3 se_machinegun_e
    show tenguc smgshoot cont as c2
    pause 0.3
    play sound se_machinegun_e
    pause 0.2
    show tenguc smgshoot cont as c3
    pause 0.8
    play sound2 se_machinegun_e
    pause 0.3
    play sound3 se_machinegun_e
    pause 1
    
    #Parsian troops attacked from behind
    
    $ renpy.predict ("mecha_sprites/Tenguc/tenguc_neutral.png")
    scene black
    show bg redcave battle b as cavea:
        scroll_right_med_a
    show bg redcave battle b as caveb:
        scroll_right_med_b
    show bg redcave battle b as cavec:
        scroll_right_med_c
   
    show fairy_par_contfire as fai1 at enemy1:
        xzoom -1.0
    show fairy par neutral as fai2 behind fai1 at enemy2:
        xzoom -1.0
    show fairy par neutral as fai3 behind fai1 at enemy3
    show fairy par neutral as fai4:
        xpos 0.78 ypos 0.70 zoom (2/3.0) xzoom -1.0
    with quick_dissolve
    
    play loopingsound se_bg_war1
    show fairy_par_contfire as fai2
    pause 0.2
    show fairy_par_contfire as fai4
    pause 0.6
    show fairy_par_contfire as fai3
    pause 0.5
    
    play sound se_machinegun_e
    show red smg shot at enemy_mirror1 as g1
    pause 0.3
    play sound2 se_machinegun_e
    show red smg shot at enemy3 as g3
    show smg_killshot at enemy3 as i3
    show fairy par light as fai3
    pause 0.8
    
    play sound3 se_machinegun_e
    show red smg shot at enemy4 as g4
    show smg_killshot at enemy4 as i4
    show fairy par light as fai4
    pause 0.2
    play sound se_machinegun_e
    show red smg shot at enemy_mirror2 as g1
    play sound2 se_explosion3
    show small_flash
    pause 0.1
    show red smg shot at enemy_mirror1 as g2
    play sound3 se_explosion4
    
    show fairy par neutral as fai1 with Dissolve(0.3):
        xzoom 1.0
    show fairy par down as fai3 with Dissolve(0.2):
        enemy3_fall_r
    show fairy par neutral as fai2 with Dissolve(0.3):
        zoom 0.4 xzoom 1.0
    
    play sound se_machinegun_loop2
    show fairy_par_contfire as fai1
    pause 0.3
    play sound2 se_machinegun_e
    show red smg shot at enemy2 as g2
    show smg_killshot at enemy2 as i2
    show fairy par light as fai2
    show fairy par down as fai4 with Dissolve(0.2):
        zoom (2/3.0)
        enemy4_fall_r
    pause 0.1
    play sound3 se_machinegun_e
    show red smg shot at enemy_mirror2 as g3
    pause 0.9
    play sound se_explosion4
    pause 0.1
    play sound2 se_machinegun_e
    show red smg shot at enemy1 as g1
    show smg_killshot at enemy1 as i1
    show fairy par light as fai1
    show fairy par down as fai2 with Dissolve(0.2):
        enemy2_fall_r
    pause 0.3
    play sound3 se_machinegun_e
    show red smg shot at enemy_mirror1 as g1
    
    #Storm Squad flies by
    
    $ renpy.predict ("bg/bg_redcave_overhead.png")
    $ renpy.predict ("mecha_sprites/Shimenawa/shimenawa_34ths.png")
    $ renpy.predict ("cg/cg_intro3.png")
    play sound se_whoosh3
    show tenguc neutral as c1:
        ally1_os
        linear 0.7 xpos -1.25
    pause 0.5
    show tenguc neutral as c4:
        ally2_os
        linear 0.9 xpos -1.25
    play sound2 se_explosion3
    show small_flash
    pause 0.3
    show fairy par down as fai1 with Dissolve(0.2):
        enemy1_fall_r
    pause 0.6
    play sound3 se_whoosh3
    show tenguc neutral as c2 behind fai1:
        ally3_os
        pause 0.5
        linear 1 xpos -1.25
    show tenguc neutral as c3 behind c2:
        ally4_os
        linear 1.25 xpos -1.25
    pause 2.0
    stop loopingsound fadeout 1
    
    
    
    #Cut to the Shimenawa
    scene bg redcave overhead:
        pos (0, -30)
        linear 8 pos (-120, 0)
    show shimenawa 34ths:
        pos (200, -70)
        linear 8 pos (-250, 40)
    with quick_dissolve
    pause 5
    
    #Bridge
    scene cg intro3 with dissolve:
        align (0.0, 1.0)
    window show
    sc "Lady Kanako, we've detected enemy signals headed our way!  They just disappeared from Storm Squad's radar!"
    scene cg intro3:
        align (0.0, 1.0)
        ease 5 align (1.0, 0.0)
    k "All hands on alert!"
    extend " Red Faith to Storm Squad! Has the enemy broken through?"
    Character('Storm-1', kind=normal_char, color="#B3DCFF") "The engagement is proceeding smoothly. All visible enemies are accounted for."
    
    #On the podium
    scene bg shimenawa bridge
    show kanako serious at mirrored
    show rin serious at far_left_mirrored
    show utsuho curious at near_left_mirrored
    show black:
        alpha 0.25
    with dissolve
    $ renpy.free_memory()
    k "So the enemy snuck past them... radar detection is so limited down here. Underground warfare has its share of challenges it seems."
    show utsuho surprised with quick_dissolve
    Character('green ribbon', kind=normal_char, color="#FF933B") "It's them! The spider mecha that destroyed my squad are here!"
    show kanako normal with quick_dissolve
    k "Your anxiety is understandable, Utsuho. However, things are different now that Arcane Machina are on your side."
    show utsuho normal
    show rin normal
    with quick_dissolve
    u "True... after all it's thanks to your Wind Priestess and her AM that I'm still here. Sanae really saved us the first time we ran into the tsuchigumo."
    show kanako amused with quick_dissolve
    k "No matter what kind of tricks the enemy uses, this won't even be a battle. Magic-powered technology is the future!"
    show rin excited with quick_dissolve
    Character('cat ears', kind=normal_char, color="#db624b") "Ohh, how reassuring. We're about to see some fireworks, Okuu."
    show kanako serious
    show rin huh
    show utsuho serious
    with quick_dissolve
    sc "Enemies detected! 17 signals, distance 1.5 klicks!"
    show kanako shout with quick_dissolve
    k "Fire missiles!!"
    window hide
    
    #Shimenawa fires missiles
    scene shimenawa missile a with quick_dissolve
    pause 1
    play sound se_missile_salvo1
    queue sound se_whoosh1
    scene shimenawa missile b
    show explode_flash
    with flash_dissolve
    pause 2
    scene shimenawa missile c with quick_dissolve
    pause 1
    play sound2 se_missile_salvo2
    scene shimenawa missile d
    show explode_flash
    with flash_dissolve
    with Shake((0, 0, 0, 0), 3, dist=6)
    pause 3
    
    scene bg shimenawa bridge
    show kanako serious at mirrored
    show rin serious at far_left_mirrored
    show utsuho serious at near_left_mirrored
    show black:
        alpha 0.25
    with quick_dissolve
    window show
    sc "Enemy signals still approaching, 11 remaining!"
    show utsuho huh with quick_dissolve
    u "Hey, isn't this a bit dangerous?!"
    show kanako shout with quick_dissolve
    k "Not to worry! Our AMs will shield us from the deck.{w=1.0} Fort Squad, prepare to engage!"
    window hide
    
    #Fort Squad braces
    play sound se_mecha2
    scene cg wolves shield a1 with quick_dissolve
    pause 1
    Character('Fort-1', kind=normal_char, color="#f0e0e5") "This is Fort-1. I'm covering the bridge."
    play sound2 se_magic1
    show cg wolves shield a2 with Dissolve(1)
    pause 1
    Character('Fort-1', kind=normal_char, color="#f0e0e5") "Fort Squad, ready gatlings!"
    
    scene bg shimenawa deck a:
        align (0.5, 0.2)
    show tenguw neutral at allyshime
    with quick_dissolve
    pause 1
    play sound se_mecha2
    show tenguw gatlinga
    with quick_dissolve
    $renpy.music.set_volume (0, 4.0, channel="music")
    pause 2
    
    #Cables moving in darkness
    scene black
    show arachne cables as cab1:
        xpos -1100 rotate 20
        linear 3 xpos 700 rotate 10
    show arachne cables as cab2:
        xpos -850 ypos 80 rotate 20 zoom 0.8
        linear 3 xpos 500 rotate 10
    show arachne cables as cab3:
        xpos -350 ypos 80 rotate 20 zoom 0.6
        linear 3 xpos 700 rotate 10
    show arachne cables as cab4:
        xpos -250 ypos 120 rotate 20 zoom 0.4
        linear 3 xpos 500 rotate 10
    show arachne cables as cab5:
        xpos -750 ypos 80 rotate 20 zoom 0.6
        linear 3 xpos 400 rotate 10
    with quick_dissolve
    play sound se_whoosh1
    pause 2.5
        
    #Arachnes' glowing eyes visible in the dark
    scene black with quick_dissolve
    play sound2 se_whoosh2
    show arachne eyes with arachne_trans:
        zoom 0.5 align (0.5, 0.5)
        pause 2
        easeout 2.5 zoom 4.0
    pause 1.5
    
    #Arachnes swoop in
    scene black as bg
    show bg redcave battle b as cavea:
        scroll_upleft_fast_a
    show bg redcave battle b as caveb:
        scroll_upleft_fast_b
    show bg redcave battle b as cavec:
        scroll_upleft_fast_c
    show black as darken:
        alpha 0.3
    show arachne neutral as a3 at enemy3:
        rotate 30
    show arachne neutral as a1 at enemy1:
        rotate 30
    show arachne cables as c3:
        xpos 0.605 ypos -0.315 zoom 0.5
    show arachne cables as c1:
        xpos 0.16 ypos -0.73 zoom 1.0
    with quick_dissolve
    $ renpy.pause(0.5)
    play loopingsound se_machinegun_loop2
    show arachne_contfire as a3
    pause 0.5
    play loopingsound2 se_machinegun_loop2
    show arachne_contfire as a1
    pause 1
    Character('Fort-1', kind=normal_char, color="#f0e0e5") "FIRE!!"
    
    #Fort Squad fires
    stop loopingsound fadeout 0.5
    stop loopingsound2 fadeout 0.5
    $renpy.music.set_volume (1.0, .5, channel="music")
    scene bg shimenawa deck a:
        align (0.5, 0.2)
    show tenguw gatlinga as f2 at allyshime
    with quick_dissolve
    pause 0.5
    play sound se_gatling1
    show tenguw_gatling as f2
    pause 1.5
    
    #Arachnes shot down 
    scene black as bg
    show bg redcave battle b as cavea:
        scroll_upleft_fast_a
    show bg redcave battle b as caveb:
        scroll_upleft_fast_b
    show bg redcave battle b as cavec:
        scroll_upleft_fast_c
    show black as darken:
        alpha 0.3
    show arachne_contfire as a3 at enemy3:
        rotate 30
    show arachne_contfire as a1 at enemy1:
        rotate 30
    show arachne cables as c3:
        xpos 0.605 ypos -0.315 zoom 0.5
    show arachne cables as c1:
        xpos 0.16 ypos -0.73 zoom 1.0
    with quick_dissolve
    pause 0.5
    
    play sound se_gatling2
    show gatling_fire as g3 at enemy3
    show gatling_killshot as gk3 at enemy3
    pause 1
    play sound2 se_explosion3
    show arachne neutral as a3 at enemy3:
        easeout 2.5 pos (-0.768, -0.667)
    show arachne cables as c3:
        xpos 0.605 ypos -0.315 zoom 0.5
        easeout 2.5 pos (-0.768, -0.667)
    show explosion small:
        rotate 30 enemy3
        easeout 2.5 pos (-0.768, -0.667)
    show small_flash
    hide gk3
    with flash_dissolve
    
    play sound3 se_gatling2
    show gatling_fire as g1 at enemy1
    show gatling_killshot as gk1 at enemy1
    pause 1.2
    play sound se_explosion2
    show explosion fire:
        rotate 30 enemy1
        easeout 1.5 pos (-1.144, -0.467)
    show arachne cables as c1:
        xpos 0.16 ypos -0.73 zoom 1.0
        easeout 1.5 pos (-1.144, -0.467)
    show small_flash
    hide a1
    hide gk1
    with flash_dissolve
    pause 1
    
    #6 Arachnes remain, some land on deck
    scene black
    show bg shimenawa deck a at reverse:
        pos (0.563, 1.4)
        easeout 1 pos (0.563, 0.1)
        ease 1 pos (0.563, -0.25)
    show arachne neutral as a1 at enemy1:
        pos (0.188, -0.6)
        easeout 1 pos (0.25, 0.75)
        ease 1 pos (0.25, 0.4)
    with quick_dissolve
    pause 0.5
    play sound3 se_impact2
    $ renpy.pause(1.5)
    play loopingsound se_machinegun_loop2
    show arachne_contfire as a1
    pause 1.5
    Character('Fort-1', kind=normal_char, color="#f0e0e5") "Fort-4, Fort-5! Rush them!"
    
    #Tenguw sword slash
    stop loopingsound fadeout 0.5
    stop loopingsound2 fadeout 0.5
    scene black
    show bg shimenawa deck a:
        pos (0.0, 0.0)
        pause 0.5
        linear 1 pos (-0.05, -0.03) zoom 0.9
    show tenguw neutral as t1 at allyshime
    with quick_dissolve
    pause 0.3
    play sound se_mecha2
    show tenguw swordb as t1 with quick_dissolve:
        linear 1 pos (0.5, 0.4) zoom 0.9
        pause 1
        easeout 0.8 pos (-0.75, 0.617)
    pause 2.0
    play sound se_boost2
    pause 1
    
    #Arachne slashed apart
    scene black with quick_dissolve
    pause 0.2
    play sound2 se_slash1
    show slash1 with flash_dissolve:
        pos (0.5, 0.5)
    pause 0.7
    show bg shimenawa deck a:
        ypos -0.167
    show tenguw swordc as t1 at center
    show arachne slash as a1 behind t1:
        rotate -5 pos (0.625, 0.5) zoom 0.6
        linear 4 rotate 5 pos (0.75, 0.4) zoom 0.6
    with quick_flash
    pause 0.5
    play sound3 se_sparks1
    show flicker
    pause 1
    show flicker
    pause 1
    
    #Fort-2 attacked from above
    scene bg shimenawa deck a:
        align (0.5, 0.2)
    show tenguw neutral as t1 at allyshime
    with quick_dissolve
    pause 1
    Character('Fort-1', kind=normal_char, color="#f0e0e5") "They're directly above! Fort-2, watch out!"
    scene black as bg
    show arachne yamame neutral:
        pos (0.613, -0.5) xzoom -1.0 rotate -30
        easeout 0.7 ypos 0.833
    show black as darken:
        alpha 0.8
        easeout 0.7 alpha 0.3
    pause 0.7
    play sound se_impact3
    show quick_flash
    pause 0.1
    scene cg intro4a
    with vpunch
    pause 1
    play sound se_motor5
    show cg intro4b with dissolve
    pause 2
    
    scene black
    show bg shimenawa deck a:
        align (0.5, 0.2)
    show tenguw neutral as t1 at allyshime
    show arachne yamame neutral behind t1:
        pos (0.77, 0.147) xzoom -1.0 rotate -30
        pause 0.4
        linear 0.3 pos (1.125, -0.6)
    with quick_dissolve
    Character('Fort-2', kind=normal_char, color="#f0e0e5") "Wha-- I can't move my AM! That spider mecha did something to me--"
    
    #Two Arachnes drop next to Fort-2 and start firing
    scene black
    show bg shimenawa deck a:
        pos (-0.05, 1.133)
        easeout 1 ypos -0.117
        ease 1 ypos -0.45
    show arachne neutral as a1:
        pos (0.313, -0.5) xzoom -1.0
        easeout 1 ypos 0.75
        ease 1 ypos 0.417
    show arachne neutral as a2:
        pos (0.8, -0.5) xzoom -1.0
        pause 1.5
        easeout 0.5 ypos 0.417
    show tenguw neutral as t1:
        pos (0.663, 1.583)
        easeout 1 pos (0.663, 0.433)
        ease 1 pos (0.663, 0.1)
    with quick_dissolve
    pause 0.5
    play sound se_impact2
    $ renpy.pause(1.0)
    play loopingsound se_machinegun_loop2
    show arachne_contfire as a1
    play sound2 se_impact2
    pause 1.0
    play loopingsound2 se_machinegun_loop2
    show arachne_contfire as a2
    pause 1.5
    Character('Fort-3', kind=normal_char, color="#f0e0e5") "Damn! They're using Fort-2 as a shield!"
    sc "Fort Squad, they're too close to the bridge! Hurry!"
    Character('Fort-1', kind=normal_char, color="#f0e0e5") "This is Wolf-1! Don't panic, we've got you covered!"
    
    stop loopingsound fadeout 0.5
    stop loopingsound2 fadeout 0.5
    scene black
    show bg shimenawa deck a at reverse:
        align (0.5, 0.7)
    show arachne yamame neutral as a1:
        pos (-300, 177)
        ease 0.3 offset (100, 17)
        ease 0.3 offset (200, 34)
        ease 0.3 offset (300, 51)
        ease 0.3 offset (400, 68)
        ease 0.3 offset (500, 85)
        ease 0.3 offset (600, 102)
        ease 0.3 offset (700, 119)
        ease 0.3 offset (800, 136)
        ease 0.3 offset (900, 153)
    with quick_dissolve
    play sound3 se_walk2
    pause 2
        
    #Wolf-1 drops down and slashes Arachne Custom
    scene black
    show bg shimenawa deck a:
        ypos -0.3
        pause 1.1
        ease 1 ypos -0.05
    show tenguw momiji neutral as t1:
        pos (0.663, -0.666)
        pause 0.7
        easeout 0.4 pos (0.663, 0.1)
        ease 1 ypos 0.35
    with quick_dissolve
    pause 0.9
    play sound se_impact1
    with vpunch
    pause 0.5
    play sound2 se_mecha2
    show tenguw momiji swordb as t1 with quick_dissolve:
        pause 0.6
        easeout 0.8 pos (-0.75, 0.7)
    pause 0.6
    play sound3 se_boost2
    pause 1
    
    #Arachne Custom slashed apart
    scene black with quick_dissolve
    pause 0.2
    play sound se_slash1
    show slash1 with flash_dissolve:
        pos (0.5, 0.5)
    pause 0.7
    show bg shimenawa deck a:
        ypos -0.167
    show arachne yamame slash as a1:
        rotate -5 pos (0.625, 0.5) zoom 0.6
        linear 4 rotate 5 pos (0.75, 0.4) zoom 0.6
    show tenguw momiji swordc as t1:
        pos (0.375, 0.366)
    hide slash1
    with quick_flash
    pause 0.5
    play sound2 se_sparks1
    show flicker
    pause 0.5
    show arachne yamame slash2 as a1 with quick_dissolve:
        linear 0.4 pos (1.0, 0.667) rotate 60
        linear 0.4 pos (1.25, 0.5) rotate 120
    show tenguw momiji swordb as t1 with quick_dissolve:
        pause 0.5
        easeout 0.4 pos (-0.75, 0.617)
    play sound3 se_impact4
    pause 0.5
    play sound se_boost2
    pause 0.5
    
    #Fort-2 gets knocked away, remaining two Arachnes slashed
    scene black
    show bg shimenawa deck a:
        pos (-0.05, -0.45)
    show arachne_contfire as a1:
        pos (0.313, 0.417) xzoom -1.0
    show arachne neutral as a2:
        pos (0.8, 0.417) xzoom -1.0
    show tenguw neutral as t1:
        pos (0.663, 0.1)
    with quick_dissolve
    play loopingsound se_machinegun_loop2
    $ renpy.pause(1.0)
    play loopingsound2 se_machinegun_loop2
    show arachne_contfire as a2
    
    Character('Fort-1', kind=normal_char, color="#f0e0e5") "Fort-2! Brace for impact!"
    Character('Fort-2', kind=normal_char, color="#f0e0e5") "Wha-- Wolf-1, what's going on?! Hey!"
    stop loopingsound fadeout 0.5
    stop loopingsound2 fadeout 0.5
    show tenguw momiji swordb as t2:
        pos (1.25, 0.167)
        linear 0.4 pos (0.663, 0.167)
    show tenguw neutral as t1:
        pause 0.3
        linear 0.6 pos (-0.5, 0.033)
    pause 0.3
    play sound se_impact1
    with Shake((0, 0, 0, 0), 1.4, dist=4)
        
    scene black with quick_dissolve
    pause 0.2
    play sound3 se_slash1
    show slash1 with flash_dissolve:
        pos (0.5, 0.5)
    pause 0.7
    show bg shimenawa deck a:
        ypos -0.167
    show tenguw momiji swordc as t1 at center
    show arachne slash as a1 behind t1:
        rotate -5 pos (0.625, 0.5) zoom 0.6 xzoom -1.0
        linear 4 rotate 5 pos (0.75, 0.4) zoom 0.6
    show arachne slash as a2 behind t1:
        rotate -5 pos (0.875, 0.5) zoom 0.7 xzoom -1.0
        linear 4 rotate 5 pos (1.0, 0.4) zoom 0.5
    with quick_flash
    pause 0.5
    play sound se_sparks1
    show flicker
    pause 1
    show flicker
    pause 1
    
    #On the podium
    scene bg shimenawa bridge
    show kanako serious at mirrored
    show rin huh at far_left_mirrored
    show utsuho curious at near_left_mirrored
    show black:
        alpha 0.25
    with dissolve
    stop music fadeout 2
    pause 1
    window show
    sc "...All enemies neutralized!"
    k "Storm-1, what's your status?"
    Character('Storm-1', kind=normal_char, color="#B3DCFF") "All clear! We're on our way back."
    show kanako normal
    show rin normal
    with quick_dissolve
    k "Acknowledged. Good work, everyone."
    show black:
        linear 1 alpha 0
    pause 0.5
    show rin normal with dissolve:
        xzoom 1.0
    pause 0.5
    show utsuho curious behind rin with dissolve:
        xzoom 1.0
    pause 0.5
    
    play music music_business
    k "Interesting fellows, those tsuchigumo. They almost pulled a fast one, even with their inferior weapons."
    show kanako amused with quick_dissolve
    k "I was going to shield the bridge with my own magic power. But Fort Squad considers it a matter of pride to handle small fry themselves."
    show kanako normal with quick_dissolve
    k "Rin, you and Utsuho encountered the tsuchigumo first. How much of their forces do you think we destroyed?"
    ri "They may have reserves, but we destroyed more tsuchigumo mechs just now than we saw in the last battle. I think they won't be much of a threat to us anymore."
    
    
    k "Good. With any luck, we won't see more interference from them. And once we get where we're going, Utsuho will receive the power of the sun."
    show kanako amused with quick_dissolve
    k "With that, you can use an AM stronger than all the AMs you just saw put together. That will assure Chireiden's victory without fail."
    show utsuho normal with quick_dissolve
    u "So much power! We can end Parsia's rebellion with this!"
    u "I can restore peace to Chireiden-- and the Old Hell-- by my own hands!"
    window hide

    stop music fadeout 2
    $renpy.music.set_volume (1.0, .5, channel="loopingsound")
    $renpy.music.set_volume (1.0, .5, channel="loopingsound2")
    
    scene bg solid black with Dissolve(1)
    pause 1
    if renpy.pause(0.5):
        pass
    play sound se_taiko2
    scene chapter1 title with flash_dissolve:
    $ renpy.pause(0.5, hard=True)
    if renpy.pause(4.5):
        pass
    $ renpy.free_memory()
    
    jump Chp_1_2
