﻿label Chp_1_10:
    
    scene bg solid white with dissolve
    pause 2
    play music music_helios_1
    
    stop loopingsound
    play sound se_laser4
    scene shimenawa onbashira c with quick_flash
    with Shake((0, 0, 0, 0), 1.5, dist=5)
    
    play sound2 se_rumble
    scene cg onbashira firing i with quick_flash:
        xalign 1.0
        pause 0.2
        easein 3 xalign 0.0 #shot travels
    show solid white shaker:
        alpha 0.3
        pause 0.2
        linear 0.8 alpha 0
        alpha 0.3
        pause 0.2
        linear 0.8 alpha 0
    with Shake((0, 0, 0, 0), 2, dist=5)
    
    play sound se_explosion5
    scene cg onbashira firing j #impact
    show solid white shaker:
        alpha 1
        pause 0.1
        linear 1.5 alpha 0
    with flash_dissolve
    with Shake((0, 0, 0, 0), 3, dist=9)
    
    scene utsuho pilot2 normal glow with dissolve:
        ypos 0
    #Utsuho in AM cockpit
    pause 1
    
    $renpy.music.set_volume (0.35, channel="loopingsound")
    play loopingsound se_bg_war2
    scene cg gate opening e as cg1:
        pos(0.49, 0.65) zoom 0.7 anchor(0.5, 0.5)
    show bluescreen
    show cg hangar zero open as cg2:
        yalign 0.5
    show yatagarasu hatch closing a as cg3
    with quick_dissolve #open
    pause 1
    play sound se_motor3
    show bg solid black as cg2
    show yatagarasu hatch closing b as cg3
    with dissolve #close
    pause 1

    u "Starting the engines!"
    #Switches flipping, buttons pressed
    play sound se_lever1
    pause 0.3
    play sound2 se_lever1
    pause 0.6
    play sound3 se_lever1
    pause 0.8
    play sound se_beep2
    pause 1
    play sound2 se_motor4
    show bg darkscreen as cg2
    show yatagarasu display
    with quick_dissolve
    pause 1
    show cg gate opening e as cg1:
        xalign 0.466 yalign 0.33 zoom 0.7
    show cg hangar zero open as cg2:
        yalign 1.0
    with dissolve
    pause 2.5
    
    play sound se_beep6
    u "Engine output stable."
    play sound se_beep6
    pause 0.4
    play sound2 se_beep6
    pause 0.8
    play sound3 se_beep5
    u "ALS feedback confirmed."
    u "No problems detected."
    san "Releasing the barrier over Hangar 0!"
    hide bluescreen with dissolve
    sc "Hangar 0 to bridge. The {i}Yatagarasu{/i} is ready to launch."
    
    k "{i}Yatagarasu{/i}, you're cleared for takeoff!"
    show utsuho pilot determined light with Dissolve(0.1):
        zoom 1 align(0.5, 0.5)
        easein 0.7 zoom 1.33 align(0.7, 0.0)
    pause 1
    u "{i}Yatagarasu{/i}, launching!"
    
    scene bg hangar zero runway2 with quick_dissolve: #in hangar
        xalign 1.0
        pause 1.2
        easeout 1 xalign 0.2
        easein 0.5 xalign 0.0
    pause 0.2
    show yatagarasu launch:
        pos (1600, 330)
        pause 0.5
        easeout 1.5 pos(-450, 400)
    pause 0.5
    play sound se_boost1
    with Shake((0, 0, 0, 0), 2, dist=6)
    
    play sound2 se_fire2
    scene bg shimenawa gate a:
        yalign 0.8
        linear 6.5 yalign 0.6
    show yatagarasu boost a3:
        pos (570, 360)
        linear 5 pos (540, 290)
        easein 1.5 pos (530, 330) zoom 4.0
    with ease_out #outside hangar
    
    pause 2.5
    play sound se_whoosh3

    stop music fadeout 2
    scene bg solid white with slow_dissolve
    pause 2
    play music music_helios_2
    scene bg shimenawa bridge
    show kanako shout at near_mirrored
    with dissolve
    k "Okay! Helmsman, turn the {i}Shimenawa{/i} around! All units, cover our retreat!"
    scene utsuho pilot tense light with dissolve
    $renpy.music.set_volume (0.6, 0.5, channel="loopingsound")
    u "What the hell happened? Why was a whole army just waiting for us in there?!"
    u "Better think later... I have to thin out the pack!"
    
    $renpy.music.set_volume (1.0, 0.5, channel="loopingsound")
    scene bg solid black as bg1
    show bg shimenawa gate b as bg2:
        anchor(0.5, 0.5) pos(512, 340) zoom 1.2
        pause 0.8
        ease 1.2 pos(512, 240) zoom 1.0
        easeout 1.3 pos(512, 1200) zoom 1.0
    show yatagarasu_wing_flash:
        pos (530, 310) zoom 1.0
        linear 0.8 pos (480, 250) zoom 1.0 
        ease 1.2 pos (660, 360) zoom 0.5
        easeout 1 pos (520, -850) zoom 1.33
    with quick_dissolve
    pause 0.5
    play sound se_boost1
    pause 1.5
    play sound2 se_whoosh3
    pause 2
    
    play sound se_mecha5
    scene bg redcave battle a
    show yatagarasu arm cannon large:
        zoom 2 pos (1024, 700)
        easein 0.5 zoom 1 pos (512, 350)
    with quick_dissolve

    pause 3
    scene utsuho pilot determined light with dissolve
    u "Let's see if the {i}Yatagarasu{/i} lives up to its reputation!"
    
    #Charge laser
    $renpy.music.set_volume (0.6, 0.5, channel="loopingsound")
    scene bg redcave battle a
    show yatagarasu arm cannon glow as yata1:
        pos (0.8, 0.35)
        
    play sound se_magic4
    show cannon_flash:
        zoom 1.33 pos (450, 500)
        linear 1.5 pos (750, 400)
        easeout 1 zoom 0.6 xpos 512
    with quick_dissolve
    pause 1.5
    hide cannon_flash with dissolve
        
    $renpy.music.set_volume (0.35, 0.5, channel="loopingsound")
    play sound2 se_fire3
    show fire_glow_fast
    show yatagarasu arm cannon shoot as yata1
    with flash_dissolve
    with Shake((0, 0, 0, 0), 1.5, dist=2)
    play sound se_fire1
    scene cg yatagarasu arm cannon laser c: #Sweep Troopers
        zoom 1.75 align(1.0, 1.0)
        pause 0.2
        ease 0.75 align(0.0, 1.0)
        pause 0.5
        ease 1 zoom 1 align(0.5, 0.5)
    with Shake((0, 0, 0, 0), 3.5, dist=6)
    pause 1
    u "Nice! I should be able to mop up the ground troops by myself!"
    stop loopingsound fadeout 5
    scene bg redcave overhead:
        align(0.0, 1.0) zoom 0.8
        linear 12 align(1.0, 0.0)
    show shimenawa rear:
        pos (200, 300)
        linear 12 pos (1000, -260)
    with dissolve
    pause 0.5
    k "Red Faith to all units, the {i}Shimenawa{/i} has begun its retreat. Give us cover!"
    
    #More firing
    play sound se_fire3
    scene bg redcave battle a
    show yatagarasu arm cannon shoot as yata1:
        pos (0.8, 0.35)
    show fire_glow_fast
    with flash_dissolve
    with Shake((0, 0, 0, 0), 1.5, dist=2)
    
    play sound2 se_explosion2
    queue sound se_explosion1
    scene cg yatagarasu arm cannon laser c with flash_dissolve:
        align(0.5, 0.5)
    with Shake((0, 0, 0, 0), 0.6, dist=3)
    show bright light with flash_dissolve:
        alpha 1
        pause 0.2
        linear 1 alpha 0
    with Shake((0, 0, 0, 0), 1.5, dist=6)
    pause 0.4
    
    scene bg redcave battle a with quick_dissolve
    play sound se_mecha3
    show mirror neutral as mir:
        enemy3_os
        easein 2 enemy_mirror3
    pause 2
    u "Over there!"
    scene utsuho pilot determined light with quick_dissolve
    pause 0.5
    play sound se_fire3
    scene bg redcave battle a
    show yatagarasu arm cannon shoot as yata1:
        pos (0.8, 0.35)
    show fire_glow_fast
    with flash_dissolve
    with Shake((0, 0, 0, 0), 1.5, dist=2)
    
    scene bg redcave battle a
    show mirror neutral at enemy_mirror3
    show fire_glow_long
    with quick_dissolve
    pause 0.2
    play sound2 se_fire2
    show yatagarasu laserhit at enemy_mirror3
    show bright light:
        alpha 1
        linear 1.5 alpha 0
    with flash_dissolve
    with Shake((0, 0, 0, 0), 2, dist=5)
    
    play sound se_explosion1
    show explosion fire at enemy_mirror3
    hide yatagarasu
    hide mirror
    show explode flash:
        alpha 1
        linear 1 alpha 0
    with flash_dissolve
    with Shake((0, 0, 0, 0), 1, dist=7)
    show explosion fire ember with dissolve
    pause 0.2
    hide explosion with dissolve
    
    
    #Cyclops hover in
    play sound2 se_mecha3
    show cyclops neutral as cy1:
        enemy1_os
        pause 1
        easein 1.3 enemy1
    show cyclops neutral as cy2 behind cy1:
        enemy2_os
        easein 1.3 enemy2
    show cyclops neutral as cy3 behind cy1:
        enemy3_os
        easein 3 enemy3
    show cyclops neutral as cy4:
        enemy4_os
        easein 2.6 enemy4
    pause 0.8
    play sound se_mecha3
    pause 2.2
    u "Oops, they noticed."
    
    #Cyclops open fire
    play sound se_laser1
    show cyclops light as cy1
    show cyclops beam at enemy1 as b1
    with quick_dissolve
    pause 0.4
    play sound2 se_laser1
    show cyclops light as cy3
    show cyclops beam at enemy3 as b2
    with quick_dissolve
    play sound3 se_laser1
    show cyclops light as cy2
    show cyclops longbeam at enemy2_nozoom as b3
    with quick_dissolve
    pause 0.2
    play sound se_laser1
    show cyclops light as cy4
    show cyclops beam at enemy4 as b4
    with quick_dissolve
    pause 0.5
    
    u "Dodge...!"
    scene black
    show bg redcave battle b as cavea:
        scroll_right_med_a
    show bg redcave battle b as caveb:
        scroll_right_med_b
    show bg redcave battle b as cavec:
        scroll_right_med_c
    show yatagarasu shield a at ally2
    with quick_dissolve
    $ renpy.pause(0.2)
    play sound se_fire2
    show yatagarasu shield b
    show fire_glow_1shot
    with quick_dissolve
    pause 0.1
    play sound2 se_shield_fire
    show laser hit as las1 with flash_dissolve:
        alpha 1 zoom 0.65 pos (580, 250)
        pause 0.5
        linear 0.5 alpha 0 
    pause 0.5
    play sound3 se_shield_fire
    show laser hit as las2 with flash_dissolve:
        alpha 1 zoom 0.6 pos (550, 160)
        pause 0.5
        linear 0.5 alpha 0 
    pause 0.1
    play sound se_shield_fire
    show laser hit as las3 with flash_dissolve:
        alpha 1 zoom 0.6 pos (500, 400)
        pause 0.5
        linear 0.5 alpha 0 
    pause 0.3
    play sound2 se_shield_fire
    show laser hit as las4 with flash_dissolve:
        alpha 1 zoom 0.5 pos (430, 300)
        pause 0.5
        linear 0.5 alpha 0 
    pause 1
    
    u "Ugh!... The response is kind of sluggish... but I should expect that with something of this size."
    u "The barrier is holding up pretty well, though."
    
    scene bg redcave battle a
    show yatagarasu arm cannon as yata1:
        pos (0.8, 0.35)
    show yatagarasu shield b as yata2:
        ally2 alpha 1
        linear 0.3 pos (0.5, 0.42) alpha 0
    pause 0.5
    play sound se_fire4
    show yatagarasu arm cannon shoot as yata1
    show fire_glow_fast
    with flash_dissolve
    with Shake((0, 0, 0, 0), 0.8, dist=2)
    
    scene black
    show bg redcave battle b as cavea:
        scroll_left_med_a
    show bg redcave battle b as caveb:
        scroll_left_med_b
    show bg redcave battle b as cavec:
        scroll_left_med_c
    show cyclops neutral at enemy2 as cy2
    show cyclops neutral at enemy3 as cy3
    show cyclops neutral at enemy4 as cy4
    show cyclops neutral at enemy1 as cy1
    show fire_glow_long
    with quick_dissolve
    
    play sound se_fire4
    show yatagarasu laserhit at enemy1 as cy1_2
    show bright light:
        alpha 1
        linear 1.5 alpha 0
    with flash_dissolve
    with Shake((0, 0, 0, 0), 0.7, dist=5)
    play sound2 se_explosion2
    show explosion fire as cy1
    show bright light:
        alpha 1
        linear 1 alpha 0
    hide cy1_2
    with flash_dissolve
    pause 0.5
    hide cy1 with dissolve
    
    play sound3 se_fire4
    show yatagarasu laserhit at enemy3 as cy3_2
    show bright light:
        alpha 1
        linear 1.5 alpha 0
    with flash_dissolve
    with Shake((0, 0, 0, 0), 0.7, dist=5)
    play sound se_explosion2
    show explosion fire as cy3
    show bright light:
        alpha 1
        linear 1 alpha 0
    hide cy3_2
    with flash_dissolve
    pause 0.5
    hide cy3 with dissolve
        
    play sound2 se_fire4
    show utsuho pilot determined light
    show fire_glow_1shot
    with flash_dissolve
    pause 0.75
    play sound3 se_fire4
    show fire_glow_1shot
    pause 0.75
    play sound se_fire4
    show fire_glow_1shot
    pause 1
    play sound2 se_alarm_danger
    show utsuho pilot tense light with quick_dissolve
    pause 1
    
    scene bg redcave battle a
    show yatagarasu weapons display b as dis1:
        zoom 1.95
    show yatagarasu display warning as dis2:
        zoom 1.5 align(0.48, 0.43)
        block:
            linear 0.2 alpha 0.0
            linear 0.2 alpha 1.0
            repeat
    with quick_dissolve
    
    u "Wha-- overheat?!"
    hide dis1
    hide dis2
    show yatagarasu weapons display c:
        zoom 2.05
    with dissolve
        
    u "Oh, it's just for the cannon... I see, I can use the other weapons during the cooldown time!"
    
    play sound se_mecha2
    scene bg redcave battle a:
        zoom 1
        pause 1
        easein 0.6 zoom 1.05
    show yatagarasu plasma rifle:
        zoom 0.66 pos (500, 200)
        pause 1
        easein 0.6 zoom 1 pos (650, 260)
    with quick_dissolve
    pause 1.8
    show yatagarasu plasma rifle firea
    with quick_dissolve
    pause 0.3
    play sound2 se_machinegun_e
    show yatagarasu plasma rifle fire:
        pos (650, 260)
    pause 1
    
    scene black
    show bg redcave battle b as cavea:
        scroll_left_med_a
    show bg redcave battle b as caveb:
        scroll_left_med_b
    show bg redcave battle b as cavec:
        scroll_left_med_c
    show cyclops neutral as cy1 at enemy1
    show cyclops neutral as cy2 behind cy1 at enemy2
    show cyclops neutral as cy3 behind cy1 at enemy3
    show cyclops neutral as cy4 at enemy4
    with quick_dissolve
    pause 0.3
    
    play sound se_machinegun_e
    show yatagarasu_prifle_fire as p2 at enemy1 behind cy1:
        xpos 0.4 ypos 0.5 zoom 0.8
    pause 0.6
    hide p2
    pause 0.2
    play sound2 se_machinegun_e
    show yatagarasu_prifle_fire as p2 at enemy1
    pause 0.2
    show cyclops neutral as cy1
    show yatagarasu_plasma_impact as p1 at enemy1
    pause 0.6

    play sound se_explosion2
    hide p1
    hide yatagarasu
    show explosion fire as cy1
    show bright light:
        alpha 1
        linear 1 alpha 0
    with flash_dissolve
    pause 0.8
    hide cy1 with dissolve
    pause 1
    
    scene bg redcave battle a
    play sound se_machinegun_e
    show yatagarasu plasma rifle fire:
        pos (650, 260)
    pause 0.5
    play sound2 se_machinegun_e
    show yatagarasu plasma rifle fire:
        pos (650, 260)
    pause 1.0
    u "Not fantastic, but I think I can just keep shooting this one."
    
    
    #Angel-class in range
    scene bg redcave battle a
    with quick_dissolve
    play sound se_whoosh3
    show angel neutral:
        zoom 0.75 pos (-0.25, 0.4)
        easein 1.5 enemy1
    pause 1.5
    play sound2 se_laser2
    show angel shoot with flash_dissolve
    pause 0.5
    show angel neutral with quick_dissolve
    play sound3 se_laser2
    show angel shoot with flash_dissolve
    pause 0.5
    show angel neutral with quick_dissolve
    pause 0.3
    
    scene black
    show bg redcave battle b as cavea:
        scroll_right_med_a
    show bg redcave battle b as caveb:
        scroll_right_med_b
    show bg redcave battle b as cavec:
        scroll_right_med_c
    show yatagarasu shield a at ally2
    with quick_dissolve
    pause 0.2
    play sound se_fire2
    show yatagarasu shield b
    show fire_glow_1shot
    with quick_dissolve
    pause 0.1
    play sound2 se_shield_fire
    show laser hit dark as las1 with flash_dissolve:
        alpha 1 zoom 0.65 pos (480, 250)
        pause 0.5
        linear 0.5 alpha 0 
    pause 0.7
    play sound3 se_shield_fire
    show laser hit dark as las2 with flash_dissolve:
        alpha 1 zoom 0.6 pos (450, 160)
        pause 0.5
        linear 0.5 alpha 0 
    pause 1
    
    play sound se_mecha2
    show yatagarasu shield b as yata1:
        ally2 alpha 1 zoom 1
        linear 0.3 pos (0.5, 0.42) alpha 0 zoom 0.75
    show yatagarasu plasma rifle firea
    with quick_dissolve
    pause 0.2
    play sound2 se_machinegun_e
    show yatagarasu plasma rifle fire at ally2
    pause 0.5
    play sound3 se_machinegun_e
    show yatagarasu plasma rifle fire at ally2
    pause 1.0

    scene black
    show bg redcave battle b as cavea:
        scroll_left_med_a
    show bg redcave battle b as caveb:
        scroll_left_med_b
    show bg redcave battle b as cavec:
        scroll_left_med_c
    show angel neutral at enemy1
    with quick_dissolve
    pause 0.2
    play sound se_boost2
    show angel boostright:
        enemy1
        pause 0.05
        ease 0.25 pos (0.5, 0.62) zoom 0.75
    with quick_dissolve
    play sound2 se_machinegun_e
    show yatagarasu_prifle_fire as p2 at enemy1
    pause 0.8
    
    show angel neutral
    with dissolve
    play sound3 se_boost2
    show angel boostleft:
        pos (0.5, 0.62) zoom 0.75
        pause 0.05
        ease 0.25 enemy1
    with quick_dissolve
    play sound se_machinegun_e
    show yatagarasu_prifle_fire as p2 behind angel:
        pos (0.5, 0.62) zoom 0.75
    $ renpy.pause(0.5)
    pause 0.1
    show angel neutral with dissolve
    u "Ugh, these guys are fast!"
    
    
    
    ay "Storm Squad! Cover the {i}Yatagarasu{/i}, quick!"
    
    scene black
    show bg redcave battle b as cavea:
        scroll_right_fast_a
    show bg redcave battle b as caveb:
        scroll_right_fast_b
    show bg redcave battle b as cavec:
        scroll_right_fast_c
    with quick_dissolve
    
    play sound se_whoosh3
    show tenguc neutral as c2:
        ally3_os
        linear 5 xpos -1.25 zoom 0.8
    pause 0.5
    play sound2 se_whoosh3
    show tenguc aya smgshoot cont as c1:
        ally1_os
        linear 4 xpos -1.25 zoom 1.2
    show tenguc neutral as c3 behind c2:
        ally4_os
        pause 0.35
        linear 6 xpos -1.25 zoom 0.7
    pause 0.6
    
    play sound3 se_machinegun_e
    show tenguc smgshoot cont as c2
    pause 0.3
    play sound se_machinegun_e
    pause 0.2
    show tenguc smgshoot cont as c3
    pause 0.8
    play sound2 se_machinegun_e
    pause 0.3
    play sound3 se_machinegun_e
    pause 1
    
    #Angel-class shot down
    scene black
    show bg redcave battle b as cavea:
        scroll_left_med_a
    show bg redcave battle b as caveb:
        scroll_left_med_b
    show bg redcave battle b as cavec:
        scroll_left_med_c
    show angel neutral as a1 at enemy1
    with quick_dissolve
    pause 0.3
    play sound se_machinegun_e
    show red smg shot at enemy1
    $renpy.pause (0.5)
    play sound2 se_machinegun_e
    show angel light as a1
    show red smg shot at enemy1
    show smg_impact as ex1:
        zoom 0.5 pos (0.33, 0.45)
    pause 0.2
    show smg_impact as ex2:
        zoom 0.66 pos (0.36, 0.55)
    pause 0.1
    show red smg shot at enemy1
    pause 0.3
    play sound3 se_machinegun_e
    show red smg shot at enemy1
    pause 0.3
    show red smg shot at enemy1
    $ renpy.pause (0.6)
    
    play sound se_explosion4
    show explosion small burn as ex1
    hide red smg shot
    with flash_dissolve
    
    pause 0.5
    play sound2 se_explosion3
    show small_flash
    show explosion small burn as ex2 with Dissolve(0.1)
    pause 2.4
    
    scene utsuho pilot happy light with dissolve
    u "Thanks, Aya! I owe you one."
    scene aya pilot smug at reverse with dissolve
    ay "Hm... I can't very well let our new flying Onbashira get shot down after all this trouble."
    u "Onbashira... ohh, like the giant cannons on the {i}Shimenawa{/i}!"
    ay "Right on."
    u "Haha! I guess you could say that."
    scene aya pilot tense at reverse with quick_dissolve
    ay "Hm--!"
    
    scene bg redcave battle a
    show angel light at enemy1
    show explosion small b as ex3:
        zoom 0.5 pos (0.33, 0.45)
    show explosion small b as ex4:
        zoom 0.66 pos (0.36, 0.55)
    with quick_dissolve
    pause 0.5
    play sound se_magic5
    show angel regen at enemy1
    hide ex3
    hide ex4
    show regenpatch as ex5:
        zoom 0.5 pos (0.33, 0.45)
    show regenpatch as ex6:
        zoom 0.66 pos (0.36, 0.55)
    with slow_dissolve
    pause 1
    hide ex5
    hide ex6
    with slow_dissolve
    ay "It's still moving! After that many hits to the torso...?!"
    
    
    
    scene bg redcave battle a
    show tenguc aya neutral as c1 at ally1
    show tenguc neutral as c2 behind c1 at ally3
    show tenguc neutral as c3 behind c1 at ally4
    with quick_dissolve
    pause 0.2
    play sound se_machinegun_e
    show tenguc aya smgshoot as c1
    pause 0.1
    play sound2 se_machinegun_e
    show tenguc smgshoot as c2
    pause 0.3
    play sound3 se_machinegun_e
    show tenguc smgshoot as c3
    pause 0.1
    play sound se_machinegun_e
    show tenguc aya smgshoot as c1
    pause 0.1
    play sound2 se_machinegun_e
    show tenguc smgshoot as c2
    pause 0.3
    play sound3 se_machinegun_e
    show tenguc smgshoot as c3
    show tenguc aya neutral as c1
    show tenguc neutral as c2
    with dissolve
    show tenguc neutral as c3 with dissolve
    
    
    
    scene bg redcave battle a
    show angel light as a1 at enemy1
    with flash_dissolve
    play sound se_machinegun_e
    show red smg shot at enemy1
    show smg_impact as ex1:
        zoom 0.5 pos (0.33, 0.45)
    show smg_impact as ex2:
        zoom 0.5 pos (0.36, 0.55)
    pause 0.1
    show smg_impact as ex3:
        zoom 0.66 pos (0.33, 0.6)
    pause 0.3
    play sound2 se_machinegun_e
    show red smg shot at enemy1
    pause 0.3
    play sound3 se_machinegun_e
    show red smg shot at enemy1
    pause 0.3
    play sound se_machinegun_e
    show red smg shot at enemy1
    $ renpy.pause (0.6)
    
    play sound3 se_explosion4
    hide red smg shot
    hide smg_impact
    show explosion small as ex1
    with flash_dissolve
    pause 0.3
    play sound se_explosion3
    show explosion small as ex2
    show bright light:
        alpha 1
        linear 1 alpha 0
    with flash_dissolve
    pause 0.5
    play sound2 se_explosion3
    show explosion small as ex3
    with flash_dissolve
    $ renpy.pause (0.2)

    hide ex1
    hide ex3
    show angel broken as a1
    show explosion small b as ex2
    with Dissolve(1)
    
    $ renpy.pause (2)
    play sound se_magic5
    show angel regen as a1
    show regenpatch as ex1:
        zoom 0.5 pos (0.33, 0.45)
    show regenpatch as ex2
    show regenpatch as ex3:
        zoom 0.66 pos (0.33, 0.6)
    with slow_dissolve
    pause 2
    ay "That's ridiculous! We blow its limbs off and it repairs itself?!"
    
    show bg redcave battle a as bg2
    show yatagarasu arm cannon large as yata1:
        align(0.5, 0.25)
    with quick_dissolve
    u "Full charge!"
    play sound se_fire3
    show yatagarasu arm cannon shoot as yata1:
        pos (0.8, 0.35)
    show fire_glow_fast
    with flash_dissolve
    with Shake((0, 0, 0, 0), 1.5, dist=2)
    
    hide bg2
    hide yata1
    hide yata2
    with Dissolve(0.1)
    pause 0.4
    play sound se_fire1
    hide ex1
    hide ex2
    hide ex3
    show angel neutral as a1
    show yatagarasu laserhit at enemy1
    show bright light:
        alpha 1
        linear 2.5 alpha 0
    with flash_dissolve
    with Shake((0, 0, 0, 0), 5, dist=7)
    play sound se_explosion1
    show explosion fire at enemy1
    hide yatagarasu
    hide a1
    show explode_flash
    with flash_dissolve
    with Shake((0, 0, 0, 0), 1, dist=7)
    hide explosion fire
    show explosion fire ember at enemy1
    with dissolve
    pause 2
    ay "Hah! Nice one, kid!"
    ay "Let's see them regenerate after getting a faceful of fire!!"
    
    play sound se_laser1
    scene cg shimenawa under fire b with quick_flash:
        align(0.5, 0.5)
    pause 0.1
    play sound2 se_laser1
    pause 0.3
    play sound3 se_laser1
    pause 0.5
    play sound se_explosion3
    with Shake((0, 0, 0, 0), 1.5, dist=5)
    pause 1
    $renpy.music.set_volume (1.0, 1.0, channel="loopingsound")
    play loopingsound se_bg_war2
    u "Ah, the {i}Shimenawa{/i}! We have to help!"
    
    
    scene black
    show bg redcave battle b as cavea:
        scroll_right_med_a
    show bg redcave battle b as caveb:
        scroll_right_med_b
    show bg redcave battle b as cavec:
        scroll_right_med_c
    show yatagarasu shield a as yata:
        zoom 1.33 pos (600, 440)
    with quick_dissolve
    play sound se_whoosh3
    show angel neutral behind yata:
        zoom 0.75 pos (-0.25, 0.4)
        ease 0.6 zoom 0.6 pos (1.5, 0.24)
    pause 1.5
    ay "Utsuho! Watch your six!"
    
    scene bg redcave battle a with quick_dissolve
    show angel neutral:
        xzoom -1.0 pos (1.5, 0.66)
        ease 0.3 pos (0.625, 0.5) xzoom -1.0
    pause 0.4
    play sound2 se_laser2
    show angel shoot:
        anchor (890/1200.0, 647/960.0)
    with Shake((0, 0, 0, 0), 1, dist=2)
    u "Ah!"
    play sound3 se_explosion3
    scene bg redcave battle a
    show yatagarasu shield c
    with quick_flash
    with Shake((0, 0, 0, 0), 1.5, dist=5)
    u "The armor's damaged... the barrier doesn't reach the back?!"
    
    play loopingsound se_bg_war1 fadeout 2
    scene bg redcave battle a
    show trooper gun as t1a at enemy_ground1
    show trooper gun as t1b at enemy_ground2 behind t1a
    show trooper gun as t1c at enemy_ground3 behind t1b
    with quick_dissolve
        
    pause 0.2
    play sound se_machinegun_loop
    show trooper shoot as t1a
    pause 0.4
    play sound2 se_machinegun_loop
    show trooper shoot as t1b
    pause 0.2
    play sound3 se_machinegun_loop
    show trooper shoot as t1c
    pause 1.0
    
    
    #Cyclops open fire
    scene bg redcave battle a
    show cyclops neutral as cy1 at enemy1
    show cyclops neutral as cy2 behind cy1 at enemy2
    show cyclops neutral as cy3 behind cy1 at enemy3
    show cyclops neutral as cy4 at enemy4
    pause 0.2
    play sound se_laser1
    show cyclops light as cy1
    show cyclops beam at enemy1 as b1
    with quick_dissolve
    pause 0.2
    play sound2 se_laser1
    show cyclops light as cy3
    show cyclops beam at enemy3 as b2
    with quick_dissolve
    pause 0.05
    play sound3 se_laser1
    show cyclops light as cy2
    show cyclops longbeam at enemy2_nozoom as b3
    with quick_dissolve
    pause 0.3
    play sound se_laser1
    show cyclops light as cy4
    show cyclops beam at enemy4 as b4
    with quick_dissolve
    pause 0.5
    
    
    play sound se_explosion3
    scene cg shimenawa under fire b with quick_dissolve:
        align(0.5, 0.5)
    with Shake((0, 0, 0, 0), 0.3, dist=3)
    play sound2 se_explosion3
    with Shake((0, 0, 0, 0), 0.6, dist=3)
    play sound3 se_explosion1
    show bright light with flash_dissolve:
        alpha 1
        linear 1.5 alpha 0
    with Shake((0, 0, 0, 0), 1.5, dist=5)
    pause 0.5
    scene bg redcave battle a
    show yatagarasu radar as yata1:
        zoom 1.54
    show yatagarasu radar a as yata2:
        zoom 1.54
    with dissolve
    pause 1
    u "No way... is this the end?"
    
    stop music
    $renpy.music.set_volume (0.35, 0.5, channel="loopingsound")
    play sound se_waterdrop
    with Fade(.25, 0, 1.5, color="#CC3838")
    show utsuho pilot tense light with dissolve
    pause 0.5
    u "Eh?"
    u "Something just came to me... is this the sun god's guidance?"
    u "Well, here goes...!"
    
    show utsuho pilot determined light with quick_dissolve
    pause 1
    play music music_altered_beast
    
    u "All units, this is the {i}Yatagarasu{/i}!"
    k "Utsuho? What..."
    u "Requesting permission to hyperextend the {i}Yatagarasu{/i}'s barrier and make a wide-range attack! I'm sending the coordinates of the blast radius!"
    hide utsuho with quick_dissolve
    pause 0.5
    play sound se_beep6
    show yatagarasu radar b as yata3:
        zoom 1.54
        block:
            linear 0.8 alpha 0.4
            linear 0.8 alpha 1.0
            repeat
    pause 1.6
    k "!"
    scene bg shimenawa bridge
    show kanako serious at near_mirrored
    with dissolve
    k "(What... she can do something like this already?)"
    k "(Is this really her first time piloting an AM?)"
    show kanako shout with quick_dissolve
    k "...Very well. Permission granted! Storm Squad, prepare to leave the blast zone!"
    ay "Roger!"
    
    #Aura appears around Utsuho
    stop loopingsound
    play sound se_magic3
    scene bg solid black
    show utsuho pilot spellcircle as cg1 with fire_flash:
        zoom 1 pos(512, 285) alpha 1
        pause 1
        ease 1 zoom 0.27 pos(507, 370) alpha 0.5
        pause 1.25
        ease 1 zoom 0.4 pos(507, 287)
        block:
            linear 0.8 alpha 0.0
            linear 0.8 alpha 0.7
            pause 0.5
            repeat
    pause 1
    show utsuho pilot tense aura as cg2 behind cg1 with dissolve:
        zoom 0.62 align(0.5, 0.5)
        pause 2
        ease 1 zoom 0.85 align(0.5, 1.0)
    pause 3
    u "Barrier overcharging. Release in T-minus 10 seconds!"
    
    scene cg yatagarasu mega flare a with quick_dissolve #chest view
    u "10!{w=0.7} 9!{w=0.7} 8!"
    play sound se_magic1
    scene cg yatagarasu mega flare b with slow_dissolve:#glow
    u "7!{w=0.7} 6!{w=0.7} 5!{w=0.7} 4!"
    scene utsuho pilot tense aura as cg1:
        zoom 0.85 align(0.5, 1.0)
    show utsuho pilot spellcircle2 as cg2:
        zoom 0.4 pos(507, 287) alpha 1
        block:
            linear 0.3 alpha 0.0
            linear 0.3 alpha 1
            pause 0.1
            repeat
    with quick_dissolve
    u " 3!{w=0.7} 2!{w=0.7} 1!"
    show utsuho pilot spellcircle2 as cg2:
        zoom 0.4 pos(507, 287) alpha 1
        block:
            pause 0.05
            alpha 0.5
            pause 0.05
            alpha 1
            repeat
    show bright light
    with quick_flash
    u "Firing Mega Flare!!"
    
    #Mega Flare!
    scene cg yatagarasu mega flare c with quick_dissolve: #zoom out
    pause 0.8
    play sound se_fire3
    scene cg yatagarasu mega flare d: #fire
    show solid white shaker:
        alpha 0.5
        pause 0.2
        linear 0.8 alpha 0
        repeat 3
    with quick_flash
    with Shake((0, 0, 0, 0), 2.5, dist=10)
    scene cg yatagarasu mega flare e with quick_flash #hell army with harsh lighting
    pause 0.2
    play sound2 se_fire1
    show explode flash with Dissolve(0.7)
    scene cg yatagarasu mega flare f #engulfing light
    show solid white shaker:
        alpha 0.5
        pause 0.2
        linear 0.8 alpha 0
        alpha 0.5
        pause 0.2
        linear 0.8 alpha 0
        alpha 0.5
        pause 0.2
        linear 0.8 alpha 0
        pause 0.8
        linear 0.5 alpha 0.7
    with quick_dissolve
    with Shake((0, 0, 0, 0), 4, dist=10)
    play sound3 se_explosion6
    scene cg yatagarasu mega flare g #zoom out, see the sun
    show solid white shaker:
        alpha 1
        pause 0.3
        linear 2 alpha 0
    with flash_dissolve
    with Shake((0, 0, 0, 0), 6, dist=5)
    pause 2.5
    
    scene utsuho pilot tense light with slow_flash
    stop music fadeout 2
    pause 2
    u "I did it..."
    scene utsuho pilot wince with dissolve
    pause 1
    u "Egh... what's this... did I use too much energy?"
    play sound se_motor5
    scene bg solid black with dissolve
    pause 2
    
    jump Chp_1_11
