﻿label Chp_1_2:
    
    scene bg redcave overhead:
        pos (0, -30)
        linear 8 pos (-120, 0)
    show shimenawa 34ths:
        pos (200, -70)
        linear 8 pos (-250, 40)
    with slow_fade
    pause 0.5
    show loc Aboard the Shimenawa at loc_sub with dissolve
    if renpy.pause(5):
        pass

    scene bg shimenawa bridge
    show kanako normal at mirrored
    with quick_fade
    show aya salute at left with dissolve
    play music music_business
    window show
    ay "Squad Captain Shameimaru, reporting in!"
    k "At ease. What's the status of the Tengu squads?"
    show aya normal with quick_dissolve
    ay "All five Type-Cs in my squad are undamaged. The fairies didn't have any tricks up their sleeves."
    k "As expected of you, Squad Captain."
    k "I was a bit alarmed that the Parsian troops managed to skirt around Chireiden's airspace and intercept us on the way to the Remains of Blazing Hell..."
    k "But it doesn't seem they can get a large enough force to hinder us down here."
    ay "Seems like it."
    show aya thinking with quick_dissolve
    ay "But I hear Fort-2 in Momiji's squad got hit by some sort of disabling spell. The frame seemed intact, but the techs say the controls won't respond."
    ay "I have to admit that's a neat trick. I didn't think CMs could pull off something like that."
    ay "I don't know how much we can salvage. The technicians are taking a look.  Thankfully, we still have a spare Type-W."
    ay "With the replacement, we can still field the full 5-man squad."
    show kanako serious with quick_dissolve
    k "Hmm, I see. Speaking of that..."
    show aya normal with quick_dissolve
    ay "Ah, yes. We rounded up the tsuchigumo who crashed on the deck."
    ay "One of them seems to be the leader.  The wolves are detaining them in the holding cells."
    k "Good work. You're dismissed, Squad Captain."
    show aya salute with quick_dissolve
    ay "Sir!"
    hide aya with dissolve
    
    show kanako shout with quick_dissolve
    k "Attention all hands! We are resuming our advance towards the Remains of Blazing Hell."
    k "All combatants are to remain on standby until we reach our destination. We are expected to arrive at about 1410 hours."
    show kanako serious with quick_dissolve
    k "..."
    show kanako normal with quick_dissolve
    k "Haha. Well, that's taken care of. Sorry about the delay."
    
    play music music_lolz fadeout 2
    show utsuho normal at near_left with dissolve
    show rin normal at far_left with dissolve
    u "Eh, no worries. So long as we get there in one piece, right?"
    show kanako amused with quick_dissolve
    k "Rest assured! The two of you are our honored guests from Chireiden. It's my duty to see you two safely to your destination at the Remains of Blazing Hell, whatever it takes."
    k "You have my word as the patron deity of the Moriya Faith."
    
    show rin excited with quick_dissolve
    ri "Ohh, how cool!"
    show rin normal with quick_dissolve
    ri "Still is it okay for you to be burning so many resources to activate this AM {i}Yatagarasu{/i}? I mean, this is your flagship, and you're their leader right? Isn't that a big hole in your defenses?"
    ri "For that matter I'm pretty sure with this kind of firepower you could just blast into Parsia HQ and end the rebellion yourselves. Why let Okuu be the hero?"
    show kanako normal
    show utsuho curious
    with quick_dissolve
    k "...Is that going to be a problem?"
    show rin amused with quick_dissolve
    ri "No, not at all! It's just that, Okuu here doesn't really think about politics. So, I have to pick up her share and worry twice as much."
    show kanako surprise with quick_dissolve
    k "...Who's this \"Okuu\"?"
    show rin oops with quick_dissolve
    ri "...Utsuho, I mean. \"Okuu\" is kinda her nickname."
    show kanako normal with quick_dissolve
    k "Ah, I see. Hm, how to put this..."
    show rin huh
    show utsuho huh
    with quick_dissolve
    u "Orin, they're helping us a lot. Should we really be so pushy about their plans?"
    show rin worried with quick_dissolve
    ri "Nya..."
    show kanako normal with quick_dissolve
    k "I can understand a desire for easy-to-understand plans. Especially when dealing with new allies. But, I've already told you the reason."
    
    show utsuho curious
    show rin normal
    with quick_dissolve
    k "Even though we have the AM {i}Yatagarasu{/i}, we can't use it because it needs a certain kind of pilot."
    k "The most common type of war machine right now is the Cavalry Machina, for example the Parsian mecha we saw in the battle just now, and Chireiden's tanks and planes."
    show utsuho huh with quick_dissolve
    u "Those are CMs? I've never heard of anyone referring to our tanks and planes like that before."
    k "Yes, well, all those machines were grouped together after the fact to distinguish CMs from the latest war machines AMs."
    show utsuho curious with quick_dissolve
    k "What sets AMs apart from the more common CMs is the ability to channel and enhance the pilot's magic power. Hence the full name, Arcane Machina."
    
    k "And the AM {i}Yatagarasu{/i} requires a very specific magical power. The power of the sun god Yatagarsu for which it is named."
    u "And I guess I'm the one the Yatagarasu is most likely to favor."
    show kanako amused with quick_dissolve
    k "According to our sources, yes."
    show utsuho huh with quick_dissolve
    u "That's really incredible. To think I can channel the power of a god like that..."
    show utsuho normal with quick_dissolve
    extend " but it's a chance I can't pass up so easily. The least I can do is go meet this sun god."
    show rin amused with quick_dissolve
    k "What a go-getting attitude! I think you'll get along with the Yatagarasu just fine."
    k "What's more, since Utsuho is a seasoned fighter jet pilot, she should get the hang of AM piloting without a hitch. It all fits together perfectly, don't you think?"
    show rin normal
    show utsuho curious
    with quick_dissolve
    ri "So, you guys want to use the AM just 'cause you have it."
    show rin huh with quick_dissolve
    extend " Wait, the pilot's not even gonna be from Moriya..."
    
    show kanako normal
    show rin normal
    with quick_dissolve
    k "We have to consider the big picture, too. Moriya's neighbors above ground are wary of us, since we're an emerging power ourselves. The less we are seen using personal forces in this fight the better."
    k "It would create too much of a stir if we strong-arm the rebels by ourselves. Old Hell should solve Old Hell problems."
    show rin shrug with quick_dissolve
    ri "...good luck getting the {i}Shimenawa{/i} out before anyone else notices."
    k "Admittedly, the {i}Shimenawa{/i}'s not exactly low-profile, but at least we haven't ventured into enemy territory yet."
    k "It's a good thing we can go from above ground to Chireiden without passing through Parsia. It's a nasty road indeed, so we're fortunate to be able to airlift our AMs."
    show utsuho huh with quick_dissolve
    u "That's not even a road. That's a 5 kilometer drop of doom!"
    show rin tadah with quick_dissolve
    ri "Drop of Doom! Protecting our borders since the founding of Chireiden City."
    show rin amused
    show utsuho normal
    with quick_dissolve
    extend " Until now, at least. Well, it's been a good run."
    show kanako amused with quick_dissolve
    k "Hahaha. No worries! Moriya is simply a gift from the heavens, here to aid Chireiden."
    
    show rin amused
    show utsuho curious
    with quick_dissolve
    ri "I just hope that gift is strong enough to help us end the rebellion."
    show kanako serious with quick_dissolve
    k "You're worried that the AM {i}Yatagarasu{/i} won't be as good in practice as we've theorized?"
    show rin normal with quick_dissolve
    ri "You guys really know how to make AMs, but I've never seen this Yatagarasu before. It's all a little out there."
    show kanako normal with quick_dissolve
    k "Let me remind you that we do have backup plans ready. Though it's undesirable for political reasons, Moriya is prepared to personally fight on the front lines if we can't obtain the sun god's help."
    k "It's a gamble we're taking, but the scientific community is highly interested in the AM {i}Yatagarasu's{/i} potential."
    k "We hope the discoveries will aid in the creation of the next-generation model of AMs."
    show rin huh with quick_dissolve
    ri "You guys sure are putting a lot on that gamble."
    show kanako amused with quick_dissolve
    k "There's no need to worry. I'm always thinking about mutual benefit for all parties. But I thank you for being concerned about your allies."
    show rin oops with quick_dissolve
    ri "Y, yes..."
    ri "(As I thought, I won't be getting any direct answers from the head honcho.)"
    
    
    show utsuho normal with quick_dissolve
    u "We'll worry about stuff like that when it comes up. Hell, after this war is over I'd be happy to help Moriya using the Yatagarasu's power, if you guys get into a bind."
    show utsuho thinking with quick_dissolve
    u "Though, I wish I could've gotten more practice on the AM simulator before we headed out here."
    show rin worried with quick_dissolve
    ri "It can't be helped. We're taking a bit of a detour from the frontlines, so if we're away for too long Parsia might attack Chireiden with full force."
    show kanako serious with quick_dissolve
    k "Yes. That would be a serious issue. We need to make this trip quick."
    show rin normal with quick_dissolve
    u "Momiji kicked my ass so many times when we were using the Tengu Type-Cs in simulation. Even though she's the leader of the Type-W Squad... that's downright embarrasing."
    show kanako normal with quick_dissolve
    u "And I barely even got to practice with the {i}Yatagarasu{/i} simulation.  What's up with that?"
    
    show kanako amused with quick_dissolve
    k "Hm... even if you're a fighter pilot, you can't expect to reach the Squad Captain's level so quickly. And of course, training should be hard enough to get you ready for the real thing."
    show kanako normal
    show utsuho curious
    with quick_dissolve
    k "As for the {i}Yatagarasu{/i}, the data we currently have on its capabilities isn't that reliable. Since we've never had a sun god before we've never activated the AM's full power."
    k "A lot of it depends on the pilot's power as well."
    u "I guess so..."
    show kanako amused with quick_dissolve
    k "Well, don't worry about it. You won't be going into battle right when we activate the {i}Yatagarasu{/i}, so you'll have time for more training."
    k "Plus, I believe that its sheer power will make up for the difference in experience."
    show rin amused with quick_dissolve
    ri "Yeah, don't worry about it, Okuu! We've fought in a lot of battles together, so I know how good of a pilot you are."
    show rin normal with quick_dissolve
    ri "I should give the simulator a try myself. Everything's changing really fast, so we have to adapt just as fast to keep up."
    
    show kanako normal with quick_dissolve
    k "...We still have a bit of time before arriving at our destination. There's a bit more information I'd like to get before we arrive, if I can."
    show rin huh with quick_dissolve
    ri "? Is it about the nature of the conflict with Parsia? Or something about Okuu?"
    k "Something like that. We're going to go meet someone. I'll lead the way..."
    show utsuho huh with quick_dissolve
    u "?"
    window hide
    stop music fadeout 2
    
    jump Chp_1_3
