﻿# Hellcat Corner 1 starts here.

label HC_1:
    
    play music music_lolz fadeout 2
    scene bg solid black with dissolve
    pause 1
    show bg hellcat corner 1
    show utsuho normal at near_left
    show sanae normal at far_left
    show rin normal at mirrored
    with dissolve
    pause 1
    
    window show
    show rin tadah with quick_dissolve
    ri "Hello, and welcome to Hellcat Corner!"
    show utsuho huh with quick_dissolve
    u "Whoa, what's this \"Hellcat Corner\"?"
    show rin excited with quick_dissolve
    ri "So glad you asked! This is a free-for-all zone where we can freely break the fourth wall and talk about Touhou Mecha!"
    show sanae huh with quick_dissolve
    san "That's... very direct!"
    show utsuho normal with quick_dissolve
    u "Yeah, well, direct is best when you want to get stuff done."
    show sanae amused with quick_dissolve
    san "That kind of philosophy is very Utsuho."
    show sanae huh
    show rin normal
    with quick_dissolve
    san "But why is it \"Hellcat Corner\" instead of \"Hellraven Corner\"? So far it looks like Utsuho's the star of the show."
    u "Orin's better at explaining things than I am, so it's alright. Ci*l-sensei did the same thing in Ts*kihime, y'know?"
    show rin amused with quick_dissolve
    ri "Actually, I hear that was the inspiration for Hellcat Corner! The casual nature of \"Teach Me, Ci*l-sensei\" was fun and it made you want to get the bad ends to see them all!"
    show rin normal with quick_dissolve
    ri "I don't know if those things actually help anyone play through the game, but in our case there's none of this \"gameplay\" stuff so we don't have to worry about giving hints."
    show sanae normal with quick_dissolve
    san "I see, I see. Well, what's the topic for today?"
    
    ri "Well, I'm sure some of us are curious about why giant mecha suddenly sprouted up everywhere! Right?"
    show sanae amused with quick_dissolve
    san "That's true, this is a fanwork of Team Shanghai Alice's Touhou Project, so this is a little unorthodox. Everyone traded their spellcards and magic bullets for Arcane Machina."
    show utsuho huh with quick_dissolve
    u "Not to mention everyone's wearing these kinda modern-ish clothes!"
    show rin amused with quick_dissolve
    ri "Depending on our role in the story, some of us got pretty good deals in that department. Especially Sanae. Don't you agree, Okuu?"
    show utsuho shy with quick_dissolve
    u "W-why are you asking me?"
    show rin normal with quick_dissolve
    ri "Nooo reason. Anyway, apparently the author, Graph, had this sudden fascination with mecha. We can probably blame the Super Robot T*isen games for this."
    show sanae normal
    show utsuho curious
    with quick_dissolve
    san "When was this again?"
    ri "The first pages of Touhou Mecha were drawn in the summer of 2009. It's been a while!"
    ri "By the way, I say \"pages\" because Touhou Mecha was a webcomic at first. That went on for 3 Chapters in 2009 and 2010."
    show utsuho huh with quick_dissolve
    u "Well, it's 2012 now. Why was there no Touhou Mecha during 2011?"
    ri "Graph was also working on Dai-Sukima Dan's other project at this time, Eastern Starlight Romance. You know, the one that actually looks like Touhou Project?"
    show utsuho thinking with quick_dissolve
    u "Right, that one. Oh, but wasn't the first demo of ESR released in Summer 2010?"
    show rin amused with quick_dissolve
    ri "He was working on that back then, too. See, that's why we haven't got that much Touhou Mecha so far. Busy busy!"
    show sanae smile with quick_dissolve
    san "Well, it must've been good practice. We would've looked very different if Touhou Mecha continued at the regular pace. Maybe it was for the best!"
    
    show sanae normal with quick_dissolve
    san "But something must've happened along the way, since we're now in a Visual Novel instead of a webcomic."
    show utsuho curious with quick_dissolve
    u "I see, so Graph decided to use the experience gained from ESR to make Touhou Mecha into a Visual Novel. Why do you think he did that?"
    show rin shrug with quick_dissolve
    ri "I think the theory was that the reusable art would help to cut down the amount of drawing that has to be done."
    ri "We're sacrificing a bit of flexibility in the visuals to get things done faster, basically. He must've been brought up thinking it's unacceptable to reuse art a lot in comic art."
    show sanae worried with quick_dissolve
    san "Well, you have to admit those kinds of comics give off the impression that they're not really... about the art, right? I wish there was a better way to say that..."
    show rin huh with quick_dissolve
    ri "It looks like there's some kind of double-standard going on, when you put it that way. I don't know how prevalent the attitude is, though."
    show utsuho huh with quick_dissolve
    u "But if it was about speed, it backfired right? It still takes a really long time!"
    show rin oops with quick_dissolve
    ri "Yeah, this is one of the curses of the artist... because we're reusing art, the quality has to be higher, right? So now Graph spends 2 or 3 times more time to draw the same things compared to back then."
    show utsuho normal with quick_dissolve
    u "I think it's better than making everything look like chicken-scratch, at least."
    show rin normal with quick_dissolve
    ri "And if you get too caught in a routine you don't think about how to improve, which means you don't improve."
    show rin amused with quick_dissolve
    ri "Besides, I don't think it was just about speed. The music, sound effects and animation wouldn't be possible in the medium Touhou Mecha was using before."
    show sanae smile with quick_dissolve
    san "Oh, that was definitely a good change. The reader reception to the battle scenes was very positive."
    show rin normal with quick_dissolve
    ri "It might be because there's still not much like it in the English-speaking VN or Touhou communities. But the Japanese are no strangers to going so far to push their fanworks to the limit."
    u "The West still has a lot of room to grow, I guess. But oh, the possibilities!"
    show sanae normal with quick_dissolve
    san "I appreciate the time taken to make the transition to VN format, but still..."
    
    show sanae huh with quick_dissolve
    san "That Graph is a real perfectionist, isn't he? This Hellcat Corner came as part of a re-release of Chapter 1, where part of Chapter 1 got rewritten. Utsuho even got new art!"
    u "So did Yamame. I think it's because we both got new poses, so Graph took the chance to make an upgrade."
    u "I hope you guys get upgraded when your new poses are needed, too."
    show rin excited with quick_dissolve
    ri "Yeah... oh, and congrats on your upgrade Okuu! You're nice and slender now! It's time for all the Okuu-loving boys and girls to fall in love with you all over again!"
    show utsuho curious with quick_dissolve
    u "It's fine if it's just the girls."
    show rin shrug with quick_dissolve
    ri "C'mon, the world's not THAT perfect... well, also in this re-release there was a new battle scene added to the start. Now readers are less likely to quit before they get to the fireworks!"
    show sanae normal with quick_dissolve
    san "There's also the switch to 16:9 screen ratio, right? It's not until recently that Graph found out most people are using widescreen as opposed to the 4:3 ratio."
    show utsuho curious with quick_dissolve
    u "I thought that would be a lot of work. When you mention that, it seems like the re-release should've taken even longer."
    show rin normal with quick_dissolve
    ri "Not many of the backgrounds used in Touhou Mecha were all that detailed in the first place. Something has to give to make a one-man show like this possible."
    ri "Also, we simply made some of the CGs more zoomed-in than before. It looks worse at times, but this is a casualty we have to accept if we want the series to move again anytime soon."
    show utsuho thinking with quick_dissolve
    u "Those early decisions have a big effect on how things turn out, huh? Making VNs isn't easy..."
    
    ri "Moving right along, what did you guys think of the story so far?"
    show utsuho huh with quick_dissolve
    u "Well, for one thing, we've been thrown into a real war! I fear for my life!"
    show rin oops with quick_dissolve
    ri "Is that something a fighter pilot should say?"
    show utsuho curious with quick_dissolve
    u "Eh, what I mean is... the main source material is that shooting game, right? Touhou Subterranean Animism."
    u "Before, it felt like everyone was fooling around because of the spellcard rules. But those weapons we're using... if they can blow up mecha, they can blow us up too, right?"
    show rin normal with quick_dissolve
    ri "Oh, that's what you mean. Yeah, it takes out one of the major safety nets from the Touhou Project games."
    show sanae normal with quick_dissolve
    san "The spellcard rules were originally made so that the Hakurei Miko and the youkai wouldn't have to kill each other, after all. Still, the atmosphere that's been established in this story doesn't seem so grim."
    ri "Yeah, I'd be surprised if it turns out like a \"Kill 'em all T*mino\" kind of story. Still, there's a very real possibility that someone other than the bad guys will buy the farm, huh?"
    show sanae amused with quick_dissolve
    san "To the readers, if it's better for your mental health you can think of Touhou Mecha as a movie created by the girls of the actual Gensokyo."
    show utsuho normal with quick_dissolve
    u "I dunno, in some ways I think it's more fun this way. In the source material you don't see a lot of interaction between the different groups in Gensokyo."
    ri "Outside of the heroines sticking their noses in everyone's business, that's true. Even the little cooperation between the gods of Youkai Mountain and Okuu was pretty unusual."
    show sanae smile with quick_dissolve
    san "I guess it's to keep the story of each Touhou game more self-contained. Still, I'm looking forward to what'll come out of our alliance."
    u "Hell yeah!"
    
    show rin oops with quick_dissolve
    ri "Whoa, that sounded like a major flag just now. Talking of alliances, there's something else that wasn't there before: that organization led by Parsee."
    show utsuho normal with quick_dissolve
    u "Gotta hand it to her, she's pretty ambitious for a Stage 2 Boss! And it looks like Marisa and co. joined up with them, so it could be trouble for us."
    show rin serious with quick_dissolve
    ri "It's bad news when a Heroine's after your butt. You need to make some compromises to keep that plot armor from screwing you over."
    show sanae smile with quick_dissolve
    san "But, Utsuho is our Heroine for this story, isn't she?"
    show rin excited with quick_dissolve
    ri "Oh yeah, Okuu is 120\% Heroine material. Not as much as Marisa maybe, but I hope ZUN takes notice."
    show sanae huh with quick_dissolve
    san "What about Reimu?"
    show rin normal with quick_dissolve
    ri "Well, you know how she's the talented one... I feel like in terms of Heroine power she's at a disadvantage because she doesn't have to struggle to keep up like Marisa."
    show sanae amused with quick_dissolve
    san "Is that why Marisa is the star of Eastern Starlight Romance?"
    show utsuho thinking with quick_dissolve
    u "...I hope Reimu didn't hear that."
    show rin normal with quick_dissolve
    ri "But, we might not have to worry about killing each other off. It's just a hunch, but I get the idea that the army behind the Gate was introduced to give us a common enemy to fight against."
    u "That's good news for me. If we followed the source material more closely, the Heroines would make their way underground and take me out since I'm the Final Boss."
    show sanae smile with quick_dissolve
    san "Being a Final Boss is rough, isn't it?"
    show rin amused
    show utsuho curious
    with quick_dissolve
    ri "But hey, these twists and turns make it more fun for the readers who're familiar with the story of Subterranean Animism."
    show sanae normal with quick_dissolve
    san "True, they probably don't know what's going to happen next any more than the readers tuning in from the Ren'py VN community."
    show rin normal with quick_dissolve
    ri "I think we'll wrap it up there for now. For the next installment of Hellcat Corner, we'll give our readers the opportunity to ask questions about Touhou Mecha!"
    show rin amused with quick_dissolve
    ri "We'll pick out a couple of interesting ones and answer them here in the Hellcat Corner. Look for the announcement when Chapter 2 of Touhou Mecha nears completion!"
    show rin normal with quick_dissolve
    ri "Any closing thoughts, guys?"
    show utsuho normal with quick_dissolve
    u "Oh! I'd like to give a special mention to some of the fine folks who made the VN adaptation of Touhou Mecha possible."
    u "First off, I'd like to thank SleepKirby from LSF for the great work customizing the GUI!"
    u "Shoutouts to OverCoat and FlameZero16 from the Touhou community for the excellent soundtrack!"
    u "FlameZero hasn't been around as much, but I wouldn't say no to more hard rock in Touhou Mecha's music."
    u "Thanks to Iced Fairy from the Touhou community for being a great guy to bounce story ideas and drafts off of."
    u "Thanks to Mixtape and Sigma for maintaining our home, the Dai-Sukima Dan forums and blog."
    u "Thanks to the folks at Lemma Soft Forums for their advice and technical support!"
    u "And of course thanks to ZUN, our wonderful creator!"
    u "And finally, thanks to all the testers and readers who provided their feedback and support for the first release of Touhou Mecha!"
    u "Good night everyone! We'll see you in Chapter 2 of Touhou Mecha."
    window hide
    
return
