init python:

    database_entries['glossary'] = [

#Contents: (Ctrl+F to find)

#Chireiden#
#Moriya#
#Parsia#
#Hell Army#
#Freelance#
#None#

    
##########
#Chireiden#
##########

GlossaryDatabaseEntry(
name = "Chireiden",
faction = Factions.CHIREIDEN,
image_file = "db_chireiden_faction.png",
short_description = """The city overlooking the Former Hell.""",
chapter_unlocked = '1',
article_text =
"""
Some time after the Afterlife Administration moved out of the underground, the youkai of the underground established a new government. They chose Chireiden City, in the deepest parts of the underground, to be their capitol. The city itself is old, containing ancient Afterlife Administration buildings that have been renovated to serve the new regime. Many of the youkai who were banished underground live here, along with their descendants.

Once Chireiden held sway over the entire underground. However, thanks to Parsia's rebellion about half of the land in Old Hell is now Parsian territory. Chireiden's territory is limited to the deepest parts of the underground.

The government of Chireiden is the Old Hell Senate, made up of Senators elected from each territory of Old Hell. Prime Minister Satori Komeiji presides as the current head of the Senate. While about 70% of the Old Hell Senate still supports Chireiden, Parsia has the advantage of close proximity to Gensokyo's surface. This gives Parsia the upper hand in the civil war.

Currently, they have formed an alliance with Moriya in order to fight off Parsia and other threats to Chireiden.
"""
),


GlossaryDatabaseEntry(
name = "Palace of Earth Spirits",
faction = Factions.CHIREIDEN,
image_file = "db_poes.png",
short_description = """Chireiden's main governmental building.""",
chapter_unlocked = '2',
article_text =    
"""
The Palace of Earth Spirits is where the governing body of Chireiden City conducts its daily business. At one time it was a stark and foreboding place, serving as the headquarters of the Afterlife Administration. When the Administration moved out, the youkai of Old Hell made many renovations to the building, giving it the air of elegance it has today.

The name of the Palace serves as a reminder of its former purpose, and the spirits that were left behind when the Afterlife Administration moved out of the underground makes the name still relevant in the present day.
"""
),


GlossaryDatabaseEntry(
name = "Remains of Blazing Hell",
faction = Factions.CHIREIDEN,
image_file = "db_remains_of_blazing_hell.png",
short_description = """The place where sinners were once burned.""",
chapter_unlocked = '1',
article_text =    
"""
When the Afterlife Administration moved Hell away from the underground, the Hell of Blazing Fires was decommissioned as well. However, some of the evil spirits were left behind because they couldn't be moved. The site is now called the Remains of Blazing Hell.

The spirits that could not be transported were locked behind a massive Gate in the Remains of Blazing Hell, and a new government was established at Chireiden to take on the duty of watching over the seal so that the spirits wouldn't escape. Moriya however wanted to open the Gate to retrieve the sun god Yatagarasu, which led to the current predicament of this story.
"""
),


########
#Moriya#
########
    
GlossaryDatabaseEntry(
name = "Moriya",
faction = Factions.MORIYA,
image_file = "db_moriya_faction.png",
short_description = """The gods and followers of the Moriya Faith.""",
chapter_unlocked = '1',
article_text =
"""
On the surface of Gensokyo, there is a shrine called the Moriya Shrine at the top of the Youkai Mountain. The shrine is dedicated to Kanako Yasaka, a goddess of wind and rain, and one of the founders of the Japanese Empire. The youkai of the Mountain, notably the tengu and kappa, have pledged their faith to the Moriya Shrine. This is an unusual arrangement since gods normally aid humans instead of youkai.

This alliance is currently one of the most notable powers in Gensokyo, thanks to the highly organized tengu society, the technological advances of the kappa and the general strength of the mountain youkai. Due to this localized strength, "Moriya" is commonly recognized as a political force rather than a simple religion.

The high status of the shrine is an especially unusual arrangement. Normally the secretive tengu society turns outsiders away, but they seem to have developed a close alliance with Moriya. The assignment of crack troops, such as Aya and Momiji, as an honor guard shows the depth of their alliance.

Not much is known about the Moriya Shrine itself, since the tengu discourage visitors from passing through to the mountaintop. However, this makes it difficult for followers from outside of Youkai Mountain to make a pilgrimage. Thus, the Moriya have set up several branch shrines outside of the Mountain to easily collect faith.

Currently, they have formed an alliance with Chireiden to fight against Parsia and other threats to Chireiden. It's still unclear exactly what they expect to get from doing this.

"""
),


#######
#Parsia#
#######

GlossaryDatabaseEntry(
name = "Parsia",
faction = Factions.PARSIA,
image_file = "db_parsia.png",
short_description = """The city bridging the surface and underground.""",
chapter_unlocked = '1',
article_text =    
"""
Parsia was created when Senators within the Old Hell Senate led by Parsee Mizuhashi rebelled against Chireiden. Parsee claims she was seeking freedom from Chireiden's restrictive isolationist policies, but many of Chireiden's supporters believe that she's actually motivated by a desire for power.

About half of the land in Old Hell is now Parsian territory, specifically the land closest to Gensokyo's surface. While about 70% of the Old Hell Senate still supports Chireiden, Parsia had the advantage of close proximity to Gensokyo's surface, giving Parsia the resources to dominate the conflict between the two states.

In particular, Parsia seems to be buying CMs from a vendor based on Gensokyo's surface. These CMs have served Parsia well in it's war to claim the Old Hell. Based on recent negotiations between Parsee and Tewi, it seems that they will be using AMs soon as well.

Parsia is situated in an underground canyon, and it has three main landmarks: The city in the canyon, the bridge connecting the cliffs of the canyon, and Parsia Main HQ off to one side that overlooks both the bridge and city. Of note, the bridge connects the only road accessible to wheeled vehicles between the underground and the surface, a symbol of Parsia's great geographical advantage over Chireiden. 
"""
),


GlossaryDatabaseEntry(
name = "Parsia Main HQ",
faction = Factions.PARSIA,
image_file = "db_parsia_main_hq.png",
short_description = """Parsia's main governmental building.""",
chapter_unlocked = '1',
article_text =    
"""
A palace that serves as the base of operations for Parsee Mizuhashi and the Old Hell Senators who joined the rebellion against Chireiden. The design is based on Persian architecture, a bit of a play on her name. Thankfully, Parsee can't rewind time... probably.
"""
),


##########
#Hell Army#
##########

GlossaryDatabaseEntry(
name = "Hell Army",
faction = Factions.HELL_ARMY,
image_file = "db_hell_army.png",
short_description = """The army from the Remains of Blazing Hell.""",
chapter_unlocked = '1',
article_text =    
"""
When the Moriya-Chireiden Alliance opened the Gate in the Remains of Blazing Hell, an army of mecha came out. According to Chireiden, there shouldn't have been anything significant other than evil spirits inside. Who created this army, and why?
"""
),


##########
#Freelance#
##########

GlossaryDatabaseEntry(
name = "Ice-9",
faction = Factions.FREELANCE,
image_file = "db_icenine.png",
short_description = """Cirno's ragtag squad of fairies.""",
chapter_unlocked = '2',
article_text =    
"""
In the past couple of years, Cirno has been looking to make the news as a major part of one of Gensokyo's so-called "incidents". But even though Cirno is strong for a fairy, she still has little power in the big picture, so she still engages in the time-honored practice of power in numbers.

To that end, she founded the group Ice-9. But calling it a team would be generous, since members come and go all the time on whim. They don't use fancy tricks and mostly just fly in formation with Cirno in battle. There's no telling if Ice-9 will do anything notable in the near future, but at least the members of Ice-9 seem to be having fun.
"""
),


GlossaryDatabaseEntry(
name = "Magus Trio",
faction = Factions.FREELANCE,
image_file = "db_magus_trio.png",
short_description = """A mercenary group composed of magicians.""",
chapter_unlocked = '2',
article_text =    
"""
The Magus Trio is a mercenary group that does various jobs, usually relating to combat and the use of AMs. Their members are Marisa Kirisame, Alice Margatroid and Patchouli Knowledge.

Marisa is officially considered the leader of the three. They currently use three Chroma series AMs in their missions, which they procured from the Scarlet Devil Foundation using Patchouli's connections. However, all three Chromas use different weapon systems similar to AMs each magician had before forming the Magus Trio.

They currently have a contract with Parsia to aid in the takeover of Chireiden. However, they have been known to take independent action when an incident starts to affect the well-being of all Gensokyo. Usually, that point is signaled by the appearance of the Hakurei Miko.

The Trio often has a tough time financially because of the costs of maintaining their AMs, especially the unique weapon systems of Chroma Black and Chroma Blue which aren't covered by the SDF. Despite this, it seems they usually manage to find a way to get by.
"""
),


######
#None#
######

GlossaryDatabaseEntry(
name = "Arcane Machina",
faction = Factions.NONE,
image_file = "db_arcane_machina.png",
short_description = """War machines powered by magic.""",
chapter_unlocked = '1',
article_text =    
"""
Arcane Machina, or AM for short, are mecha that use magical energy as their main power source. Usually this entails using an ALS (Arcane Link System) to draw power from a live pilot. One can think of an AM as a casting medium like a sorceror's staff; it amplifies the pilot's power to much higher levels than they'd be able to achieve unassisted.

Examples of Arcane Machina include the {i}Yatagarasu{/i} and the mass-produced AM Tengus. Even the Moriya flagship {i}Shimenawa{/i} can be considered an AM. While the ship is on completely different scale compared to the smaller mecha, it still uses an ALS as the main power source.

It's not clear who developed the first AMs, but they are a recent phenomena. They first appeared in the news about 5 years before the current day. Regardless of their origins, they are currently the most powerful and versatile war machines in Gensokyo. Every major power seeks to obtain strong AMs and AM pilots for their armed forces.
"""
),


GlossaryDatabaseEntry(
name = "Arcane Link System",
faction = Factions.NONE,
image_file = "db_arcane_link_system.png",
short_description = """The connection between an AM and its pilot.""",
chapter_unlocked = '1',
article_text =
"""
The ALS, or Arcane Link System, is the connection between a magical power source and an AM (Arcane Machina). Most common ALS (Arcane Link System) devices draw from a living pilot who possesses innate magic power. Because the conversion rate to store magical energy is very low, it's much more efficient to simply use a pilot's magic on the spot.

The public interface of the ALS is usually a magic circle in the cockpit of an AM (e.g. on the floor of the cockpit space in the AM {i}Yatagarasu{/i}, and behind the pilot's seat in the {i}Miracle's{/i} cockpit). This collects the energy from the power source. From there the energy is routed through a set of cables to the various parts of the AM that need it; weapons, engines, barriers, etc. It is this complex system that makes it possible to power an AM.
"""
),


GlossaryDatabaseEntry(
name = "Barrier",
faction = Factions.NONE,
image_file = "db_barrier.png",
short_description = """Energy shields commonly featured on AMs.""",
chapter_unlocked = '1',
article_text =    
"""
Many AMs have the ability to project a shield of magical energy to defend against attacks. There are two main types of barriers:

A ) Force Barrier:  This barrier stops attacks by creating enough sheer energy to equal or exceed the incoming attack, canceling it out. (e.g. the {i}Yatagarasu's{/i} barrier) However, the energy cost can be fairly high, meaning this kind of barrier is usually limited to pilots with high magic capacity.

B ) Anti-energy Barrier:  This barrier consists of particles that deflect and scatter light-based magic, but does little to stop other kinds of attacks. Although the Tengu Type-Ws can use Force Barriers as well, they use Anti-energy Barriers while standing on the {i}Shimenawa{/i}'s decks to avoid damage to the {i}Shimenawa{/i}'s hull.

The strength of a barrier is determined by the strength of the AM/pilot combination using the barrier and the size of the barrier (larger = weaker). This is why even the sturdy Tengu Type-W's have trouble shielding the {i}Shimenawa{/i}; the barriers weaken considerably when extended to cover such a wide area.
"""
),


GlossaryDatabaseEntry(
name = "Cavalry Machina",
faction = Factions.NONE,
image_file = "db_cavalry_machina.png",
short_description = """War machines with unique designs.""",
chapter_unlocked = '1',
article_text =
"""
While Arcane Machina are the most popular war machines in today's Gensokyo, another type has been making an appearance; CMs, or Cavalry Machina. Unlike AMs, they use conventional power sources instead of magic.

They aren't necessarily more powerful than conventional tanks, bombers and fighter jets. However, in a few cases they may be very well-adapted to a task, such as the CM Arachnes that have unparalleled maneuverability in the undergrounds caverns.

While it takes many CMs to match the power of an AM, it's also much easier to find pilots who can use their full potential, as opposed to AMs which require pilots with a certain level of magical ability. Thus, CMs have their uses despite the popularity of AMs.
"""
),


GlossaryDatabaseEntry(
name = "Fairy",
faction = Factions.NONE,
image_file = {'1': "db_no_image.png", '2': "db_cirno.png"},
short_description = """Nature spirits found all over Gensokyo.""",
chapter_unlocked = '1',
article_text =    
"""
Fairies are spirits that embody some aspect of nature. Most of the ones in Gensokyo take on a form that makes them look like children, though there are exceptions.

They outnumber the youkai of Gensokyo, and as natural phenomenon they can regenerate within a day of when they die. However, they're generally simple-minded and not very strong; that may be nature's way of keeping balance in the world.

In the context of this story, they make up a good portion of each major army's power with their sheer numbers. Many of them are easygoing enough to pilot CMs for cheap or simply for the thrill, so there's no shortage of pilots even for CMs that are viewed as cannon fodder. 

On the other hand, they generally lack discipline so it's best to avoid assigning them to long-term tedious tasks like patrol duty.
"""
),


GlossaryDatabaseEntry(
name = "Gensokyo",
faction = Factions.NONE,
image_file = "db_no_image.png",
short_description = """The land where legends become reality.""",
chapter_unlocked = '1',
article_text =    
"""
Gensokyo is an alternate reality space based on Japan. It's separated from the "outside world", the reality we know, by a barrier. Within this barrier, legends become reality. The purpose of the barrier is to protect the existence of the things that humans no longer believe in; magic, youkai, gods, and others.

This is the Gensokyo in which this story takes place. It's a much smaller place than one would expect for a war involving mecha. Regardless, there is a lot happening on this little island of a world, making for some rather interesting times.
"""
),


GlossaryDatabaseEntry(
name = "God",
faction = Factions.NONE,
image_file = "db_god.png",
short_description = """Divine beings who subsist on faith.""",
chapter_unlocked = '1',
article_text =    
"""
Gods are supernatural beings whose power is tied to worship. The Shinto faith's "8 million gods" concept states that everything has a spirit or god representing its true nature. It is said that when a god is named, its powers are restricted but it obtains a physical form and ego.

In the real world, people no longer believe that these kinds of gods exist, so gods have become beings of myth and legend. In Gensokyo however, many of the legends that we no longer believe in live on.

While there as many gods as there are things in the universe, this story focuses on gods who have enough power to manifest divine virtues, such as Kanako Yasaka and the sun god Yatagarasu.

When people acknowledge or pray to a god, faith in that god is created. The more faith a god collects, the more power that god receives. In return for faith the god grants miracles, usually benefiting the god's followers. Because of this, gods and their worshipers tend to have a symbiotic relationship.

Gods are similar to youkai in that their existence is tied to belief. However, the major difference is that a god is created from someone or something. If a god no longer receives faith, it returns to its former existence. If a youkai who became a god no longer receives faith, it returns to being a normal youkai.

There are as many different kinds of gods as there are humans. One hand you have Kanako, a warlike god who displays immense power. On the other hand there are also less powerful gods whose powers affect harvests and autumn leaves. In fact, gods are not necessarily stronger than youkai or even some humans.
"""
),


GlossaryDatabaseEntry(
name = "Hakurei Miko",
faction = Factions.NONE,
image_file = "db_no_image.png",
short_description = """The official incident resolver of Gensokyo.""",
chapter_unlocked = '2',
article_text =    
"""
The title of \"Hakurei Miko\" is given to the descendant of the Hakurei clan who is tasked with maintaining order in Gensokyo. Gensokyo's established powers recognize her as an impartial entity, and often call upon her to help resolve major incidents. The descendants of Hakurei have special powers that are used to punish those responsible for disturbing order.
"""
),


GlossaryDatabaseEntry(
name = "Hourai Industries",
faction = Factions.NONE,
image_file = "db_no_image.png",
short_description = """A weapon manufacturer from Gensokyo's surface.""",
chapter_unlocked = '2',
article_text =    
"""
Hourai Industries is a company that mainly makes and sells CMs and AMs. They're not particular about who they do business with, and many of the upstart factions that have sprung up in the past decade use their wares. They also have connections to mecha-related services, such as the Magus Trio's AM-for-hire business. Parsia's ongoing rebellion against Chireiden is mainly fueled by this very supplier.
"""
),


GlossaryDatabaseEntry(
name = "Old Hell's History",
faction = Factions.NONE,
image_file = "db_old_hells_history.png",
short_description = """The story of underground Gensokyo.""",
chapter_unlocked = '1',
article_text =
"""
Over a century ago, Hell was located underground. The Afterlife Administration conducted their business in the deepest depths of the underground, over four kilometers under Gensokyo's surface. There they passed judgment on the souls of the dead. Those found to be sinners were burned in the nearby Hell of Blazing Fires.

During this time, humans and youkai fought many violent battles. Defeated youkai who were deemed too difficult to exterminate were often banished to the caverns beneath Gensokyo, in the vicinity of Hell.

Two major changes created the underground as it is known today. The first change was the Afterlife Administration moving its facilities to Gensokyo's surface. No longer were the souls of the dead housed in the old Hell. Some time after the Afterlife Administration moved out, some youkai took over their abandoned facilities as part of establishing a government, giving rise to Chireiden City.

The second major change was peace falling over Gensokyo. Over time, the fighting among humans and youkai died down, as they found ways to make coexistence possible. Fewer and fewer youkai were driven underground, and a number of those trapped beneath the surface left unmolested.

Some youkai accepted life underground instead, and decided to support the new government. Thus Chireiden became a haven for youkai once driven from Gensokyo's surface.

However, with Parsia's rebellion, the long-standing peace in Old Hell has vanished. The troubled days that follow are the subject of this story.
"""
),


GlossaryDatabaseEntry(
name = "Youkai",
faction = Factions.NONE,
image_file = "db_youkai.png",
short_description = """Legends in physical form.""",
chapter_unlocked = '1',
article_text =    
"""
The word "youkai" refers to supernatural beings from myth and legend. Since the origin of the word is Japanese, the word is usually used to describe Japanese folklore and legend, but it can also be applied to legends of other cultures. Most of the characters in this story are youkai; in fact, as of the end of Chapter 1, all of the characters except Sanae and Kanako are some sort of youkai.

In the real world, people no longer believe that youkai exist, so youkai have become beings of myth and legend. In Gensokyo however, many of the legends that we no longer believe in live on.

Youkai are creatures whose existence is tied to human fear. They have some similarities to gods, but differ fundamentally in that they simply disappear if people stop believing in them, whereas gods that lose faith return to what they were before becoming gods. Of note, it's possible for a youkai to be worshipped as a god and take on some of the characteristics of a god.

In general, youkai have high resistance to physical damage and long lifespans when compared to humans. Some of them are also capable of using magic. However, they are usually weak against spiritual attacks like a miko's wards. 
"""
),

    ]
